<?php
if (! current_user_can ('manage_options'))
{
    wp_die(__('No tienes suficientes permisos para acceder a esta página.'));
}
if (!in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) 
{
    wp_die(__('No has instalado wooCommerce o este se encuentra inactivo.'));
}
$guardado = false;
$s = filter_input(INPUT_GET, 's');
if(isset($s))
{
    $guardado = true;
}
require_once dirname( __FILE__ ) . '/' . '../includes/srv_comuna.php';
?>

<div class="wrap">
    <h1 class="wp-heading-inline">CorreosChile - Configuración</h1>
    <hr class="wp-header-end">
    
    <?php echo $guardado ? '<div id="message" class="updated inline"><p><strong>Tus ajustes se han guardado.</strong></p></div>' : ''; ?>

    <form method="POST" action="<?php echo admin_url('admin-post.php'); ?>" >
        <input type="hidden" name="action" value="correoschile_configuracion"/>

        <h2>Información de la tienda</h2>
        <table class="form-table" role="presentation">
            <tbody>
                <tr class="form-field form-required term-name-wrap">
	    	        <th>
                        <label for="correoschile_nombre_tienda">Nombre remitente (tienda)</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
	        	    </th>
        		    <td>
                        <input name="correoschile_nombre_tienda" maxlength="60" id="correoschile_nombre_tienda" type="text" value="<?php echo get_option('correoschile_nombre_tienda',''); ?>">
                       <p class="description"></p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
		            <th>
                        <label for="correoschile_rut">Rut</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
	    	        </th>
    		        <td>
                        <input name="correoschile_rut" id="correoschile_rut" maxlength="16" type="text" value="<?php echo get_option('correoschile_rut',''); ?>">
                        <p class="description"></p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
        		    <th>
                        <label for="correoschile_direccion">Dirección</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <input name="correoschile_direccion" id="correoschile_direccion" maxlength="60" type="text" value="<?php echo get_option('correoschile_direccion',''); ?>">
                        <p class="description"></p>
                    </td>
                </tr>        
                <tr class="form-field form-required term-name-wrap">
	            	<th>
                        <label for="correoschile_comuna">Comuna</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <select name="correoschile_comuna" id="correoschile_comuna">
                        <?php 
                            $comunas = srv_comuna::ObtenerComunas(''); 
                            foreach ($comunas as $comuna) {
                                echo '<option value="' . $comuna->nombre . '" ' . ($comuna->nombre == get_option('correoschile_comuna') ? 'selected' : '') . '>' . $comuna->region . ' - ' .$comuna->nombre . '</option>';
                            }
                        ?>
                        </select>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
		            <th>
                        <label for="correoschile_codigoPostal">Código postal</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <input name="correoschile_codigoPostal" maxlength="7" id="correoschile_codigoPostal" type="text" value="<?php echo get_option('correoschile_codigoPostal',''); ?>">
                        <p class="description"></p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
            		<th>
                        <label for="correoschile_nombre">Nombre</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <input name="correoschile_nombre" maxlength="60" id="correoschile_nombre" type="text" value="<?php echo get_option('correoschile_nombre',''); ?>">
                        <p class="description"></p>
                    </td>
                </tr> 
                <tr class="form-field form-required term-name-wrap">
		            <th>
                        <label for="correoschile_telefono">Teléfono</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
            		<td>
                        <input name="correoschile_telefono" maxlength="20" id="correoschile_telefono" type="text" value="<?php echo get_option('correoschile_telefono',''); ?>">
                        <p class="description"></p>
                    </td>
                </tr> 
                <tr class="form-field form-required term-name-wrap">
	            	<th>
                        <label for="correoschile_codigoSAP">Código cliente</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <input name="correoschile_codigoSAP" maxlength="26" id="correoschile_codigoSAP" type="text" value="<?php echo get_option('correoschile_codigoSAP',''); ?>">
                        <p class="description"></p>
                    </td>
                </tr>                                 
            </tbody>
        </table>

        <hr>
        <h2>Credencial servicios web</h2>
        <table class="form-table" role="presentation">
            <tbody>
                <tr class="form-field form-required term-name-wrap">
        	    	<th>
                        <label for="correoschile_usuario_api">Usuario</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
	    	        </th>
    		        <td>
                        <input name="correoschile_usuario_api" maxlength="50" id="correoschile_usuario_api" type="text" value="<?php echo get_option('correoschile_usuario_api',''); ?>">
                        <p class="description"></p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
	    	        <th>
                        <label for="correoschile_contrasena_api">Contraseña</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
	    	        <td>
                        <input name="correoschile_contrasena_api" maxlength="50" id="correoschile_contrasena_api" type="text" value="<?php echo get_option('correoschile_contrasena_api',''); ?>">
                        <p class="description"></p>
                    </td>
                </tr>
            </tbody>
        </table>

        <hr>
        <h2>URL servicios web</h2>
        <table class="form-table" role="presentation">
            <tbody>
                <!--
                <tr class="form-field form-required term-name-wrap">
        	    	<th>
                        <label for="correoschile_ws_region">Regiones</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
	    	        </th>
    		        <td>
                        <input name="correoschile_ws_region" id="correoschile_ws_region" type="text" value="<?php echo get_option('correoschile_ws_region',''); ?>">
                        <p class="description">Este servicio se utiliza para completar el combo de regiones.</p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
		            <th>
                        <label for="correoschile_ws_comuna">Comunas</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <input name="correoschile_ws_comuna" id="correoschile_ws_comuna" type="text" value="<?php echo get_option('correoschile_ws_comuna',''); ?>">
                        <p class="description">Este servicio se utiliza para completar el combo de comunas.</p>
                    </td>
                </tr>
                -->          
                <tr class="form-field form-required term-name-wrap">
		            <th>
                        <label for="correoschile_ws_sucursal">Sucursales</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <input name="correoschile_ws_sucursal" id="correoschile_ws_sucursal" type="text" value="<?php echo get_option('correoschile_ws_sucursal',''); ?>">
                        <p class="description">Este servicio se utiliza para completar el combo de sucursales.</p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
		            <th>
                        <label for="correoschile_ws_normalizacion">Normalización</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <input name="correoschile_ws_normalizacion" id="correoschile_ws_normalizacion" type="text" value="<?php echo get_option('correoschile_ws_normalizacion',''); ?>">
                        <p class="description">Este servicio se utiliza para comprobar las direcciones y obtener el código postal.</p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
		            <th>
                        <label for="correoschile_ws_tarificacion">Tarificación</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <input name="correoschile_ws_tarificacion" id="correoschile_ws_tarificacion" type="text" value="<?php echo get_option('correoschile_ws_tarificacion',''); ?>">
                        <p class="description">Este servicio se utiliza para calcular el costo de los envíos en base a la comuna de destino, peso y volumen de los productos.</p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
		            <th>
                        <label for="correoschile_ws_etiquetas">Etiquetas</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <input name="correoschile_ws_etiquetas" id="correoschile_ws_etiquetas" type="text" value="<?php echo get_option('correoschile_ws_etiquetas',''); ?>">
                    <p class="description">Este servicio se utiliza para generar las etiquetas de sus pedidos.</p>
                </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
		            <th>
                        <label for="correoschile_ws_retiro">Retiro</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <input name="correoschile_ws_retiro" id="correoschile_ws_retiro" type="text" value="<?php echo get_option('correoschile_ws_retiro',''); ?>">
                        <p class="description">Este servicio se utiliza para agendar el retiro de sus pedidos en su tienda.</p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
		            <th>
                        <label for="correoschile_ws_anulacion">Anulación</label>&nbsp;<abbr class="required" title="obligatorio">*</abbr>
		            </th>
		            <td>
                        <input name="correoschile_ws_anulacion" id="correoschile_ws_anulacion" type="text" value="<?php echo get_option('correoschile_ws_anulacion',''); ?>">
                        <p class="description">Este servicio se utiliza para anular ordenes con etiquetas generadas.</p>
                    </td>
                </tr>
            </tbody>
        </table>

        <hr>
        <h2>Configuración adicional</h2>
        <table class="form-table" role="presentation">
            <tbody>
                <tr class="form-field form-required term-name-wrap">
            		<th scope="row" class="titledesc">Normalizador de direcciones</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Normalizador de direcciones</span></legend>
                            <label for="correoschile_normalizador">
                            <input name="correoschile_normalizador" id="correoschile_normalizador" type="checkbox" <?php echo (get_option('correoschile_normalizador','') === 'S' ? 'checked' : ''); ?> value="S"> Validar las direcciones ingresadas por los clientes en el formulario de compra</label> 
                            <p class="description">Utilice esta opción si deseas que CorreosChile valide las direcciones ingresadas por los clientes utilizando el servicio de normalización, de lo contrario deberá validar manualmente las direcciones al administrar envíos para evitar errores con la generación de etiquetas.</p>
                        </fieldset>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
	            	<th>
                        <label for="correoschile_formato_etiqueta">Formato etiqueta</label>
		            </th>
            		<td>
                        <?php $formato_etiqueta = get_option('correoschile_formato_etiqueta', 'PDF'); ?>
                        <select name="correoschile_formato_etiqueta" id="correoschile_formato_etiqueta">
                            <option value="PDF" <?php echo $formato_etiqueta === 'PDF' ? 'selected' : ''; ?>>PDF - (Etiqueta de 17cm x 12cm)</option>
                            <option value="PDFS" <?php echo $formato_etiqueta === 'PDFS' ? 'selected' : ''; ?>>PDF Small - (Etiqueta de 9cm x 7.3cm)</option>
                            <option value="ZPL" <?php echo $formato_etiqueta === 'ZPL' ? 'selected' : ''; ?>>ZPL - (Etiqueta de 9cm x 7.3cm para impresoras termicas)</option>
                        </select>
                        <p class="description">Formato en que será generada la etiqueta para los envíos. 
                            <br><strong>NOTA: Por el momento el formato PDF solo admite hasta 30 caracteres tanto para dirección de origen y destino.</strong>
                        </p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
	            	<th>
                        <label for="correoschile_comprobar_estado">Comprobar Estado de los pedidos</label>
		            </th>
            		<td>
                        <?php $comprobarEstado = get_option('correoschile_comprobar_estado', ''); ?>
                        <select id="correoschile_comprobar_estado" name="correoschile_comprobar_estado">
                            <option value="" <?php echo $comprobarEstado === '' ? 'selected' : ''; ?>>No comprobar</option>
                            <option value="processing" <?php echo $comprobarEstado === 'processing' ? 'selected' : ''; ?>>Permitir solo cuando el estado sea "Procesando"</option>
                            <option value="completed" <?php echo $comprobarEstado === 'completed' ? 'selected' : ''; ?>>Permitir solo cuando el estado sea "Completado"</option>
                            <option value="processing,completed" <?php echo $comprobarEstado === 'processing,completed' ? 'selected' : ''; ?>>Permitir solo cuando los estados sean "Procesando o Completado"</option>
                        </select>
                        <p class="description">Utilice esta opción para evitar que al administrar envíos se relice la generación de etiquetas antes de que sus pedidos hayan sido pagados por sus clientes o posean nro factura o boleta.</p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
	            	<th>
                        <label for="correoschile_prefijo">Prefijo</label>
		            </th>
            		<td>
                        <input name="correoschile_prefijo" id="correoschile_prefijo" type="text" value="<?php echo get_option('correoschile_prefijo',''); ?>">
                        <p class="description">Utilice este espacio para escribir un prefijo al principio de sus números de orden, de manera que el número de referencia sea único.</p>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
		            <th scope="row" class="titledesc">Peso por defecto</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Peso por defecto</span></legend>
                            <label for="correoschile_usarPesoPorDefecto">
                            <input name="correoschile_usarPesoPorDefecto" id="correoschile_usarPesoPorDefecto" type="checkbox" <?php echo (get_option('correoschile_usarPesoPorDefecto','') === 'S' ? 'checked' : ''); ?> value="S"> Establecer peso por defecto de los productos.</label> 
                            <input name="correoschile_pesoPorDefecto" id="correoschile_pesoPorDefecto" type="number" min="0" max="99999.9999" step="0.1" value="<?php echo get_option('correoschile_pesoPorDefecto',''); ?>">
                            <p class="description">Utilice esta opción si desea utilizar nuestras tarifas y no ha definido el peso de los productos de su tienda, este valor solo aplica a los productos que se encuentra sin peso establecido.</p>
                        </fieldset>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
		            <th scope="row" class="titledesc">Volumen por defecto</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Peso por defecto</span></legend>
                            <label for="correoschile_usarVolumenPorDefecto">
                            <input name="correoschile_usarVolumenPorDefecto" id="correoschile_usarVolumenPorDefecto" type="checkbox" <?php echo (get_option('correoschile_usarVolumenPorDefecto','') === 'S' ? 'checked' : ''); ?> value="S"> Establecer volumen por defecto de los productos.</label> 
                            <input name="correoschile_volumenPorDefecto" id="correoschile_volumenPorDefecto" type="number" min="0" max="99999.9999" step="0.1" value="<?php echo get_option('correoschile_volumenPorDefecto',''); ?>">
                            <p class="description">Utilice esta opción si desea utilizar nuestras tarifas y no ha definido las dimensiones de los productos de su tienda, este valor solo aplica a los productos que se encuentra sin dimensiones establecidas.</p>
                        </fieldset>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
		            <th scope="row" class="titledesc">Peso máximo (kg)</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Peso máximo (kg)</span></legend>
                            <label for="correoschile_usarPesoMaximo">
                            <input name="correoschile_usarPesoMaximo" id="correoschile_usarPesoMaximo" type="checkbox" <?php echo (get_option('correoschile_usarPesoMaximo','') === 'S' ? 'checked' : ''); ?> value="S"> Establecer peso máximo tarificable.</label> 
                            <input name="correoschile_pesoMaximo" id="correoschile_pesoMaximo" type="number" min="0" max="9999.99" step="0.1" value="<?php echo get_option('correoschile_pesoMaximo',''); ?>">
                            <p class="description">Utilice esta opción si luego de cierto peso utilizara un método de envío diferente.</p>
                        </fieldset>
                    </td>
                </tr>                 
                <!--
                <tr class="form-field form-required term-name-wrap">
	        	<th scope="row" class="titledesc">Modo Multitienda</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Modo Multitienda</span></legend>
                            <label for="correoschile_calcularPorTienda">
                                <input name="correoschile_calcularPorTienda" id="correoschile_calcularPorTienda" type="checkbox" <?php echo (get_option('correoschile_calcularPorTienda','') === 'S' ? 'checked' : ''); ?> value="S"> Activar modo multitienda</label>&nbsp;<strong><span>(Sólo disponible con el plugin Dokan Lite)</span></strong>
                            <p class="description">Utilice esta opción si ha definido usuarios con la función "Vendor", de esta manera la tarificación se realizará en base a la comuna de cada uno de estos usuarios *(get_user_meta ['dokan_profile_settings'][0]['address']['city']).</p>
                        </fieldset>
                    </td>
                </tr>      
                -->
            </tbody>
        </table>

        <hr>
        <h2>Ajustes de interfaz</h2>
        <table class="form-table" role="presentation">
            <tbody>
                <tr class="form-field form-required term-name-wrap">
		            <th scope="row" class="titledesc">Cargar regiones y comunas</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Cargar regiones y comunas</span></legend>
                            <label for="correoschile_cargarRegiones">
                            <input name="correoschile_cargarRegiones" id="correoschile_cargarRegiones" type="checkbox" <?php echo (get_option('correoschile_cargarRegiones','') === 'S' ? 'checked' : ''); ?> value="S"> Permitir a CorreosChile cargar las regiones y comunas.</label> 
                            <p class="description">CorreosChile agregará en la listas de estados de Chile las regiones con su código ISO3166-2:CL, también agregará un combo que reemplazará al campo ciudad y cargara las comunas. Si ya tiene esta información cargada o sí utiliza otro plugin que hace esto no use esta opción.</p>
                        </fieldset>
                    </td>
                </tr>
                <tr class="form-field form-required term-name-wrap">
	            	<th>
                        <label for="correoschile_obtenerComunaDesde">Obtener comuna desde</label>
		            </th>
            		<td>
                        <?php $formato_etiqueta = get_option('correoschile_obtenerComunaDesde', 'city'); ?>
                        <select name="correoschile_obtenerComunaDesde" id="correoschile_obtenerComunaDesde">
                            <option value="city" <?php echo $formato_etiqueta 
                            === 'city' ? 'selected' : ''; ?>>city</option>
                            <option value="state" <?php echo $formato_etiqueta === 'state' ? 'selected' : ''; ?>>state</option>
                        </select>
                        <p class="description">CorreosChile necesita obtener el nombre de la comuna para tarificar correctamente. Indique el campo desde el cual obtendremos el nombre.</p>
                    </td>
                </tr>
            
                <tr class="form-field form-required term-name-wrap">
    		    <th scope="row" class="titledesc">Ordenar campos en checkout</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Ordenar campos en checkout</span></legend>
                            <label for="correoschile_ordenarCamposCheckout">
                            <input name="correoschile_ordenarCamposCheckout" id="correoschile_ordenarCamposCheckout" type="checkbox" <?php echo (get_option('correoschile_ordenarCamposCheckout','') === 'S' ? 'checked' : ''); ?> value="S"> Activar ordenamiendo de campos en CheckOut</label> 
                            <p class="description">El orden de los campos en WooCommerce no corresponde a la organización habitual en Chile (Región, Comuna, Dirección), utilice esta opción si desea que el plugin realice esta modificación.</p>
                        </fieldset>
                    </td>
                </tr>       
                <tr class="form-field form-required term-name-wrap">
    		    <th scope="row" class="titledesc">Mostrar errores</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Mostrar errores</span></legend>
                            <label for="correoschile_mostrarMensajes">
                            <input name="correoschile_mostrarMensajes" id="correoschile_mostrarMensajes" type="checkbox" <?php echo (get_option('correoschile_mostrarMensajes','') === 'S' ? 'checked' : ''); ?> value="S"> Mostrar mensajes de errores cuando no haya sido posible tarificar.</label> 
                            <p class="description">Permitir que aparesca un mensaje que indique por que no se ha desplegado la tarifa de CorreosChile en el formulario de checkout.</p>
                        </fieldset>
                    </td>
                </tr>  
            </tbody>
        </table>

        <div class="edit-tag-actions">
            <input type="submit" class="button button-primary" value="Actualizar">
        </div>
    </form>
</div>