<?php
    if (! current_user_can ('manage_options')){
        wp_die (__ ('No tienes suficientes permisos para acceder a esta página.'));
    }
    if (! in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
        wp_die (__ ('No has instalado wooCommerce o este se encuentra inactivo.'));
    }
    global $woocommerce;
    require_once dirname( __FILE__ ) . '/' . '../includes/srv_etiqueta.php';
    require_once dirname( __FILE__ ) . '/' . '../includes/srv_manifiesto.php';
    require_once dirname( __FILE__ ) . '/' . '../includes/srv_envio.php';
    require_once dirname( __FILE__ ) . '/' . '../includes/srv_servicio.php';
    require_once dirname( __FILE__ ) . '/' . '../includes/utilidades.php';
    $obtenerComunaDesde = get_option("correoschile_obtenerComunaDesde", "city");
?>
<div class="wrap">
    <h1 class="wp-heading-inline">CorreosChile - Administrar Envíos</h1>
    <hr class="wp-header-end">
    <br>
    <?php
        $estado = '';
        $fechaDesde = date('d-m-Y');
        $fechaHasta = date('d-m-Y'); 
        $order_id = '';
        $conEtiqueta = ''; 
        $conRetiro = '';
        $accion_masiva   = '';
        if ($_SERVER['REQUEST_METHOD'] === 'POST') 
        {
            $estado = filter_input(INPUT_POST, 'estado');
            $fechaDesde = filter_input(INPUT_POST, 'fechaDesde');
            $fechaHasta = filter_input(INPUT_POST, 'fechaHasta'); 
            $order_id = filter_input(INPUT_POST, 'order_id');
            $conEtiqueta = filter_input(INPUT_POST, 'conEtiqueta'); 
            $conRetiro = filter_input(INPUT_POST, 'conRetiro');
            $accion_masiva  = filter_input(INPUT_POST, 'accion_masiva');
                
            if(is_null($order_id) || is_bool($order_id) || !is_numeric($order_id)){ $order_id = ''; }
            if(is_null($conEtiqueta) || is_bool($conEtiqueta)){ $conEtiqueta = ''; } else { $conEtiqueta = 'S'; }
            if(is_null($conRetiro) || is_bool($conRetiro)){ $conRetiro = ''; } else { $conRetiro = 'S'; }
        }
        $envios = srv_envio::BuscarEnvios($fechaDesde, $fechaHasta, $order_id, $conEtiqueta, $conRetiro);
        $diff1Day = new DateInterval('P1D');
        $fecha = new DateTime();
        $fecha = $fecha->add($diff1Day);
        $fechaRetiro = $fecha->format('d-m-Y');
    ?>
    <div class="cch_msg" style="display: none;">
        <h2 class="title"></h2>
        <p class="nota"></p>
        <p class="msg"></p>
        <button id="btnCancelar" type="button" class="button button-primary">Cancelar</button>
    </div>
    <div class="cch-left cch-btn-margin">
        <button id="btnAgregarOrder" type="button" class="button">Agregar Pedido</button>
    </div>
    <form method="POST">
        <ul class="subsubsub">
        </ul>
        <div class="tablenav top">
            <div class="alignleft actions bulkactions">
                <label for="bulk-action-selector-top" class="screen-reader-text">Seleccionar acción múltiple</label>
                <select id="accion_masiva" id="bulk-action-selector-top" name="accion_masiva">
                    <option value="">Acciones masivas</option>
                    <option value="generar_etiquetas">Generar Etiquetas</option>
                    <option value="solicitar_retiro">Solicitar Retiro</option>
                    <option value="generar_manifiesto">Generar Manifiesto</option>
                    <option value="anular_orden">Anular Etiquetas</option>
                    <option value="eliminar_orden">Eliminar Pedidos</option>
                </select>
                <input type="button" id="aplicar" class="button action" value="Aplicar">
            </div>
            <div class="alignleft actions">
                <select id="estado" name="estado">
                    <option value="">Todos los estados</option>
                    <?php 
                        $statuses = wc_get_order_statuses();
                        foreach($statuses as $key => $value) {
                            $statusReplaced = str_replace('wc-', '', $key);
                    ?><option value="<?php echo $statusReplaced ?>" <?php echo ($estado === $statusReplaced ? "selected" : "") ?>><?php echo $value ?></option>
                    <?php } ?>
                </select>
                <strong><label for="fechaDesde">Desde:</label></strong>
                <input type="text" autocomplete="off" class="cch_datepicker dtp" id="fechaDesde" name="fechaDesde" value="<?php echo $fechaDesde ?>" maxlength="10" placeholder="dd-mm-yyyy">
                &nbsp;&nbsp;
                <strong><label for="fechaHasta">Hasta:</label></strong>
                <input type="text" autocomplete="off" class="cch_datepicker dtp" id="fechaHasta" name="fechaHasta" value="<?php echo $fechaHasta ?>" maxlength="10" placeholder="dd-mm-yyyy">
                &nbsp;&nbsp;
                <strong><label for="conEtiqueta">Con etiqueta:</label></strong>
                <input type="checkbox" id="conEtiqueta" name="conEtiqueta" <?php echo $conEtiqueta === 'S' ? 'checked="checked"': '' ?>/>
                &nbsp;&nbsp;
                <strong><label for="conRetiro">Con Retiro:</label></strong>
                <input type="checkbox" id="conRetiro" name="conRetiro" <?php echo $conRetiro === 'S' ? 'checked="checked"': '' ?> />
                &nbsp;&nbsp;
                <button id="btnBuscar" type="submit" class="button">Filtrar</button>
            </div>
        </div>
    </form>
    <table id="envios" class="wp-list-table widefat fixed striped posts">
	<thead>
        <tr>
		    <td id="cb" class="manage-column column-cb check-column">
                <label class="screen-reader-text" for="cb-select-all-1">Seleccionar todo</label><input id="cb-select-all-1" type="checkbox">
            </td>
            <th scope="col"><span>Pedido</span></th>
            <th scope="col"><span>Fecha</span></th>
            <th scope="col"><span>Estado</span></th>
            <th scope="col"><span>Destino</span></th>
            <th scope="col"><span>N° Envío</span></th>
            <th scope="col"><span>Servicio</span></th>
            <th scope="col"><span>Retiro</span></th>
            <th scope="col"><span>Error</span></th>
        </tr>
	</thead>
	<tbody id="the-list">
        <?php
            foreach($envios as $envio) {
                $order = wc_get_order($envio->order_id);
                if(!is_bool($order)) {
                    $extension = 'pdf';
                    if($envio->formatoEtiqueta === 'ZPL') {
                        $extension = 'txt';
                    }
                    $order_data = $order->get_data();
                    if($estado !== '') {
                        $orderStatus = $order_data['status'];
                        if($estado !== $orderStatus) {
                            continue;
                        }
                    }                    
                    $volumen = is_numeric($envio->volumen) ? (floatval($envio->volumen) * 250) : 0;
                    $tr = '';
                    $tr.= '<tr>'; 
                    $tr.= '<th scope="row" class="check-column"><label class="screen-reader-text" for="cb-select-' . $order_data['id'] . '"></label><input data-id="' . $order_data['id'] . '" id="cb-select-' . $order_data['id'] . '" type="checkbox"></th>';
                    $tr.= '<td class="order_number column-order_number has-row-actions column-primary" data-colname="Pedido"><a href="#" data-id="' . $order_data['id'] . '" class="order-view"><strong>#' . $order_data['id'] . ' ' . $order_data['billing']['first_name'] . ' ' . $order_data['billing']['last_name'] . '</strong></a><br><strong>' . $envio->observaciones2 . '</strong><br><small>' . $envio->kilos . ' kg, ' . $volumen . ' vol</small></td>';
                    $tr.= '<td>' . substr($envio->fechaCreacion, 0, 16) . '</td>';
                    $tr.= '<td>' . wc_get_order_status_name($order_data['status']) . '</td>';
                    $direccionDestinatario = $order_data["shipping"]["address_1"];
                    $direccionDestinatario2 = $order_data["shipping"]["address_2"];
                    if (utilidades::IsNullOrEmptyString($direccionDestinatario2)) {
                        $direccionDestinatario .= '. '. $direccionDestinatario2;
                    }
                    $tr.= '<td>';
                    if ($envio->normalizada === 'S') {
                        $tr.= '<small class="cch_normalizada">Normalizada</small> ';
                    } else {
                        $tr.= '<small class="cch_nonormalizada">No Normalizada</small> ';
                    }
                    $tr.= $direccionDestinatario . '</td>';
                    $uploadDir   = wp_upload_dir();
                    $baseUrl = $uploadDir['baseurl'];
                    $baseUrl .= '/correoschile_etiquetas/';
                    $tr.= '<td>' . (is_null($envio->numeroEnvio) ? '-' : ('<a href="' . $baseUrl . $envio->numeroEnvio . '.' . $extension) . '" target="blank"><strong>' . $envio->numeroEnvio . '</strong></a>'). '</td>';
                    $tr.= '<td>' . $envio->servicio . '</td>';
                    $tr.= '<td>' . (is_null($envio->codigoRetiro) ? '-' : ('<a href="#"><strong>' . $envio->codigoRetiro . '</strong></a><br>' . $envio->fechaRetiro . ' ' . $envio->horaRetiroDesde) . '-' . $envio->horaRetiroHasta) . '</td>';
                    $tr.= '<td>' . $envio->error . '</td>';
                    $tr.= '</tr>';
                    echo $tr;
                }
            }
        ?>    
        </tbody>
    </table>
    <br>
</div>

<div id="dlg_generador_etiquetas" title="Confirmar generación de etiquetas" style="display:none;">
    <div class="contenido1">
        <p><strong>¿Desea crear etiquetas para los envíos seleccionados?</strong></p>
        <?php
            $nota = 'NOTA: Sólo los envíos que no tengan etiqueta serán considerados.';
            $comprobarEstado = get_option('correoschile_comprobar_estado', '');
            switch ($comprobarEstado) {
                case 'processing': 
                    $nota = 'NOTA: Sólo los envíos con estado "Procesando" y no tengan etiqueta serán considerados.';
                    break;
                case 'completed': 
                    $nota = 'NOTA: Sólo los envíos con estado "Completado" y no tengan etiqueta serán considerados.';
                    break;
                case 'processing,completed': 
                    $nota = 'NOTA: Sólo los envíos con estado "Procesando" y "Completado" y no tengan etiqueta serán considerados.';
                    break;
            }
        ?>
        <p><i><?php echo $nota; ?></i></p>
        <hr>
        <div class="cch-right">
            <button id="btnSiGeneracionEtiquetas" type="button" class="cch_w50 button button-primary">Sí</button>
            <button id="btnNoGeneracionEtiquetas" type="button" class="cch_w50 button">No</button>
        </div>
    </div>
    <div class="contenido2">
        <p><strong>Generando etiquetas...</strong></p>
        <i><span class="cch_loading">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Por favor espere que el proceso termine para continuar navegando por el sitio, de lo contrario será detenido.</span></i>
        <hr>
        <div class="cch-right">
            <button id="btnCancelarGeneracionEtiquetas" type="button button-primary" class="button button-primary">Cancelar</button>
        </div>
    </div>
</div>
<div id="dlg_generador_manifiesto" title="Confirmar generación de manifiesto" style="display:none;">
    <div class="contenido1">
        <p><strong>¿Desea generar el manifiesto para los envíos seleccionados?</strong></p>
        <p><i>NOTA: Sólo los pedidos con etiqueta serán considerados.</i></p>
        <hr>
        <div class="cch-right">
            <button id="btnSiGeneracionManifiesto" type="button" class="cch_w50 button button-primary">Sí</button>
            <button id="btnNoGeneracionManifiesto" type="button" class="cch_w50 button">No</button>
        </div>
    </div>
    <div class="contenido2">
        <p><strong>Generando manifiesto...</strong></p>
        <i class="mensaje"><span class="cch_loading">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Por favor espere que el proceso termine para continuar navegando por el sitio.</span></i>
        <hr>
        <div class="cch-right">
            <a href="#" target="blank" id="btnDescargarManifiesto" type="button button-primary" class="button button-primary" style="display:none;">Descargar</a>
            <button id="btnCerrarGeneracionManifiesto" type="button" class="button button-primary">Cerrar</button>
        </div>
    </div>
</div>
<div id="dlg_solicitar_retiro" title="Confirmar solicitud de retiro" style="display:none;">
    <div class="contenido1">
        <p><strong>¿Desea solicitar el retiro para los envíos seleccionados?</strong></p>
        <p><i>NOTA: Sólo los pedidos con etiqueta y sin fecha de retiro serán considerados.</i></p>
        <hr>
        <div class="cch-right">
            <button id="btnSiSolicitarRetiro" type="button" class="cch_w50 button button-primary">Sí</button>
            <button id="btnNoSolicitarRetiro" type="button" class="cch_w50 button">No</button>
        </div>
    </div>
    <div class="contenido2">
        <div>
            <table>
                <tr>
                    <td valign="top">
                        <strong>Fecha</strong>
                    </td>
                    <td valign="top">
                        <input type="text" autocomplete="off" class="cch_datepicker dtpr" id="fechaRetiro" name="fechaRetiro" value="<?php echo $fechaRetiro ?>" maxlength="10" placeholder="dd-mm-yyyy">
                        <br>
                        <span style="color:red;" id="lblfechaRetiro"></span>
                    </td>
                </tr>
                <tr>
                    <td valign="top">
                        <strong>Horario&nbsp;&nbsp;&nbsp;&nbsp;</strong>
                    </td>
                    <td valign="top">
                        <select name="horarioDesde" id="horarioDesde">
                            <option value="9">09:00</option>
                            <option value="10">10:00</option>
                            <option value="11">11:00</option>
                            <option value="12">12:00</option>
                            <option value="13">13:00</option>
                            <option value="14">14:00</option>
                            <option value="15">15:00</option>
                            <option value="16">16:00</option>
                            <option value="17">17:00</option>
                            <option value="18">18:00</option>
                            <option value="19">19:00</option>
                        </select>
                        <select name="horarioHasta" id="horarioHasta">
                            <option value="9">09:00</option>
                            <option value="10">10:00</option>
                            <option value="11">11:00</option>
                            <option value="12">12:00</option>
                            <option value="13">13:00</option>
                            <option value="14">14:00</option>
                            <option value="15">15:00</option>
                            <option value="16">16:00</option>
                            <option value="17">17:00</option>
                            <option value="18">18:00</option>
                            <option value="19">19:00</option>
                        </select>                        
                    </td>
                </tr>
            </table>
        </div>
        <hr>
        <div class="cch-right">
            <button id="btnContinuarSolicitarRetiro" type="button" class="button button-primary">Continuar</button>
            <button id="btnAbotarSolicitarRetiro" type="button" class="button">Cancelar</button>
        </div>
    </div>    
    <div class="contenido3">
        <p><strong>Solicitando Retiros...</strong></p>
        <i><span class="cch_loading">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Por favor espere que el proceso termine para continuar navegando por el sitio, de lo contrario será detenido.</span></i>
        <hr>
        <div class="cch-right">
            <button id="btnCancelarSolicitarRetiro2" type="button" class="button button-primary">Cancelar</button>
        </div>
    </div>
</div>
<div id="dlg_anular_pedidos" title="Confirmar la anulación de etiquetas" style="display:none;">
    <div class="contenido1">
        <p><strong>¿Desea anular los pedidos seleccionados?</strong></p>
        <p><i>NOTA: Solo los pedidos con etiqueta generada serán considerados</i></p>
        <hr>
        <div class="cch-right">
            <button id="btnSiAnularEtiquetas" type="button" class="cch_w50 button button-primary">Sí</button>
            <button id="btnNoAnularEtiquetas" type="button" class="cch_w50 button">No</button>
        </div>
    </div>
    <div class="contenido2">
        <p><strong>Anulando pedidos...</strong></p>
        <i><span class="cch_loading">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Por favor espere que el proceso termine para continuar navegando por el sitio, de lo contrario será detenido.</span></i>
        <hr>
        <div class="cch-right">
            <button id="btnCancelarAnularEtiquetas" type="button button-primary" class="button button-primary">Cancelar</button>
        </div>
    </div>
</div>
<div id="dlg_eliminar_pedidos" title="Confirmar la eliminación" style="display:none;">
    <div class="contenido1">
        <p><strong>¿Desea eliminar las ordenes seleccionadas?</strong></p>
        <p><i>NOTA: Este proceso eliminará toda la información del pedido, incluyendo etiquetas generadas. El pedido seguirá registrado para WooCommerce</i></p>
        <hr>
        <div class="cch-right">
            <button id="btnSiEliminarPedidos" type="button" class="cch_w50 button button-primary">Sí</button>
            <button id="btnNoEliminarPedidos" type="button" class="cch_w50 button">No</button>
        </div>
    </div>
    <div class="contenido2">
        <p><strong>Eliminando...</strong></p>
        <i><span class="cch_loading">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Por favor espere que el proceso termine para continuar navegando por el sitio, de lo contrario será detenido.</span></i>
        <hr>
        <div class="cch-right">
            <button id="btnCancelarEliminarPedidos" type="button button-primary" class="button button-primary">Cancelar</button>
        </div>
    </div>
</div>
<div id="dlg_editor" title="Pedido N°" style="display:none;">
    <div class="contenido1">
        <table>
            <tr>
                <td>
                    <input type="hidden" id="orderid" name="orderid" value="0">
                    <p class="form-field" style="margin: 0;">
                        <label for="nombre">Nombre</label>
                        <input type="text" class="short" style="" name="nombre" id="nombre" value="" placeholder="">
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label for="apellidos">Apellidos</label>
                        <input type="text" class="short" style="" name="apellidos" id="apellidos" value="" placeholder="">
                    </p>                    
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="telefono">Teléfono</label>
                        <input type="text" class="short" maxlength="20" style="" name="telefono" id="telefono" value="" placeholder="">
                    </p>
                </td>
            </tr>            
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="email">Correo electrónico</label>
                        <input type="text" class="short" maxlength="255" style="" name="email" id="email" value="" placeholder="">
                    </p>
                </td>
            </tr>
            <?php
                $cargarRegiones = get_option('correoschile_cargarRegiones', 'N');
                if($cargarRegiones === 'S') {
            ?>        

            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="region">Región</label>
                        <select class="select short" style="width: 100%" name="region" id="region" value="" placeholder="">
                            <option value="">[Seleccione...]</option>
                            <?php
                            $regiones = srv_region::ObtenerRegiones();
                            foreach($regiones as $region) {
                                echo '<option value="' . $region["idRegion"] . '">' . $region["region"] . '</option>';
                            }
                            ?>
                        </select>
                    </p>
                </td>
            </tr>       
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="comuna">Comuna</label>
                        <br>
                        <select class="select short" style="width: 100%" name="comuna" id="comuna" value="" placeholder="">
                        </select>
                    </p>
                </td>
            </tr>

            <?php
                } else {
                $countries_obj   = new WC_Countries();
                $states = $countries_obj->get_states('CL');
            ?>

            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="region">
                            <?php echo $obtenerComunaDesde === 'state' ? 'Comuna' : 'State'; ?>
                        </label>
                        <?php
                            if (is_array($states) === true) {
                                echo '<select class="select short" style="width: 100%" name="region" id="region" value="" placeholder="">';
                                echo '<option value="">[Seleccione...]</option>';
                                foreach($states as $key=>$value){
                                    echo '<option value="' . $key . '">' . $value . '</option>';
                                }
                                echo '</select>';
                            } else {
                                echo '<br>';
                                echo '<input type="text" maxlength="60" class="short" name="region" id="region" value="" placeholder=""/>';
                            }
                        ?>
                    </p>
                </td>
            </tr>       
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="comuna">
                            <?php echo $obtenerComunaDesde === 'city' ? 'Comuna' : 'City'; ?>
                        </label>
                        <br>
                        <input type="text" class="short" maxlength="60" name="comuna" id="comuna" value="" placeholder=""/>
                    </p>
                </td>
            </tr>

            <?php
                }
            ?>
 
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="servicio">Servicio</label>
                        <select class="select short" style="width: 100%" name="servicio" id="servicio" value="" placeholder="">
                            <option value="">[Seleccione...]</option>
                            <?php
                            $servicios = srv_servicio::ObtenerServicios();
                            foreach($servicios as $servicio) {
                                echo '<option data-sucursal="' . $servicio["esSucursal"] . '" value="' . $servicio["codigoServicio"] . '">' . $servicio["abreviacion"] . ' - ' . $servicio["descripcion"] . '</option>';
                            }
                            //estaDisponible
                            ?>
                        </select>
                    </p>
                </td>
            </tr> 
            <tr id="tr_sucursal">
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="sucursal">Sucursal</label>
                        <select class="select short" style="width: 100%" name="sucursal" id="sucursal" value="" placeholder="">
                            <option value="">[Seleccione...]</option>
                            <?php
                                
                            ?>
                        </select>
                        <br>
                        <small id="lblSucursal" style="color:red; display:none;"><small>
                    </p>
                </td>
            </tr>              
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="direccion1">Dirección</label>
                        <input type="text" class="short" style="" name="direccion1" id="direccion1" value="" placeholder="Dirección, linea 1">
                    </p>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <input type="text" class="short" style="" name="direccion2" id="direccion2" value="" placeholder="Dirección, linea 2">                        
                    </p>
                </td>
            </tr>   
            <tr>
                <td colspan="2">
                    <div>
                        <div class="cch-left" style="margin-top: 10px; margin-bottom: 10px;">
                            <button id="btnValidarDireccion" type="button" class="button">Validar Dirección</button>
                        </div>
                        <div style="margin-top: 10px; margin-bottom: 10px; float: right; padding-top: 5px;padding-right: 80px;">
                            <label id="success-message-cch" style="color:green; display:none;"> Dirección válida! </label>
                            <label id="error-message-cch" style="color:red; display:none;"> Dirección inválida </label>
                        </div>
                    </div>
                </td>
            </tr>          
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="codigoPostal">Código postal</label>
                        <input type="text" maxlength="7" class="short" style="" name="codigoPostal" id="codigoPostal" value="" placeholder="">
                    </p>
                </td>
            </tr>    
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="notas">Notas del cliente</label>
                        <input type="text" maxlength="255" name="notas" id="notas" placeholder="Las notas de los clientes acerca del pedido"/>
                    </p>
                </td>
            </tr>    
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="tipoMercancia">Tipo Mercancía</label>
                        <input type="text" maxlength="255" name="tipoMercancia" id="tipoMercancia" placeholder="Indicar contenido del paquete"/>
                    </p>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <label for="observaciones2">Observaciones para uso interno Correos Chile</label>
                        <input type="text" maxlength="255" name="observaciones2" id="observaciones2" placeholder="Indicar el contenido y su número de factura"/>
                    </p>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <p class="form-field" style="margin: 0;">
                        <input type="checkbox" id="pagoSeguro" name="pagoSeguro">
                        <label for="pagoSeguro">Incluir seguro</label>
                    </p>
                </td>
            </tr>
        </table>
        <hr>
        <div class="cch-right">
            <button id="btnActualizarEnvio" type="button" class="button button-primary">Guardar</button>
            <button id="btnCancelarEdicion" type="button" class="button">Cerrar</button>
        </div>
    </div>
</div>
<div id="dlg_crud" title="Agregar ordenes" style="display:none;">
    <div class="contenido1">
        <p class="form-field" style="margin: 10px;">
            <div>
                <p><i>Los pedidos ingresados se agregarán al administrador de envíos y podrás utilizar los servicios de Correos de Chile.</i></p>
                <p><strong>Deben estar separados por comma </strong>(28,29,30)</p>
                <label for="n_ordenes">Numeros de orden/pedido</label>
                <input type="text" class="short" style="" name="ordenes" id="ordenes" value="" placeholder="" autocomplete="off">
            </div>
            <div>
                <br/>
                <input type="checkbox" id="cambiaMetodo" name="cambiaMetodo" value=""/>
                <label for="cambiaMetodo">Cambiar método de envío</label>  
                <p><i>Esta selección permite cambiar el método de envío del pedido a Correos de Chile incluyendo el costo de envío.</i></p>
            </div>
        </p>
        <hr>
        <div class="cch-right">
            <button id="btnAgregarOrdenes" type="button" class="button button-primary">Agregar</button>
            <button id="btnCerrarCrud" type="button" class="button">Cerrar</button>
        </div>
    </div>
    <div class="contenido2">
        <p><strong>Agregando pedidos...</strong></p>
        <i><span class="cch_loading">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Por favor espere que el proceso termine para continuar navegando por el sitio, de lo contrario será detenido.</span></i>
        <hr>
        <div class="cch-right">
            <button id="btnCancelarAgregarPedidos" type="button button-primary" class="button button-primary">Cancelar</button>
        </div>
    </div>
</div>
<div id="dlg_mensaje" title="">
    <p></p>
</div>
<div id="dlg_procesando" title="">
    <p></p>
</div>

<?php
    $mt = strval(microtime() * 1000);
    $path = plugin_dir_url(__FILE__);
    wp_enqueue_style('correoschile_jquery', $path . 'css/jquery-ui.min.css');
    wp_enqueue_style('correoschile_envios', $path . 'css/correoschile_admin.css');
    wp_enqueue_script('correoschile_envios', $path . 'js/correoschile_envios.js', ['jquery', 'jquery-ui-core', 'jquery-ui-dialog', 'jquery-ui-datepicker'], $mt, true );
    wp_localize_script('correoschile_envios', 'correoschile_var',
        array('url' => admin_url('admin-ajax.php'),
              'nonce_obtenerEnvio' => wp_create_nonce('nonce_obtenerEnvio'),
              'nonce_actualizarEnvio' => wp_create_nonce('nonce_actualizarEnvio'),
              'nonce_validarDireccion' => wp_create_nonce('nonce_validarDireccion'),
              'nonce_etiqueta' => wp_create_nonce('nonce_etiqueta'),
              'nonce_manifiesto' => wp_create_nonce('nonce_manifiesto'),
              'nonce_anularEnvio' => wp_create_nonce('nonce_anularEnvio'),
              'nonce_eliminarEnvio' => wp_create_nonce('nonce_eliminarEnvio'),
              'nonce_agregarOrden' => wp_create_nonce('nonce_agregarOrden'),
              'nonce_retiro' => wp_create_nonce('nonce_retiro')
        ));
    $fecha = date('Ymd');
    $strFecha = date('d-m-Y');
    $h = date_format(new DateTime('NOW'), 'H');
    $agendarHoy = $h < 14 ? 'true' : 'false';
    if($agendarHoy === 'false') {
        $fecha = date_format(new DateTime('+1 day'), 'Ymd');
        $strFecha = date_format(new DateTime('+1 day'), 'd-m-Y');
    }
    $obtenerComunaDesde = get_option("correoschile_obtenerComunaDesde", "city");
?>
<script>
    jQuery(document).ready(function(){
        new correoschile_envios({ fecha: <?php echo $fecha ?>,
                                  strFecha: '<?php echo $strFecha ?>',
                                  agendarHoy: <?php echo $agendarHoy ?>,
                                  comunas: <?php echo srv_comuna::ObtenerJsonComunas() ?>,
                                  sucursales: <?php echo srv_sucursal::ObtenerJsonSucursales()?>,
                                  obtenerComunaDesde: '<?php echo $obtenerComunaDesde?>'
                                });
    });
</script>