<?php
if (! current_user_can ('manage_options'))
{
    wp_die(__('No tienes suficientes permisos para acceder a esta página.'));
}
if (!in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) 
{
    wp_die(__('No has instalado wooCommerce o este se encuentra inactivo.'));
}
global $woocommerce;
require_once dirname( __FILE__ ) . '/' . '../includes/srv_servicio.php';
?>
<div class="wrap">
<h1 class="wp-heading-inline"> CorreosChile - Administrar Servicios</h1>
<hr class="wp-header-end">
<div id="divMessage" class="inline" style="display:none;">
    <p>
        <strong id="lblMessage"></strong>
    </p>
</div>
<div>
    <p>
    Puedes elegir los servicios que necesites para tarificar. Su estado va a indicar si serán desplegadas sus tarifas en el proceso de compra.
    </p>
</div>
<table class="wp-list-table widefat fixed striped posts">
    <thead>
        <tr>
            <th scope="col" style="width:50px;">Id</th>
            <th scope="col">Nombre</th>
            <th scope="col" style="width:100px;">Estado</th>
            <th scope="col">Tiempo</th>
            <th scope="col">Alcance</th>
        <tr>
    </thead>
    <tbody id="the-list">
    <?php
        $servicios = srv_servicio::ObtenerServicios();
        if(is_array($servicios)){
            foreach($servicios as $servicio) {
                if($servicio["esTarificable"] === 'S') {
                    $tr = '';
                    $tr.= '<tr>'; 
                    $tr.= '<td>' . $servicio["codigoServicio"] . '</td>';
                    $tr.= '<td>' . $servicio["abreviacion"] . ' - ' . $servicio["descripcion"] . '</td>';
                    $tr.= '<td><input data-id="' . $servicio["codigoServicio"] . '" type="checkbox" ' . ($servicio["estaDisponible"] === 'S' ? 'checked' : '') . ' ' . ($servicio["esPredeterminado"] === 'S' ? 'disabled' : '') . '/></td>';
                    $tr.= '<td>' . $servicio["tiempoPredeterminado"] . '</td>';
                    $tr.= '<td>' . $servicio["alcance"] . '</td>';                    
                    $tr.= '</tr>';
                    echo $tr;
                }
            }
        }
    ?>    
    </tbody>
</table>
<div class="tablenav bottom">
    <div class="alignright actions">
        <button id="btnGuardar" type="submit" class="button button-primary">Guardar</button>
    </div>
</div>
</div>
<?php
    $mt = strval(microtime() * 1000);
    $path = plugin_dir_url(__FILE__);
    wp_enqueue_style('correoschile_jquery', $path . 'css/jquery-ui.min.css');
    wp_enqueue_style('correoschile_servicios', $path . 'css/correoschile_admin.css');
    wp_enqueue_script('correoschile_servicios', $path . 'js/correoschile_servicios.js', ['jquery', 'jquery-ui-core', 'jquery-ui-dialog', 'jquery-ui-datepicker'], $mt, true );

    wp_localize_script('correoschile_servicios', 'correoschile_var',
        array('url' => admin_url('admin-ajax.php'),
            'nonce_guardarServicios' => wp_create_nonce('nonce_guardarServicios')
        )
    );
?>
<script>
    jQuery(document).ready(function(){
        new Servicios();
    });
</script>