<?php
    if (! current_user_can ('manage_options')) {
        wp_die(__('No tienes suficientes permisos para acceder a esta página.'));
    }
    if (!in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
        wp_die(__('No has instalado wooCommerce o este se encuentra inactivo.'));
    }
    global $woocommerce;
    require_once dirname(__FILE__) . '/' . '../includes/srv_region.php';
    require_once dirname(__FILE__) . '/' . '../includes/srv_comuna.php';
?>
<div class="wrap">
<h1 class="wp-heading-inline">CorreosChile - Administrar Tarifas</h1>
<hr class="wp-header-end">
<br>
<?php
    $idRegionSeleccionada = '';
    if ($_SERVER['REQUEST_METHOD'] === 'POST') 
    {
        $idRegionSeleccionada = filter_input(INPUT_POST, 'idRegion');
    }
?>
<form method="POST">
    <div class="tablenav top">
        <div class="alignleft actions bulkactions">
            <label for="bulk-action-selector-top" class="screen-reader-text">Seleccionar acción múltiple</label>
            <select id="accion_masiva" id="bulk-action-selector-top" name="accion_masiva">
                <option value="">Acciones masivas</option>
                <option value="edicion_masiva">Edición Masiva</option>
            </select>
            <input type="button" id="aplicar" class="button action" value="Aplicar">
        </div>
        <div class="alignleft actions">
            <select id="idRegion" name="idRegion">
                <option value="">Todas las regiones</option>
                <?php 
                    $regiones = srv_region::ObtenerRegiones();
                    foreach($regiones as $region) 
                    {
                        ?><option value="<?php echo $region["idRegion"] ?>" <?php echo ($idRegionSeleccionada === $region["idRegion"] ? "selected" : "") ?>><?php echo $region["region"] ?></option><?php
                    }
                ?>
            </select>
            <button id="btnBuscar" type="submit" class="button">Filtrar</button>
        </div>
    </div>
</form>
<table class="wp-list-table widefat fixed striped posts">
    <thead>
        <tr>
            <td id="cb" class="manage-column column-cb check-column">
                <label class="screen-reader-text" for="cb-select-all-1">Seleccionar todo</label>
                <input id="cb-select-all-1" type="checkbox">
            </td>
            <th scope="col">Región</th>
            <th scope="col">Comuna</th>
            <th scope="col">Disponible</th>
            <th scope="col">Gratis</th>
            <th scope="col">Marginar</th>
            <th scope="col">Precio Fijo</th>
        <tr>
    </thead>
    <tbody id="the-list">
    <?php
        $comunas = srv_comuna::ObtenerComunas($idRegionSeleccionada);
        if(is_array($comunas)){
            foreach($comunas as $comuna) {
                $tr = '';
                $tr.= '<tr>'; 
                $tr.= '<th scope="row" class="check-column"><label class="screen-reader-text" for="cb-select-' . $comuna->idComuna . '"></label><input data-id="' . $comuna->idComuna . '" id="cb-select-' . $comuna->idComuna . '" type="checkbox"></th>';
                $tr.= '<td>' . $comuna->region . '</td>';
                $tr.= '<td><a href="#" data-id="' . $comuna->idComuna . '" data-comuna="' . $comuna->nombre . '" class="editor_tarifa">' . $comuna->nombre . '</a></td>';
                $tr.= '<td>' . ($comuna->estaDisponible == 'S' ? 'Si' : 'No') . '</td>';  
                switch($comuna->esGratis) {
                    case 'N':
                        $tr.= '<td>No</td>';
                        break;
                    case 'S':
                        if ($comuna->esGratisDesde === '0') {
                            $tr.= '<td>Si</td>';
                        } else {
                            $tr.= '<td>a partir de $' . $comuna->esGratisDesde . '</td>';
                        }
                        break;
                }
                switch($comuna->marginar) {
                    case 'N':
                        $tr.= '<td>No</td>';
                        break;
                    case 'P':
                        $tr.= '<td>' . $comuna->marginarValor . '%</td>';
                        break;
                    case 'V':
                        $tr.= '<td>$' . $comuna->marginarValor . '</td>';
                        break;                                                    
                }
                switch($comuna->precioFijo) {
                    case 'N':
                        $tr.= '<td>No</td>';
                        break;
                    case 'S':
                        $tr.= '<td>$' . $comuna->precioFijoValor . '</td>';
                        break;
                }
                $tr.= '</tr>';
                echo $tr;
            }
        }
    ?>    
    </tbody>
</table>
</div>

<div id="dlg_editor" style="display:none;">
    <div class="contenido1">
        <div id="divError" class="error inline" style="margin:0; display:none;">
		    <p>
		    	<strong id="lblError">
                </strong>
    		</p>
	    </div>
        <input type="hidden" id="idComuna" value=""/>
        <table>
            <tr>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label for="estaDisponible">Disponible</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <input type="checkbox" id="estaDisponible" name="estaDisponible">
                    <p>
                </td>
            </tr>
            <tr>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label for="esGratis">Gratis</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <select type="text" class="select short" style="width: 100%" name="esGratis" id="esGratis" value="" placeholder="">
                            <option value="N">No</option>
                            <option value="S">Si</option>
                            <option value="V">Si, a partir de un valor</option>
                        </select>
                    </p>                    
                </td>
            </tr>
            <tr id="trEsGratisDesde" style="display:none;">
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label for="esGratisDesde">Gratis desde</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <input type="number" class="short" style="" step="1" min="0" max="99999999" name="esGratisDesde" id="esGratisDesde" value="" placeholder="">
                    </p>
                </td>
            </tr>
            <tr>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label for="marginar">Marginar</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <select class="select short" style="width: 100%" name="marginar" id="marginar" value="" placeholder="">
                            <option value="N">No</option>
                            <option value="V">Sí, un valor sobre el costo de envío</option>
                            <option value="P">Sí, un porcentaje sobre el costo de envío</option>
                        </select>
                    </p>
                </td>
            
            </tr>
            <tr id="trMarginarValor" style="display:none;">
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label id="lblMarginarValor" for="marginarValor">Marginar Valor</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <input type="number" step="0.01" min="-9999999.99" max="9999999.99" class="short" style="" name="marginarValor" id="marginarValor" value="" placeholder="">                    
                    </p>
                </td>
            </tr>
            <tr>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label for="precioFijo">Precio Fijo</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <select class="select short" style="width: 100%" name="precioFijo" id="precioFijo" value="" placeholder="">
                            <option value="N">No</option>
                            <option value="S">Sí</option>
                        </select>
                    </p>
                </td>
            </tr>
            <tr id="trPrecioFijoValor" style="display:none;">
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label id="lblPrecioFijoValor" for="precioFijoValor">Valor</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <input type="number" step="0.01" min="0" max="999999999" class="short" style="" name="precioFijoValor" id="precioFijoValor" value="" placeholder="">                    
                    </p>
                </td>
            </tr>
        </table>
        <hr>
        <div class="cch-right">
            <button id="btnGuardarTarifa"  type="button" class="cch_w50 button button-primary">Aceptar</button>
            <button id="btnCancelarTarifa" type="button" class="cch_w50 button">Cancelar</button>
        </div>
    </div>
</div>

<div id="dlg_editor2" style="display:none;">
    <div class="contenido1">
        <div id="divError2" class="error inline" style="margin:0; display:none;">
		    <p>
		    	<strong id="lblError2">
                </strong>
    		</p>
	    </div>
        <input type="hidden" id="idComunas" value=""/>
        <table>
            <tr>
                <td style="width:30px;">
                    <p class="form-field" style="margin: 0;">
                        <input type="checkbox" id="aplicarEstanDisponibles" name="aplicarEstanDisponibles">
                    </p>
                </td>
                <td style="width:80px;">
                    <p class="form-field" style="margin: 0;">
                        <label for="estanDisponibles">Disponible</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <input type="checkbox" id="estanDisponibles" name="estanDisponibles">
                    </p>
                </td>
            </tr>
            <tr>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <input type="checkbox" id="aplicarSonGratis" name="aplicarSonGratis">
                    </p>
                </td>             
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label for="sonGratis">Gratis</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <select type="text" class="select short" style="width: 100%" name="sonGratis" id="sonGratis" value="" placeholder="">
                            <option value="N">No</option>
                            <option value="S">Si</option>
                            <option value="V">Si, a partir de un valor</option>
                        </select>
                    </p>                    
                </td>
            </tr>
            <tr id="trSonGratisDesde" style="display:none;">
                <td>
                </td>             
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label for="sonGratisDesde">Gratis desde</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <input type="number" class="short" style="" step="1" min="0" max="99999999" name="sonGratisDesde" id="sonGratisDesde" value="" placeholder="">
                    </p>
                </td>
            </tr>
            <tr>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <input type="checkbox" id="aplicarMarginarlas" name="aplicarMarginarlas">
                    </p>                
                </td>            
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label for="marginarlas">Marginar</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <select class="select short" style="width: 100%" name="marginarlas" id="marginarlas" value="" placeholder="">
                            <option value="N">No</option>
                            <option value="V">Sí, un valor sobre el costo de envío</option>
                            <option value="P">Sí, un porcentaje sobre el costo de envío</option>
                        </select>
                    </p>
                </td>
            </tr>
            <tr id="trMarginarlasValor" style="display:none;">
                <td>
                </td>            
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label id="lblMarginarlasValor" for="marginarlasValor">Marginar Valor</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <input type="number" step="0.01" min="-9999999.99" max="9999999.99" class="short" style="" name="marginarlasValor" id="marginarlasValor" value="" placeholder="">                    
                    </p>
                </td>
            </tr>
            <tr>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <input type="checkbox" id="aplicarPreciosFijo" name="aplicarPreciosFijo">
                    </p>                
                </td>            
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label for="preciosFijo">Precio Fijo</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <select class="select short" style="width: 100%" name="preciosFijo" id="preciosFijo" value="" placeholder="">
                            <option value="N">No</option>
                            <option value="S">Sí</option>
                        </select>
                    </p>
                </td>
            </tr>
            <tr id="trPreciosFijoValor" style="display:none;">
                <td>
                </td>            
                <td>
                    <p class="form-field" style="margin: 0;">
                        <label for="preciosFijoValor">Valor</label>
                    </p>
                </td>
                <td>
                    <p class="form-field" style="margin: 0;">
                        <input type="number" step="1" min="0" max="999999999" class="short" style="" name="preciosFijoValor" id="preciosFijoValor" value="" placeholder="">
                    </p>
                </td>
            </tr>
        </table>
        <hr>
        <div class="cch-right">
            <button id="btnGuardarTarifas" type="button" class="cch_w50 button button-primary">Aceptar</button>
            <button id="btnCancelarTarifas" type="button" class="cch_w50 button">Cancelar</button>
        </div>
    </div>
</div>

<div id="dlg_mensaje" title="">
    <p></p>
</div>

<?php
    $mt = strval(microtime() * 1000);
    $path = plugin_dir_url(__FILE__);
    wp_enqueue_style('correoschile_jquery', $path . 'css/jquery-ui.min.css');
    wp_enqueue_style('correoschile_envios', $path . 'css/correoschile_admin.css');
    wp_enqueue_script('correoschile_tarifas', $path . 'js/correoschile_tarifas.js', ['jquery', 'jquery-ui-core', 'jquery-ui-dialog', 'jquery-ui-datepicker'], $mt, true );

    wp_localize_script('correoschile_tarifas', 'correoschile_var',
        array('url' => admin_url('admin-ajax.php'),
            'nonce_obtenerTarifaComuna' => wp_create_nonce('nonce_obtenerTarifaComuna'),
            'nonce_guardarTarifaComuna' => wp_create_nonce('nonce_guardarTarifaComuna'),
            'nonce_guardarTarifaComunas' => wp_create_nonce('nonce_guardarTarifaComunas')
        )
    );
?>    
<script>
    jQuery(document).ready(function(){
        new EditorTarifa({ "formId" : "dlg_editor" });
        var editorTarifas = new EditorTarifas({ "formId" : "dlg_editor2" });
        jQuery('#aplicar').on('click', function(e) {
            var accionMasiva = jQuery('#accion_masiva').val();
            if(accionMasiva === '') {
                return;
            }
            var idComunas = '';
            jQuery('#the-list input[type=checkbox]:checked').each(function(i, chk) {
                if (idComunas !== '') {
                    idComunas += ',';
                }
                idComunas += jQuery(chk).attr('data-id');
            });
            if(idComunas === '') {
                mostrar_mensaje('No se han seleccionado comunas.', 'Debes seleccionar al menos 1 comuna para ejecutar esta acción.');
            }
            if (accionMasiva === 'edicion_masiva') {
                editorTarifas.mostrar(idComunas);
            }
        });
    });

    function mostrar_mensaje(titulo, mensaje) {
        jQuery('p','#dlg_mensaje').text(mensaje);
        jQuery('#dlg_mensaje').dialog({
            title : titulo,
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false,
            buttons: {
                'Aceptar': function() { jQuery(this).dialog('close');}
            }
        });
    };
</script>