
function correoschile_envios(prms) {
    var _ths = this;
    _ths.fecha = prms.fecha;
    _ths.strFecha = prms.strFecha;
    _ths.agendarHoy = prms.agendarHoy;
    this.confirmar = undefined;
    this.procesando = false;    
    this.comunas = prms.comunas;
    this.sucursales = prms.sucursales;
    this.obtenerComunaDesde = prms.obtenerComunaDesde;

    this.iniciar = function() {

        _ths.comportamientoAlCambiarComuna();
        _ths.comportamientoAlCambiarServicio();

        var configuracionDatePicker = { 
            closeText: 'Cerrar',
            prevText: '<Ant',
            nextText: 'Sig>',
            currentText: 'Hoy',
            monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
            monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
            dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
            dayNamesShort: ['Dom', 'Lun', 'Mar', 'Mié', 'Juv', 'Vie', 'Sáb'],
            dayNamesMin: ['Do', 'Lu', 'Ma', 'Mi', 'Ju', 'Vi', 'Sá'],
            weekHeader: 'Sm',
            dateFormat: 'dd-mm-yy',
            firstDay: 1,
            isRTL: false,
            showMonthAfterYear: false,
            yearSuffix: ''
        };
        jQuery('.dtp').datepicker(configuracionDatePicker);
        jQuery('.dtpr').datepicker(configuracionDatePicker);
        jQuery('#aplicar').on('click', function(e) {
            let opcion = jQuery('#accion_masiva').val();
            if (opcion === 'generar_etiquetas') {
                let chks = jQuery('input[type=checkbox]:checked','#envios tbody');
                if(chks.length === 0) {
                    _ths.mostrar_mensaje('No se han seleccionado envíos.', 'Debes seleccionar al menos 1 envío para ejecutar esta acción.');
                    return;
                }
                _ths.mostrar_generador_etiquetas();
            }
            if (opcion === 'generar_manifiesto') {
                let chks = jQuery('input[type=checkbox]:checked','#envios tbody');
                if(chks.length === 0) {
                    _ths.mostrar_mensaje('No se han seleccionado envíos.', 'Debes seleccionar al menos 1 envío para generar el manifiesto.');
                    return;
                }
                _ths.mostrar_generador_manifiesto();
            }
            if (opcion === 'solicitar_retiro') {
                let chks = jQuery('input[type=checkbox]:checked','#envios tbody');
                if(chks.length === 0) {
                    _ths.mostrar_mensaje('No se han seleccionado envíos.', 'Debes seleccionar al menos 1 envío para solicitar retiro.');
                    return;
                }
                _ths.mostrar_solicitar_retiro();
            }        
            if (opcion === 'anular_orden') {
                let chks = jQuery('input[type=checkbox]:checked','#envios tbody');
                if(chks.length === 0) {
                    _ths.mostrar_mensaje('No se han seleccionado envíos.', 'Debes seleccionar al menos 1 orden para anular.');
                    return;
                }
                _ths.mostrar_anular_envio();
            }       
            if (opcion === 'eliminar_orden') {
                let chks = jQuery('input[type=checkbox]:checked','#envios tbody');
                if(chks.length === 0) {
                    _ths.mostrar_mensaje('No se han seleccionado envíos.', 'Debes seleccionar al menos 1 orden para eliminar.');
                    return;
                }
                _ths.mostrar_eliminar_envio();
            } 
        });
        jQuery('#btnSiGeneracionEtiquetas').on('click', function(event) {
            if(event.preventDefault) {
                event.preventDefault();
            }
            jQuery('.contenido1', '#dlg_generador_etiquetas').hide();
            jQuery('.contenido2', '#dlg_generador_etiquetas').show();
            jQuery('#dlg_generador_etiquetas').dialog('option', 'title', 'Generando etiquetas');
            jQuery('.contenido2 strong', '#dlg_generador_etiquetas').text('Generando etiquetas...');
            setTimeout(function() {
                _ths.procesando = true;
                let chks = jQuery('input[type=checkbox]:checked','#envios tbody');
                for (var i = 0; i < jQuery(chks).length; i++) {
                    let order_id = jQuery(chks[i]).attr('data-id');
                    jQuery.ajax({
                        url: correoschile_var.url,
                        dataType:'json',
                        type:'post',
                        beforeSend: function() {
                            jQuery('.contenido2 strong', '#dlg_generador_etiquetas').text('Generando etiquetas... ' + String(i) + ' de ' + String(chks.length));
                        },
                        data:{ 'action': 'correoschile_etiquetas', 'nonce' : correoschile_var.nonce_etiqueta, 'order_id': order_id },
                        success:function(data) {
                            let tr = jQuery(chks[i]).parent().parent();
                            let td = jQuery('td:nth-child(6)', tr);
                            jQuery(td).empty().append(data.html);
                            jQuery('td:nth-child(9)', tr).empty();
                        },
                        error: function(xhr) {
                            let tr = jQuery(chks[i]).parent().parent();
                            jQuery('td:nth-child(9)', tr).empty();
                            if (xhr && xhr.responseJSON && xhr.responseJSON.message) {
                                jQuery('td:nth-child(9)', tr).text(xhr.responseJSON.message);
                            } else {
                                jQuery('td:nth-child(9)', tr).text('Ocurrio un error intentando generar la etiqueta');
                            }
                        },
                        async: false
                    });
                    if (_ths.procesando === false) {
                        break;
                    }
                }
                jQuery('#dlg_generador_etiquetas').dialog('close');
            }, 400);
        });
        jQuery('#btnNoGeneracionEtiquetas').on('click', function(event) { 
            if(event.preventDefault) {
                event.preventDefault();
            }
            jQuery('#dlg_generador_etiquetas').dialog('close');
        });
        jQuery('#btnCancelarGeneracionEtiquetas').on('click', function(event) {
            if(event.preventDefault) {
                event.preventDefault();
            }
            _ths.procesando = false;
            jQuery('#dlg_generador_etiquetas').dialog('close');
        });
        jQuery('#btnSiGeneracionManifiesto').on('click', function(event) {
            if(event.preventDefault) {
                event.preventDefault();
            }
            jQuery('.mensaje', '#dlg_generador_manifiesto').empty().append('<span class="cch_loading">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Por favor espere que el proceso termine para continuar navegando por el sitio.</span>');
            jQuery('#btnDescargarManifiesto', '#dlg_generador_manifiesto').hide();
            jQuery('#btnCerrarGeneracionManifiesto', '#dlg_generador_manifiesto').hide();
            jQuery('#btnDescargarManifiesto', '#dlg_generador_manifiesto').attr('href', '#');
            jQuery('.contenido1', '#dlg_generador_manifiesto').hide();
            jQuery('.contenido2', '#dlg_generador_manifiesto').show();
            jQuery('#dlg_generador_manifiesto').dialog('option', 'title', 'Generando Manifiesto');
            let chks = jQuery('input[type=checkbox]:checked','#envios tbody');
            setTimeout(function() {
                _ths.procesando = true;
                let order_ids = '';
                for (var i = 0; i < jQuery(chks).length; i++) {
                    jQuery('.msg', '.cch_msg').text('Generando ' + String(i+1) + ' de ' + String(jQuery(chks).length));
                    let order_id = jQuery(chks[i]).attr('data-id');
                    if(order_ids !== '') order_ids += ',';
                    order_ids += order_id;
                }
                jQuery.ajax({
                    url: correoschile_var.url,
                    dataType:'json',
                    type:'post',
                    data:{ 'action': 'correoschile_manifiesto', 'nonce' : correoschile_var.nonce_manifiesto, 'order_ids': order_ids },
                    success: function(data) {
                        jQuery('.mensaje', '#dlg_generador_manifiesto').empty().append('<span>El manifiesto ha sido generado exitosamente.</span>');
                        jQuery('#btnDescargarManifiesto', '#dlg_generador_manifiesto').show();
                        jQuery('#btnCerrarGeneracionManifiesto', '#dlg_generador_manifiesto').show();
                        jQuery('#btnDescargarManifiesto', '#dlg_generador_manifiesto').attr('href', data.link);
                    },
                    error: function(xhr) {
                        if (xhr && xhr.responseJSON && xhr.responseJSON.message) {
                            jQuery('.mensaje', '#dlg_generador_manifiesto').empty().append('<span style="color:red;">' + xhr.responseJSON.message + '</span>');
                            setTimeout(function() {
                                jQuery('#dlg_generador_manifiesto').dialog('close');
                            }, 3000);
                        } else {
                            jQuery('.mensaje', '#dlg_generador_manifiesto').empty().append('<span style="color:red;">Ocurrio un error intentando generar el manifiesto</span>');
                        }
                    },
                    async: false
                });
            }, 400); 
        });
        jQuery('#btnNoGeneracionManifiesto').on('click', function(event) { 
            if(event.preventDefault) {
                event.preventDefault();
            }
            jQuery('#dlg_generador_manifiesto').dialog('close');
        });
        jQuery('#btnCerrarGeneracionManifiesto').on('click', function(event) {
            if(event.preventDefault) {
                event.preventDefault();
            }
            _ths.procesando = false;
            jQuery('#dlg_generador_manifiesto').dialog('close');
        });
        jQuery('#btnSiSolicitarRetiro').on('click', function(event) { 
            if(event.preventDefault) {
                event.preventDefault();
            }
            jQuery('.contenido1', '#dlg_solicitar_retiro').hide();
            jQuery('.contenido3', '#dlg_solicitar_retiro').hide();
            jQuery('.contenido2', '#dlg_solicitar_retiro').show();
            jQuery('#dlg_solicitar_retiro').dialog('option', 'title', 'Solicitud de retiro');
        });
        jQuery('#btnNoSolicitarRetiro').on('click', function(event) { 
            if(event.preventDefault) {
                event.preventDefault();
            }
            jQuery('#dlg_solicitar_retiro').dialog('close');
        });
        jQuery('#btnContinuarSolicitarRetiro').on('click', function(event) {
            if(event.preventDefault) {
                event.preventDefault();
            }
            let esValida =_ths.validarSolicitudRetiro();
            if(esValida) {
                jQuery('.contenido1', '#dlg_solicitar_retiro').hide();
                jQuery('.contenido2', '#dlg_solicitar_retiro').hide();
                jQuery('.contenido3', '#dlg_solicitar_retiro').show();
                jQuery('.contenido3 strong', '#dlg_solicitar_retiro').text('Solicitando retiros... ');
                _ths.procesando = true;
                var orders = [];
                let chks = jQuery('input[type=checkbox]:checked','#envios tbody');
                for(var i = 0; i < jQuery(chks).length; i++) {
                    let order_id = jQuery(chks[i]).attr('data-id');
                    orders.push(order_id);
                }
                var aca = orders.join(',');
                let horaDesde = jQuery('#horarioDesde').val();
                let horaHasta = jQuery('#horarioHasta').val();
                let data = {
                    'action': 'correoschile_retiro', 
                    'nonce' : correoschile_var.nonce_retiro, 
                    'order_ids': aca,
                    'fecha': jQuery('#fechaRetiro', '#dlg_solicitar_retiro').val(),
                    'horaDesde': horaDesde,
                    'horaHasta': horaHasta
                };
                jQuery.ajax({
                    url: correoschile_var.url,
                    dataType:'json',
                    type:'post',
                    beforeSend: function(){
                        jQuery('.contenido3 strong', '#dlg_solicitar_retiro').text('Solicitando retiro... ' + String(i) + ' de ' + String(chks.length));
                    },
                    data: data,
                    success:function(data) {
                        var ordenes = data.ordenes;
                        ordenes.forEach(function(orden, i){
                            let tr = jQuery(chks[i]).parent().parent();
                            let td = jQuery('td:nth-child(8)', tr);
                            jQuery(td).empty().append('<a href="#"><strong>' + data.codRetiro + '</strong></a><br>' + data.retiro);
                            jQuery('td:nth-child(9)', tr).empty();
                        });
                        jQuery('#dlg_solicitar_retiro').dialog('close');
                        _ths.mostrar_mensaje('Solicitud de retiro', 'El retiro para los pedidos ha sido generado exitosamente');
                    },
                error: function(xhr) {
                    let tr = jQuery(chks[i]).parent().parent();
                    jQuery('td:nth-child(8)', tr).empty();
                    if (xhr && xhr.responseJSON && xhr.responseJSON.message){
                        jQuery('td:nth-child(8)', tr).text(xhr.responseJSON.message);
                        jQuery('#dlg_solicitar_retiro').dialog('close');
                        _ths.mostrar_mensaje('Error al generar retiro ', xhr.responseJSON.message);
                    } else {
                        jQuery('td:nth-child(8)', tr).text('Ocurrio un error intentando solicitar el retiro');
                        jQuery('#dlg_solicitar_retiro').dialog('close');
                        _ths.mostrar_mensaje('Ocurrio un error intentando solicitar el retiro');
                    }
                },
                async: false
            });
        }
    });
        jQuery('#btnAbotarSolicitarRetiro').on('click', function(event) {
            if(event.preventDefault) {
                event.preventDefault();
            }
            jQuery('#dlg_solicitar_retiro').dialog('close');
        });
        jQuery('#btnCancelarSolicitarRetiro').on('click', function(event) {
            if(event.preventDefault) {
                event.preventDefault();
            }
            _ths.procesando = false;
            jQuery('#dlg_solicitar_retiro').dialog('close');
        });
        jQuery('#btnAgregarOrder').on('click', function(e) {
            e.preventDefault();
            _ths.mostrar_crud_orden();
            jQuery('.contenido1', '#dlg_crud').show();
            jQuery('.contenido2', '#dlg_crud').hide();
        });    
        jQuery('a.order-view').on('click', function(e) {
            e.preventDefault();
            let orderId = jQuery(this).attr('data-id');
            _ths.obtenerEnvio(orderId, function() {
                _ths.mostrar_editor_pedido(orderId); 
            });
        });
        jQuery('#btnAgregarOrdenes').on('click', function(event) {
            if(event.preventDefault) {
                event.preventDefault();
            }
            jQuery('.contenido1', '#dlg_crud').hide();
            jQuery('.contenido2', '#dlg_crud').show();
            jQuery('#dlg_crud').dialog('option', 'title', 'Agregando Pedidos');
            setTimeout(function() {
                _ths.procesando = true;
                let input = jQuery('#ordenes','#dlg_crud').val();
                let ordenes = input.split(',');
                for(var i = 0; i < ordenes.length; i++){
                    let order_id = ordenes[i];
                    jQuery.ajax({
                        url: correoschile_var.url,
                        dataType: 'json',
                        type: 'post',
                        data: { 
                            'order_id': order_id ,
                            'action': 'correoschile_agregarOrden',
                            'metodo': jQuery('#cambiaMetodo', '#dlg_crud').is(':checked'),
                            'nonce' : correoschile_var.nonce_agregarOrden
                        },
                        beforeSend: function(){
                            _ths.mostrar_mensaje_procesando('Agregar pedidos', 'Espere....');
                        },
                        success:function(res) {
                            jQuery('#dlg_procesando').dialog('close');
                            _ths.mostrar_mensaje_ordenes_cargadas('Agregar pedidos', 'Sus pedidos han sido agregadas exitosamente');
                        },
                        error: function(xhr) {
                            jQuery('#dlg_crud').dialog('close');
                            jQuery('#dlg_procesando').dialog('close');
                            _ths.mostrar_mensaje('Error al guardar pedidos', xhr.responseJSON.message);
                        },
                        async: false
                    });
                    if(_ths.procesando === false){
                        break;
                    }
                }
                jQuery('#dlg_crud').dialog('close');
                jQuery('#dlg_procesando').dialog('close');
            }, 400);
        });
        jQuery('#btnValidarDireccion').on('click', function(e) {
            e.preventDefault();
            let data = {
                'action': 'correoschile_validarDireccion',
                'nonce' : correoschile_var.nonce_validarDireccion,
                'comuna': jQuery('#comuna', '#dlg_editor').val(),
                'direccion1': jQuery('#direccion1', '#dlg_editor').val(),
                'direccion2': jQuery('#direccion2', '#dlg_editor').val()
            };
            jQuery.ajax({
                url: correoschile_var.url,
                dataType:'json',
                type:'post',
                data: data,
                success:function(res) {
                    jQuery('#error-message-cch').hide();
                    jQuery('#codigoPostal', '#dlg_editor').val(res.CodigoPostal);
                    jQuery('#success-message-cch').show();                
                },
                error: function(xhr) {
                    jQuery('#success-message-cch').hide();
                    jQuery('#codigoPostal', '#dlg_editor').val('');
                    jQuery('#error-message-cch').show();                
                },
                async: false
            });
        });    
        jQuery('#btnActualizarEnvio').on('click', function(e) {
            e.preventDefault();
            let data = {
                'action': 'correoschile_actualizarEnvio',
                'nonce' : correoschile_var.nonce_actualizarEnvio,
                'orderid': jQuery('#orderid', '#dlg_editor').val(),
                'servicio': jQuery("#servicio", '#dlg_editor').val(),
                'sucursal': jQuery('#sucursal', '#dlg_editor').val(),
                'nombre': jQuery('#nombre', '#dlg_editor').val(),
                'apellidos': jQuery('#apellidos', '#dlg_editor').val(),
                'telefono': jQuery('#telefono', '#dlg_editor').val(),
                'email': jQuery('#email', '#dlg_editor').val(),
                'region': jQuery('#region', '#dlg_editor').val(),
                'comuna': jQuery('#comuna', '#dlg_editor').val(),
                'direccion1': jQuery('#direccion1', '#dlg_editor').val(),
                'direccion2': jQuery('#direccion2', '#dlg_editor').val(),
                'codigopostal': jQuery('#codigoPostal', '#dlg_editor').val(),
                'notas': jQuery('#notas', '#dlg_editor').val(),
                'observaciones2': jQuery('#observaciones2', '#dlg_editor').val(),
                'pagoSeguro': jQuery('#pagoSeguro', '#dlg_editor').is(':checked') ? 'S' : 'N',
                'tipoMercancia': jQuery('#tipoMercancia', '#dlg_editor').val()
            };
            jQuery.ajax({
                url: correoschile_var.url,
                dataType:'json',
                type:'post',
                data: data,
                success:function(ds) {
                    jQuery('#dlg_editor').dialog('close');
                },
                error: function(xhr) {
                    _ths.mostrar_mensaje('Error al actualizar', xhr.responseJSON.message);
                },
                async: false
            });
        });    
        jQuery('#btnCancelarEdicion').on('click', function(e) {
            e.preventDefault();
            jQuery('#dlg_editor').dialog('close');
        });
        jQuery('#region', '#dlg_editor').change(function(e) {
            _ths.cargarComunasPorRegion(jQuery('#region', '#dlg_editor').val());
        });
    };
    jQuery('#btnCerrarCrud').on('click', function(e) {
        e.preventDefault();
        jQuery('#dlg_crud').dialog('close');
    });
    this.validarSolicitudRetiro = function(){
        jQuery('#fechaRetiro', '#dlg_solicitar_retiro').css('border', '').removeAttr('title');
        jQuery('#lblfechaRetiro', '#dlg_solicitar_retiro').text('');
        let esValido = true;
        let fechaRetiro = jQuery('#fechaRetiro', '#dlg_solicitar_retiro').val();
        var fechaEsValida = /^(0[1-9]|[1-2][0-9]|3[0-1])-(0[1-9]|1[0-2])-[0-9]{4}$/.test(fechaRetiro);
        if(!fechaEsValida){
            esValido = false;
            jQuery('#fechaRetiro', '#dlg_solicitar_retiro').css('border', '1px solid red');
            jQuery('#lblfechaRetiro', '#dlg_solicitar_retiro').text('El formato de fecha no es válido.');
        }
        let fecha = fechaRetiro.split('-');
        fechaRetiro = parseInt(fecha[2] + fecha[1] + fecha[0]);
        if(_ths.fecha > fechaRetiro){
            esValido = false;
            jQuery('#fechaRetiro', '#dlg_solicitar_retiro').css('border', '1px solid red');
            jQuery('#lblfechaRetiro', '#dlg_solicitar_retiro').text('La fecha mínima para solictar el retiro no puede ser menor a ' + _ths.strFecha + '.');
        }
        return esValido;
    };
    this.mostrar_generador_etiquetas = function() {
         jQuery('.contenido2', '#dlg_generador_etiquetas').hide();
         jQuery('.contenido1', '#dlg_generador_etiquetas').show();
         jQuery('#dlg_generador_etiquetas').dialog({
            title : 'Confirmar generación de etiquetas',
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false
        });
    };
    this.mostrar_generador_manifiesto =  function() {
         jQuery('.contenido2', '#dlg_generador_manifiesto').hide();
         jQuery('.contenido1', '#dlg_generador_manifiesto').show();
         jQuery('#dlg_generador_manifiesto').dialog({
            title : 'Confirmar generación de manifiesto',
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false
        });
    };
    this.mostrar_solicitar_retiro = function() {
        jQuery('.contenido3', '#dlg_solicitar_retiro').hide();
        jQuery('.contenido2', '#dlg_solicitar_retiro').hide();
        jQuery('.contenido1', '#dlg_solicitar_retiro').show();
        jQuery('#horarioDesde', '#dlg_solicitar_retiro').val('09:00');
        jQuery('#horarioHasta', '#dlg_solicitar_retiro').val('09:00');
        jQuery('#dlg_solicitar_retiro').dialog({
            title : 'Confirmar solicitud de retiro',
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false
        });
    };
    this.mostrar_anular_envio = function() {
        jQuery('.contenido3', '#dlg_anular_pedidos').hide();
        jQuery('.contenido2', '#dlg_anular_pedidos').hide();
        jQuery('.contenido1', '#dlg_anular_pedidos').show();
        jQuery('#dlg_anular_pedidos').dialog({
            title : 'Confirmar anulación de pedido',
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false
        });
    };
    this.mostrar_eliminar_envio = function() {
        jQuery('.contenido3', '#dlg_eliminar_pedidos').hide();
        jQuery('.contenido2', '#dlg_eliminar_pedidos').hide();
        jQuery('.contenido1', '#dlg_eliminar_pedidos').show();
        jQuery('#dlg_eliminar_pedidos').dialog({
            title : 'Confirmar eliminación de pedidos',
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false
        });
    };
    this.mostrar_editor_pedido = function(orderId) {
        jQuery('#dlg_editor').dialog({
            title : 'Pedido N°' + String(orderId),
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false
        });
    };
    this.mostrar_crud_orden = function() {
        jQuery('#dlg_crud').dialog({
            title : 'Agregar pedidos',
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false
        });
    };
    this.mostrar_mensaje = function(titulo, mensaje) {
        jQuery('p','#dlg_mensaje').text(mensaje);
        jQuery('#dlg_mensaje').dialog({
            title : titulo,
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false,
            buttons: {
                'Aceptar': function() { jQuery(this).dialog('close');}
            }
        });
    };
    this.mostrar_mensaje_ordenes_cargadas = function(titulo, mensaje) {
        jQuery('p','#dlg_mensaje').text(mensaje);
        jQuery('#dlg_mensaje').dialog({
            title : titulo,
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false,
            buttons: {
                'Aceptar': function() { location.reload();}
            }
        });
    };
    this.mostrar_mensaje_procesando = function(titulo, mensaje) {
        jQuery('p','#dlg_procesando').text(mensaje);
        jQuery('#dlg_procesando').dialog({
            title : titulo,
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false
        });
    };
    this.obtenerEnvio = function(orderId, fx) {
        jQuery.ajax({
            url: correoschile_var.url,
            dataType:'json',
            type:'post',
            beforeSend: function(){
                jQuery('#error-message-cch').hide();
                jQuery('#success-message-cch').hide();    
            },
            data:{ 'action': 'correoschile_obtenerEnvio', 'nonce' : correoschile_var.nonce_obtenerEnvio, 'order_id': orderId },
            success:function(data) {
                jQuery('#orderid', '#dlg_editor').val(data.orderid);
                jQuery('#nombre', '#dlg_editor').val(data.nombre);
                jQuery('#apellidos', '#dlg_editor').val(data.apellidos);
                jQuery('#telefono', '#dlg_editor').val(data.telefono);
                jQuery('#email', '#dlg_editor').val(data.email);
                jQuery('#region', '#dlg_editor').val(data.region);
                jQuery('#tipoMercancia', '#dlg_editor').val(data.tipoMercancia);

                if (jQuery('#region', '#dlg_editor').is('select')){
                    _ths.cargarComunasPorRegion(data.region);
                }

                jQuery('#comuna', '#dlg_editor').val(data.comuna);
                jQuery('#servicio', '#dlg_editor').val(data.servicio);
                
                jQuery('#tr_sucursal', '#dlg_editor').hide();
                if(jQuery('#servicio option[value=' + jQuery('#servicio', '#dlg_editor').val() + ']').attr('data-sucursal') === 'S'){
                    let comuna = '';
                    if(_ths.obtenerComunaDesde === 'city'){
                        comuna = jQuery('#comuna', '#dlg_editor').val();    
                    }
                    if(_ths.obtenerComunaDesde === 'state'){
                        comuna = jQuery('#region', '#dlg_editor').val();    
                    }
                    _ths.cargaSucursalAlCargarEditor(comuna);
                    jQuery('#sucursal', '#dlg_editor').val(data.sucursal);
                    //_ths.seleccionarSucursalAlmacenada(data.sucursal);
                    jQuery('#tr_sucursal', '#dlg_editor').show();
                }
                jQuery('#direccion1', '#dlg_editor').val(data.direccion1);
                jQuery('#direccion2', '#dlg_editor').val(data.direccion2);
                jQuery('#codigoPostal', '#dlg_editor').val(data.codigopostal);
                jQuery('#notas', '#dlg_editor').val(data.notas);
                jQuery('#observaciones2', '#dlg_editor').val(data.observaciones2);
                jQuery('#pagoSeguro', '#dlg_editor').prop('checked', data.pagoSeguro === 'S')
                fx();
            },
            error: function(xhr) {
                fx();
            },
            async: false
        });
    };
    this.cargarComunasPorRegion = function(region) {
       jQuery('#comuna', '#dlg_editor').empty();
       jQuery('#comuna', '#dlg_editor').append('<option value="">[Seleccione...]</option>');
       jQuery(_ths.comunas).each(function(i, comuna){
           if(comuna.idRegion === region){
               jQuery('#comuna', '#dlg_editor').append('<option value="' + comuna.nombre + '">' + comuna.nombre + '</option>');
           }
       });
    };
    this.obtenerIdAlCambiarComuna = function(comuna) {
        jQuery('#sucursal', '#dlg_editor').empty();
        jQuery('#sucursal', '#dlg_editor').append('<option value="">[Seleccione...]</option>');
        jQuery(_ths.comunas).filter(function(e, c){
            if(c.Comuna == comuna){                   
                _ths.cargarSucursalesPorComuna(c.idComuna);
                return false;  
            }
        });
    };
    this.cargarSucursalesPorComuna = function(idComuna) {
        jQuery('#sucursal', '#dlg_editor').empty();
        jQuery('#sucursal', '#dlg_editor').append('<option value="">[Seleccione...]</option>');
        jQuery(_ths.sucursales).filter(function(i, sucursal){
            if(sucursal.IataComuna === idComuna){
                jQuery('#sucursal', '#dlg_editor').append('<option value="' + sucursal.DescripcionOficina + '">' + sucursal.DescripcionOficina + '</option>');
            }
        });
    }
    this.comportamientoAlCambiarComuna = function() {
        if(_ths.obtenerComunaDesde === 'city'){
            jQuery('#comuna').on('change', function() {
                comuna = jQuery(this).val();
                jQuery('#lblSucursal', '#dlg_editor').empty().hide();
                let idComuna = _ths.obtenerIdComunaPorNombre(comuna);
                if(idComuna !== ''){
                    _ths.cargarSucursalesPorComuna(idComuna);
                } else {
                    jQuery('#lblSucursal', '#dlg_editor').empty().text('La comuna ingresada no es valida').show();
                }
            });
        }
        if(_ths.obtenerComunaDesde === 'state'){
            jQuery('#region').on('change', function() {
                comuna = jQuery(this).val();
                jQuery('#lblSucursal', '#dlg_editor').empty().hide();
                let idComuna = _ths.obtenerIdComunaPorNombre(comuna);
                if(idComuna !== ''){
                    _ths.cargarSucursalesPorComuna(idComuna);
                } else {
                    jQuery('#lblSucursal', '#dlg_editor').empty().text('La comuna ingresada no es valida').show();
                }
            });
        }
    }
    this.cargaSucursalAlCargarEditor = function(comuna) {
        jQuery('#lblSucursal', '#dlg_editor').empty().hide();
        jQuery('#sucursal', '#dlg_editor').empty();
        jQuery('#sucursal', '#dlg_editor').append('<option value="">[Seleccione...]</option>');
        let idComuna = _ths.obtenerIdComunaPorNombre(comuna);
        if (idComuna !== '') {
            jQuery(_ths.sucursales).each(function(i, sucursal){
                if(sucursal.IataComuna === idComuna) {
                    jQuery('#sucursal', '#dlg_editor').append('<option value="' + sucursal.DescripcionOficina + '">' + sucursal.DescripcionOficina + '</option>');
                }
            });
        } else {
            jQuery('#lblSucursal', '#dlg_editor').empty().text('La comuna ingresada no es valida').show();
        }
    };
    this.obtenerIdComunaPorNombre = function(nombreComuna) {
        let idComunaEncontrado = '';
        nombreComuna = _ths.removerAcentos(nombreComuna).toLowerCase().trim();
        jQuery(_ths.comunas).each(function(i, c){
            if(_ths.removerAcentos(c.nombre).toLowerCase().trim() === nombreComuna) {
                idComunaEncontrado = c.idComuna;
                return false;
            }
        });
        return idComunaEncontrado;
    };
    _ths.removerAcentos = function(str) {
        if(_ths.isNullOrEmpty(str)) {
            return '';
        }
        str = str.normalize("NFD").replace(/[\u0300-\u036f]/g, "");
        return str;
    };
    this.seleccionarSucursalAlmacenada = function(sucursalDestino) {
        jQuery(_ths.sucursales).each(function(i, sucursal){
            if(sucursal.Sucursal === sucursalDestino){
                jQuery('#sucursal', '#dlg_editor').append('<option selected value="' + sucursal.Sucursal + '">' + sucursal.Sucursal + '</option>');
            }
        });
    };
    this.comportamientoAlCambiarServicio = function() {
        jQuery('#servicio', '#dlg_editor').change(function(){
            let valor = jQuery('#servicio', '#dlg_editor').val();
            let sucursal = jQuery('#servicio option[value=' + valor + ']', '#dlg_editor').attr('data-sucursal');
            jQuery('#tr_sucursal', '#dlg_editor').hide();
            if(sucursal === 'S') {
                let comuna = '';
                if (_ths.obtenerComunaDesde === 'city') {
                    comuna = jQuery('#comuna', '#dlg_editor').val();
                } 
                if (_ths.obtenerComunaDesde === 'state') {
                    comuna = jQuery('#region', '#dlg_editor').val();
                }
                _ths.cargaSucursalAlCargarEditor(comuna);
                jQuery('#tr_sucursal', '#dlg_editor').show();
            }
        });
    }
    jQuery('#btnSiAnularEtiquetas').on('click', function(event) {
        if(event.preventDefault) 
            event.preventDefault();
        jQuery('.contenido1', '#dlg_anular_pedidos').hide();
        jQuery('.contenido2', '#dlg_anular_pedidos').show();
        jQuery('#dlg_anular_pedidos').dialog('option', 'title', 'Anular pedidos');
        setTimeout(function() {
            _ths.procesando = true;
            let chks = jQuery('input[type=checkbox]:checked','#envios tbody');
            for(var i = 0; i < jQuery(chks).length; i++){
                let order_id = jQuery(chks[i]).attr('data-id');
                jQuery.ajax({
                    url: correoschile_var.url,
                    dataType:'json',
                    type:'post',
                    data:{ 'action': 'correoschile_anularEnvio', 'nonce' : correoschile_var.nonce_anularEnvio, 'order_id': order_id },
                    success:function(data) {
                        let tr = jQuery(chks[i]).parent().parent();
                        let td_etiqueta = jQuery('td:nth-child(6)', tr);
                        let td_retiro = jQuery('td:nth-child(8)', tr);
                        jQuery(td_etiqueta).empty().html("-");
                        jQuery(td_retiro).empty().html("-");
                        jQuery('td:nth-child(9)', tr).empty();
                    },
                    error: function(xhr) {
                        let tr = jQuery(chks[i]).parent().parent();
                        jQuery('td:nth-child(9)', tr).empty();
                        if (xhr && xhr.responseJSON && xhr.responseJSON.message){
                            jQuery('td:nth-child(9)', tr).text(xhr.responseJSON.message);
                        } else {
                            jQuery('td:nth-child(9)', tr).text('Ocurrio un error durante la anulación');
                        }
                    },
                    async: false
                });
                if(_ths.procesando === false){
                    break;
                }
            }
            jQuery('#dlg_anular_pedidos').dialog('close');
        }, 400);
    });
    jQuery('#btnNoAnularEtiquetas').on('click', function(event) { 
        if(event.preventDefault) 
            event.preventDefault();
        jQuery('#dlg_anular_pedidos').dialog('close');
    });
    jQuery('#btnSiEliminarPedidos').on('click', function(event) {
        if(event.preventDefault) 
            event.preventDefault();
        jQuery('.contenido1', '#dlg_eliminar_pedidos').hide();
        jQuery('.contenido2', '#dlg_eliminar_pedidos').show();
        jQuery('#dlg_eliminar_pedidos').dialog('option', 'title', 'Eliminar orden');
        setTimeout(function() {
            _ths.procesando = true;
            let chks = jQuery('input[type=checkbox]:checked','#envios tbody');
            for(var i = 0; i < jQuery(chks).length; i++){
                let order_id = jQuery(chks[i]).attr('data-id');
                jQuery.ajax({
                    url: correoschile_var.url,
                    dataType:'json',
                    type:'post',
                    data:{ 'action': 'correoschile_eliminarEnvio', 'nonce' : correoschile_var.nonce_eliminarEnvio, 'order_id': order_id },
                    success:function(data) {
                        let tr = jQuery(chks[i]).parent().parent();
                        jQuery(tr).remove();
                    },
                    error: function(xhr) {
                        let tr = jQuery(chks[i]).parent().parent();
                        jQuery('td:nth-child(8)', tr).empty();
                        if (xhr && xhr.responseJSON && xhr.responseJSON.message){
                            jQuery('td:nth-child(8)', tr).text(xhr.responseJSON.message);
                        } else {
                            jQuery('td:nth-child(8)', tr).text('Ocurrio un error durante la eliminación');
                        }
                    },
                    async: false
                });
                if(_ths.procesando === false){
                    break;
                }
            }
            jQuery('#dlg_eliminar_pedidos').dialog('close');
        }, 400);
    });
    jQuery('#btnNoEliminarPedidos').on('click', function(event) { 
        if(event.preventDefault) 
            event.preventDefault();
        jQuery('#dlg_eliminar_pedidos').dialog('close');
    });
    this.isNullOrEmpty = function (str) {
        var type = typeof (str);
        if (type === 'undefined')
            return true;
        if (type === 'object' && str === null)
            return true;
        if (type === 'string' && String(str).valueOf() === '')
            return true;
        return false;
    };
    _ths.iniciar();
};
