var Servicios = function(){
    var _ths = this;

    this.iniciar = function() {
        jQuery('#btnGuardar').on('click', function(e) {
            if(e.preventDefault) { 
                e.preventDefault();
            }
            _ths.guardar();
        });
    };

    this.guardar = function() {
        _ths.ocultarError();

        var servicios = '';
        jQuery('#the-list input[type=checkbox]').each(function(i, chk) {
            var id = jQuery(chk).attr('data-id');
            var estado = jQuery(chk).is(':checked') ? 'S' : 'N';
            if(servicios !== '') {
                servicios += ',';
            }
            servicios += id + '|' + estado;
        });
        
        jQuery.ajax({
            url: correoschile_var.url,
            dataType:'json',
            type:'post',
            beforeSend: function(){

            },
            data:{ 'action': 'correoschile_guardarServicios', 
                   'nonce' : correoschile_var.nonce_guardarServicios,
                   'servicios' : servicios
                 },
            success: function(ds) {
                _ths.mostrarMensaje(ds.message);
            },
            error: function(xhr) {
                if (xhr && xhr.responseJSON && xhr.responseJSON.message){
                    _ths.mostrarError(xhr.responseJSON.message);
                } else {
                    _ths.mostrarError('Ocurrio un error intentando guardar los servicios.');
                }
            },
            async: false
        });
    };

    this.mostrarMensaje = function(message) {
        jQuery('#lblMessage').empty().text(message);
        jQuery('#divMessage').removeClass('updated error').addClass('updated').show();
    };

    this.ocultarError = function(message) {
        jQuery('#lblMessage').empty();
        jQuery('#divMessage').hide();
    };
    
    this.mostrarError = function(message) {
        jQuery('#lblMessage').empty().text(message);
        jQuery('#divMessage').removeClass('updated error').addClass('error').show();
    };

    _ths.iniciar();
};