var EditorTarifa = function(parametros){
    var _ths = this;
    this.formId = parametros.formId;
    this.iniciar = function() {
        jQuery('.editor_tarifa').on('click', function(e){
            idComuna = jQuery(this).attr('data-id');
            comuna = jQuery(this).attr('data-comuna');
            _ths.mostrar(idComuna, comuna);
        });
        jQuery('#btnGuardarTarifa', '#' + _ths.formId).on('click', function(e) { 
            if(e.preventDefault) { 
                e.preventDefault();
            }
            _ths.guardar();
        });
        jQuery('#btnCancelarTarifa', '#' + _ths.formId).on('click', function(e) { 
            if(e.preventDefault) { 
                e.preventDefault();
            }
            _ths.cancelar();
        });        
        jQuery('#esGratis', '#' + _ths.formId).change(function() {
            _ths.establecerVisualizacionGratis();
        });
        jQuery('#marginar', '#' + _ths.formId).change(function() {
            _ths.establecerVisualizacionMarginar();
        });
        jQuery('#precioFijo', '#' + _ths.formId).change(function() {
            _ths.establecerVisualizacioPrecioFijo();
        });
    };
    this.establecerVisualizacionGratis = function() {
        jQuery('#trEsGratisDesde', '#' + _ths.formId).hide();
        if (jQuery('#esGratis', '#' + _ths.formId).val() === 'V') {
            jQuery('#trEsGratisDesde', '#' + _ths.formId).show();
        }
    };
    this.establecerVisualizacionMarginar = function() {
        jQuery('#trMarginarValor', '#' + _ths.formId).hide();
        if (jQuery('#marginar', '#' + _ths.formId).val() !== 'N') {
            jQuery('#trMarginarValor', '#' + _ths.formId).show();
            if (jQuery('#marginar', '#' + _ths.formId).val() === 'V') {
                jQuery('#marginarValor', '#' + _ths.formId).attr('step', '1').attr('min', '-9999999').attr('max', '9999999');
                jQuery('#lblMarginarValor', '#' + _ths.formId).text('Marginar Valor');
            }
            if (jQuery('#marginar', '#' + _ths.formId).val() === 'P') {
                jQuery('#marginarValor', '#' + _ths.formId).attr('step', '0.01').attr('min', '-99.99').attr('max', '99.99');
                jQuery('#lblMarginarValor', '#' + _ths.formId).text('Marginar Porcentaje');
            }
        }
    };
    this.establecerVisualizacioPrecioFijo = function() {
        jQuery('#trPrecioFijoValor', '#' + _ths.formId).hide();
        if (jQuery('#precioFijo', '#' + _ths.formId).val() !== 'N') {
            jQuery('#trPrecioFijoValor', '#' + _ths.formId).show();
            if (jQuery('#precioFijo', '#' + _ths.formId).val() === 'S') {
                jQuery('#precioFijoValor', '#' + _ths.formId).attr('step', '1').attr('min', '0').attr('max', '999999999');
            }
        }
    };    
    this.guardar = function() {
        _ths.ocultarError();
        var tarifaGuardada = false;
        var idComuna = jQuery('#idComuna', '#' + _ths.formId).val();
        var estaDisponible = jQuery('#estaDisponible', '#' + _ths.formId).is(':checked') ? 'S' : 'N';
        var esGratis = jQuery('#esGratis', '#' + _ths.formId).val();
        var esGratisDesde = jQuery('#esGratisDesde', '#' + _ths.formId).val();
        var marginar = jQuery('#marginar', '#' + _ths.formId).val();
        var marginarValor = jQuery('#marginarValor', '#' + _ths.formId).val();
        var precioFijo = jQuery('#precioFijo', '#' + _ths.formId).val();
        var precioFijoValor = jQuery('#precioFijoValor', '#' + _ths.formId).val();
        jQuery.ajax({
            url: correoschile_var.url,
            dataType:'json',
            type:'post',
            beforeSend: function() {
            },
            data:{ 'action': 'correoschile_guardarTarifaComuna', 
                   'nonce' : correoschile_var.nonce_guardarTarifaComuna, 
                   'idComuna': idComuna,
                   'estaDisponible': estaDisponible,
                   'esGratis': esGratis,
                   'esGratisDesde': esGratisDesde,
                   'marginar': marginar,
                   'marginarValor': marginarValor,
                   'precioFijo': precioFijo,
                   'precioFijoValor': precioFijoValor },
            success: function(data) {
                tarifaGuardada = true;
                _ths.cancelar();
            },
            error: function(xhr) {
                if (xhr && xhr.responseJSON && xhr.responseJSON.message){
                    _ths.mostrarError(xhr.responseJSON.message);
                } else {
                    _ths.mostrarError('Ocurrio un error guardar la tarifa.');
                }
            },
            async: false
        });
        return tarifaGuardada;
    };
    this.ocultarError = function(message) {
        jQuery('#lblError', '#' + _ths.formId).empty();
        jQuery('#divError', '#' + _ths.formId).hide();
    };
    this.mostrarError = function(message) {
        jQuery('#lblError', '#' + _ths.formId).empty().text(message);
        jQuery('#divError', '#' + _ths.formId).show();
    };
    this.cancelar = function() {
        jQuery('#' + _ths.formId).dialog('close');
    };
    this.mostrar = function(idComuna, comuna) {
        _ths.limpiarCampos();
        if(_ths.obtenerTarifa(idComuna, comuna)){
            jQuery('#' + _ths.formId).dialog({
                title : 'Editar tarifa para "' + comuna + '"',
                resizable: false,
                height: "auto",
                width: 400,
                modal: true,
                closeOnEscape: false,
                draggable : false
            });
        };
    };
    this.limpiarCampos = function() {
        _ths.ocultarError();
        jQuery('#idComuna', '#' + _ths.formId).val('0');
        jQuery('#estaDisponible', '#' + _ths.formId).prop('checked', false);
        jQuery('#esGratis', '#' + _ths.formId).val('N');
        jQuery('#esGratisDesde', '#' + _ths.formId).val('0');
        jQuery('#trEsGratisDesde', '#' + _ths.formId).hide();
        jQuery('#marginar', '#' + _ths.formId).val('N');
        jQuery('#marginarValor', '#' + _ths.formId).val('0');
        jQuery('#trMarginarValor', '#' + _ths.formId).hide();
        jQuery('#precioFijo', '#' + _ths.formId).val('N');
        jQuery('#precioFijoValor', '#' + _ths.formId).val('0');
        jQuery('#trPrecioFijoValor', '#' + _ths.formId).hide();
    };
    this.obtenerTarifa = function(idComuna, comuna) {
        var tarifaObtenida = false;
        jQuery.ajax({
            url: correoschile_var.url,
            dataType:'json',
            type:'post',
            beforeSend: function(){
            },
            data:{ 'action': 'correoschile_obtenerTarifaComuna', 
                   'nonce' : correoschile_var.nonce_obtenerTarifaComuna, 
                   'idComuna': idComuna,
                   'comuna': comuna },
            success:function(data) {
                jQuery('#idComuna', '#' + _ths.formId).val(data.idComuna);
                jQuery('#estaDisponible', '#' + _ths.formId).prop('checked', data.estaDisponible === 'S');
                jQuery('#esGratis', '#' + _ths.formId).val(data.esGratis);
                jQuery('#esGratisDesde', '#' + _ths.formId).val(data.esGratisDesde);
                if (parseInt( data.esGratisDesde) > 0) {
                    jQuery('#gratis', '#' + _ths.formId).val('V');
                }
                _ths.establecerVisualizacionGratis();
                jQuery('#marginar', '#' + _ths.formId).val(data.marginar);
                jQuery('#marginarValor', '#' + _ths.formId).val(data.marginarValor);
                _ths.establecerVisualizacionMarginar();
                jQuery('#precioFijo', '#' + _ths.formId).val(data.precioFijo);
                jQuery('#precioFijoValor', '#' + _ths.formId).val(data.precioFijoValor);
                _ths.establecerVisualizacioPrecioFijo();
                tarifaObtenida = true;
            },
            error: function(xhr) {
                if (xhr && xhr.responseJSON && xhr.responseJSON.message){
                    _ths.mostrarError(xhr.responseJSON.message);
                } else {
                    _ths.mostrarError('Ocurrio un error guardar la tarifa.');
                }
            },
            async: false
        });
        return tarifaObtenida;
    };
    _ths.iniciar();
};



var EditorTarifas = function(parametros){
    var _ths = this;
    this.formId = parametros.formId;
    this.iniciar = function() {
        jQuery('#btnGuardarTarifas', '#' + _ths.formId).on('click', function(e) { 
            if(e.preventDefault) { 
                e.preventDefault();
            }
            if(_ths.guardar()) {
                jQuery('#btnBuscar').click();
            }
        });
        jQuery('#btnCancelarTarifas', '#' + _ths.formId).on('click', function(e) { 
            if(e.preventDefault) { 
                e.preventDefault();
            }
            _ths.cancelar();
        });        
        jQuery('#sonGratis', '#' + _ths.formId).change(function() {
            _ths.establecerVisualizacionGratis();
        });
        jQuery('#marginarlas', '#' + _ths.formId).change(function() {
            _ths.establecerVisualizacionMarginar();
        });
        jQuery('#preciosFijo', '#' + _ths.formId).change(function() {
            _ths.establecerVisualizacioPrecioFijo();
        });
        jQuery('#aplicarEstanDisponibles', '#' + _ths.formId).on('click', function(e) {
            var disabled = !jQuery('#aplicarEstanDisponibles', '#' + _ths.formId).is(':checked');
            jQuery('#estanDisponibles', '#' + _ths.formId).prop('disabled', disabled);
        });
        jQuery('#aplicarSonGratis', '#' + _ths.formId).on('click', function(e) { 
            var disabled = !jQuery('#aplicarSonGratis', '#' + _ths.formId).is(':checked');
            jQuery('#sonGratis', '#' + _ths.formId).prop('disabled', disabled);
            jQuery('#sonGratisDesde', '#' + _ths.formId).prop('disabled', disabled);
        });
        jQuery('#aplicarMarginarlas', '#' + _ths.formId).on('click', function(e) { 
            var disabled = !jQuery('#aplicarMarginarlas', '#' + _ths.formId).is(':checked');
            jQuery('#marginarlas', '#' + _ths.formId).prop('disabled', disabled);
            jQuery('#marginarlasValor', '#' + _ths.formId).prop('disabled', disabled);
        });
        jQuery('#aplicarPreciosFijo', '#' + _ths.formId).on('click', function(e) { 
            var disabled = !jQuery('#aplicarPreciosFijo', '#' + _ths.formId).is(':checked');
            jQuery('#preciosFijo', '#' + _ths.formId).prop('disabled', disabled);
            jQuery('#preciosFijoValor', '#' + _ths.formId).prop('disabled', disabled);
        });
    };
    this.establecerVisualizacionGratis = function() {
        jQuery('#trSonGratisDesde', '#' + _ths.formId).hide();
        if (jQuery('#sonGratis', '#' + _ths.formId).val() === 'V') {
            jQuery('#trSonGratisDesde', '#' + _ths.formId).show();
        }
    };
    this.establecerVisualizacionMarginar = function() {
        jQuery('#trMarginarlasValor', '#' + _ths.formId).hide();
        if (jQuery('#marginarlas', '#' + _ths.formId).val() !== 'N') {
            jQuery('#trMarginarlasValor', '#' + _ths.formId).show();
            if (jQuery('#marginarlas', '#' + _ths.formId).val() === 'V') {
                jQuery('#marginarlasValor', '#' + _ths.formId).attr('step', '1').attr('min', '-9999999').attr('max', '9999999');
                jQuery('#lblMarginarlasValor', '#' + _ths.formId).text('Marginar Valor');
            }
            if (jQuery('#marginarlas', '#' + _ths.formId).val() === 'P') {
                jQuery('#marginarlasValor', '#' + _ths.formId).attr('step', '0.01').attr('min', '-99.99').attr('max', '99.99');
                jQuery('#lblMarginarlasValor', '#' + _ths.formId).text('Marginar Porcentaje');
            }
        }
    };
    this.establecerVisualizacioPrecioFijo = function() {
        jQuery('#trPreciosFijoValor', '#' + _ths.formId).hide();
        if (jQuery('#preciosFijo', '#' + _ths.formId).val() !== 'N') {
            jQuery('#trPreciosFijoValor', '#' + _ths.formId).show();
            if (jQuery('#preciosFijo', '#' + _ths.formId).val() === 'S') {
                jQuery('#preciosFijoValor', '#' + _ths.formId).attr('step', '1').attr('min', '0').attr('max', '999999999');
            }
        }
    };   
    this.guardar = function() {
        _ths.ocultarError();
        var tarifasGuardadas = false;
        var jsonData = { 'action': 'correoschile_guardarTarifaComunas', 
                         'nonce' : correoschile_var.nonce_guardarTarifaComunas, 
                         'idComunas': jQuery('#idComunas', '#' + _ths.formId).val(),
                         'aplicarEstanDisponibles': (jQuery('#aplicarEstanDisponibles', '#' + _ths.formId).is(':checked') ? 'S' : 'N'),
                         'estanDisponibles': (jQuery('#estanDisponibles', '#' + _ths.formId).is(':checked') ? 'S' : 'N'),
                         'aplicarSonGratis': (jQuery('#aplicarSonGratis', '#' + _ths.formId).is(':checked') ? 'S' : 'N'),
                         'sonGratis': jQuery('#sonGratis', '#' + _ths.formId).val(),
                         'sonGratisDesde': jQuery('#sonGratisDesde', '#' + _ths.formId).val(),
                         'aplicarMarginarlas': (jQuery('#aplicarMarginarlas', '#' + _ths.formId).is(':checked') ? 'S' : 'N'),
                         'marginarlas': jQuery('#marginarlas', '#' + _ths.formId).val(),
                         'marginarlasValor': jQuery('#marginarlasValor', '#' + _ths.formId).val(),
                         'aplicarPreciosFijo': (jQuery('#aplicarPreciosFijo', '#' + _ths.formId).is(':checked') ? 'S' : 'N'),
                         'preciosFijo': jQuery('#preciosFijo', '#' + _ths.formId).val(),
                         'preciosFijoValor': jQuery('#preciosFijoValor', '#' + _ths.formId).val() 
                       };
        jQuery.ajax({
            url: correoschile_var.url,
            dataType:'json',
            type:'post',
            beforeSend: function() { },
            data: jsonData,
            success: function(data) {
                tarifasGuardadas = true;
            },
            error: function(xhr) {
                if (xhr && xhr.responseJSON && xhr.responseJSON.message){
                    _ths.mostrarError(xhr.responseJSON.message);
                } else {
                    _ths.mostrarError('Ocurrio un error guardar las tarifas.');
                }
            },
            async: false
        });
        return tarifasGuardadas;
    };
    this.ocultarError = function(message) {
        jQuery('#lblError2', '#' + _ths.formId).empty();
        jQuery('#divError2', '#' + _ths.formId).hide();
    };
    this.mostrarError = function(message) {
        jQuery('#lblError2', '#' + _ths.formId).empty().text(message);
        jQuery('#divError2', '#' + _ths.formId).show();
    };
    this.cancelar = function() {
        jQuery('#' + _ths.formId).dialog('close');
    };
    this.mostrar = function(idComunas) {
        _ths.limpiarCampos(idComunas);
        idComunas.split(',').length;
        jQuery('#' + _ths.formId).dialog({
            title : 'Edición masiva de tarifas (' + String(idComunas.split(',').length) + ')',
            resizable: false,
            height: "auto",
            width: 400,
            modal: true,
            closeOnEscape: false,
            draggable : false
        });
    };
    this.limpiarCampos = function(idComunas) {
        _ths.ocultarError();
        jQuery('#aplicarEstanDisponibles', '#' + _ths.formId).prop('checked', false);
        jQuery('#aplicarSonGratis', '#' + _ths.formId).prop('checked', false);
        jQuery('#aplicarMarginarlas', '#' + _ths.formId).prop('checked', false);
        jQuery('#aplicarPreciosFijo', '#' + _ths.formId).prop('checked', false);
        jQuery('#estanDisponibles', '#' + _ths.formId).prop('disabled', true);
        jQuery('#sonGratis', '#' + _ths.formId).prop('disabled', true);
        jQuery('#sonGratisDesde', '#' + _ths.formId).prop('disabled', true);
        jQuery('#marginarlas', '#' + _ths.formId).prop('disabled', true);
        jQuery('#marginarlasValor', '#' + _ths.formId).prop('disabled', true);
        jQuery('#preciosFijo', '#' + _ths.formId).prop('disabled', true);
        jQuery('#preciosFijoValor', '#' + _ths.formId).prop('disabled', true);
        jQuery('#idComunas', '#' + _ths.formId).val(idComunas);
        jQuery('#estanDisponibles', '#' + _ths.formId).prop('checked', false);
        jQuery('#sonGratis', '#' + _ths.formId).val('N');
        jQuery('#sonGratisDesde', '#' + _ths.formId).val('0');
        jQuery('#trSonGratisDesde', '#' + _ths.formId).hide();
        jQuery('#marginarlas', '#' + _ths.formId).val('N');
        jQuery('#marginarlasValor', '#' + _ths.formId).val('0');
        jQuery('#trMarginarlasValor', '#' + _ths.formId).hide();
        jQuery('#preciosFijo', '#' + _ths.formId).val('N');
        jQuery('#preciosFijoValor', '#' + _ths.formId).val('0');
        jQuery('#trPreciosFijoValor', '#' + _ths.formId).hide();
    };
    _ths.iniciar();
};