<?php

class srv_comuna {
    public static function CrearTabla() {

        srv_comuna::EliminarTabla();

        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        if ($wpdb->get_var("show tables like '$table'") != $table) {
            $charset_collate = $wpdb->get_charset_collate();
            $sql = "CREATE TABLE {$table} (
                    idRegion VARCHAR(5) NOT NULL,
                    idComuna VARCHAR(3) NOT NULL,
                    nombre VARCHAR(255) NOT NULL,
                    estaDisponible VARCHAR(1) NOT NULL,
                    esGratis VARCHAR(1) NOT NULL,
                    esGratisDesde VARCHAR(10) NOT NULL, 
                    marginar VARCHAR(1) NOT NULL,
                    marginarValor VARCHAR(10) NOT NULL
            ) $charset_collate;";
            require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
            dbDelta($sql);
        }
        $row_precioFijo = $wpdb->get_results( "SELECT COLUMN_NAME FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = '{$wpdb->prefix}correoschile_envios' AND column_name = 'precioFijo'");
        if(empty($row_precioFijo)) {
            $wpdb->query("ALTER TABLE $table ADD precioFijo VARCHAR(1) NULL");
        }
        $row_precioFijoValor = $wpdb->get_results( "SELECT COLUMN_NAME FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = '{$wpdb->prefix}correoschile_envios' AND column_name = 'precioFijoValor'");
        if(empty($row_precioFijoValor)) {
            $wpdb->query("ALTER TABLE $table ADD precioFijoValor VARCHAR(10) NULL");
        }
    }
    public static function EliminarTabla() {
        global $wpdb;
        $table_name = $wpdb-> prefix . 'correoschile_comunas';
        $wpdb->query("DROP TABLE IF EXISTS $table_name");
    }
    public static function CrearRegistros() {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        $wpdb->query("DELETE FROM {$table} WHERE 1 = 1;");

        $wpdb->insert($table, array("idRegion" => "CL-AP", "idComuna" => "ARI", "nombre" => "Arica", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AP", "idComuna" => "CRS", "nombre" => "Camarones", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AP", "idComuna" => "GLG", "nombre" => "General Lagos", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AP", "idComuna" => "PTR", "nombre" => "Putre", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));

        $wpdb->insert($table, array("idRegion" => "CL-TA", "idComuna" => "AHO", "nombre" => "Alto Hospicio", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-TA", "idComuna" => "CMR", "nombre" => "Camiña", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-TA", "idComuna" => "CCH", "nombre" => "Colchane", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-TA", "idComuna" => "HRA", "nombre" => "Huara", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-TA", "idComuna" => "IQQ", "nombre" => "Iquique", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-TA", "idComuna" => "OPC", "nombre" => "Pica", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-TA", "idComuna" => "PAM", "nombre" => "Pozo Almonte", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));

        $wpdb->insert($table, array("idRegion" => "CL-AN", "idComuna" => "ANF", "nombre" => "Antofagasta", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AN", "idComuna" => "CJC", "nombre" => "Calama", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AN", "idComuna" => "MAE", "nombre" => "María Elena", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AN", "idComuna" => "MJS", "nombre" => "Mejillones", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AN", "idComuna" => "OGE", "nombre" => "Ollagüe", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AN", "idComuna" => "SPX", "nombre" => "San Pedro de Atacama", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AN", "idComuna" => "SGD", "nombre" => "Sierra Gorda", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AN", "idComuna" => "GTE", "nombre" => "Taltal", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AN", "idComuna" => "TOC", "nombre" => "Tocopilla", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));

        $wpdb->insert($table, array("idRegion" => "CL-AT", "idComuna" => "ADC", "nombre" => "Alto del Carmen", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AT", "idComuna" => "CLR", "nombre" => "Caldera", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AT", "idComuna" => "ZHN", "nombre" => "Chañaral", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AT", "idComuna" => "CPO", "nombre" => "Copiapo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AT", "idComuna" => "DAG", "nombre" => "Diego de Almagro", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AT", "idComuna" => "FRN", "nombre" => "Freirina", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AT", "idComuna" => "HCO", "nombre" => "Huasco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AT", "idComuna" => "TRM", "nombre" => "Tierra Amarilla", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AT", "idComuna" => "VLR", "nombre" => "Vallenar", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));

        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "JAB", "nombre" => "Andacollo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "CLL", "nombre" => "Canela", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "COB", "nombre" => "Combarbala", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "COQ", "nombre" => "Coquimbo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "ILL", "nombre" => "Illapel", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "LHI", "nombre" => "La Higuera", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "LSC", "nombre" => "La Serena", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "LV7", "nombre" => "Los Vilos", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "MPC", "nombre" => "Monte Patria", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "OVL", "nombre" => "Ovalle", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "PIO", "nombre" => "Paiguano", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "PTQ", "nombre" => "Punitaqui", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "RHO", "nombre" => "Río Hurtado", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "SCA", "nombre" => "Salamanca", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-CO", "idComuna" => "VCA", "nombre" => "Vicuña", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "ABO", "nombre" => "Algarrobo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "CDO", "nombre" => "Cabildo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "LC7", "nombre" => "Calera", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "CLG", "nombre" => "Calle Larga", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "CRT", "nombre" => "Cartagena", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "ZCB", "nombre" => "CasaBlanca", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "CAT", "nombre" => "Catemu", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "GKF", "nombre" => "Concón", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "EQO", "nombre" => "El Quisco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "ETB", "nombre" => "El Tabo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "HJA", "nombre" => "Hijuelas", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "IPC", "nombre" => "Isla de Pascua", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "IJF", "nombre" => "Juan Fernández", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "LCR", "nombre" => "La Cruz", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "LLC", "nombre" => "La Ligua", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "LIC", "nombre" => "Limache", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "GRK", "nombre" => "Llaillay", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "LAC", "nombre" => "Los Andes", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "NOG", "nombre" => "Nogales", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "OLM", "nombre" => "Olmué", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "PQE", "nombre" => "Panquehue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "PPO", "nombre" => "Papudo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "PTK", "nombre" => "Petorca", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "PCV", "nombre" => "Puchuncaví", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "PUT", "nombre" => "Putaendo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "QTA", "nombre" => "Quillota", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "QPE", "nombre" => "Quilpue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "QTO", "nombre" => "Quintero", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "RDL", "nombre" => "Rinconada", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "QTN", "nombre" => "San Antonio", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "ZEB", "nombre" => "San Esteban","estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "SFP", "nombre" => "San Felipe", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "GQX", "nombre" => "Santa María", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "SDQ", "nombre" => "Santo Domingo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "VAP", "nombre" => "Valparaíso", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "VIA", "nombre" => "Villa Alemana", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "KNA", "nombre" => "Viña del Mar", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-VS", "idComuna" => "JJG", "nombre" => "Zapallar", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));

        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "VAH", "nombre" => "Alhué", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "BUI", "nombre" => "Buin", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "ZCT", "nombre" => "Calera de Tango", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FCV", "nombre" => "Cerrillos", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FCW", "nombre" => "Cerro Navia", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "GEG", "nombre" => "Colina", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FCX", "nombre" => "Conchalí", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "CVI", "nombre" => "Curacaví", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "EBQ", "nombre" => "El Bosque", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "EMT", "nombre" => "El Monte", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FCY", "nombre" => "Estación Central", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FCZ", "nombre" => "Huechuraba", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDA", "nombre" => "Independencia", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "GEK", "nombre" => "Isla de Maipo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDB", "nombre" => "La Cisterna", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDD", "nombre" => "La Florida", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDE", "nombre" => "La Granja", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "LPT", "nombre" => "La Pintana", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDF", "nombre" => "La Reina", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "LSG", "nombre" => "Lampa", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDG", "nombre" => "Las Condes", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDH", "nombre" => "Lo Barnechea", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "LEJ", "nombre" => "Lo Espejo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDI", "nombre" => "Lo Prado", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDJ", "nombre" => "Macul", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDK", "nombre" => "Maipú", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "MAO", "nombre" => "María Pinto", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "MPA", "nombre" => "Melipilla", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDL", "nombre" => "Ñuñoa", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "PHT", "nombre" => "Padre Hurtado", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "GEJ", "nombre" => "Paine", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "PAC", "nombre" => "Pedro Aguirre Cerda", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "GSI", "nombre" => "Peñaflor", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDY", "nombre" => "Peñalolen", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "PIR", "nombre" => "Pirque", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDN", "nombre" => "Providencia", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDO", "nombre" => "Pudahuel", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "PTA", "nombre" => "Puente Alto", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "QRA", "nombre" => "Quilicura", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDP", "nombre" => "Quinta Normal", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDQ", "nombre" => "Recoleta", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "REA", "nombre" => "Renca", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "SBD", "nombre" => "San Bernardo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDR", "nombre" => "San Joaquín", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "SJS", "nombre" => "San José de Maipo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDS", "nombre" => "San Miguel", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "ZPM", "nombre" => "San Pedro", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDU", "nombre" => "San Ramón", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "SCL", "nombre" => "Santiago", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "TNT", "nombre" => "Talagante", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "EXI", "nombre" => "Tiltil", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-RM", "idComuna" => "FDW", "nombre" => "Vitacura", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));

        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "ZHE", "nombre" => "Chépica", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "CHB", "nombre" => "Chimbarongo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "CGY", "nombre" => "Codegua", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "CNO", "nombre" => "Coinco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "CTO", "nombre" => "Coltauco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "RDD", "nombre" => "Doñihue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "GRA", "nombre" => "Graneros", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "LEA", "nombre" => "La Estrella", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "LCB", "nombre" => "Las Cabras", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "LEC", "nombre" => "Litueche", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "LLL", "nombre" => "Lolol", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "MCH", "nombre" => "Machalí", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "ZML", "nombre" => "Malloa", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "MCG", "nombre" => "Marchigüe", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "SFM", "nombre" => "Mostazal", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "ZGA", "nombre" => "Nancagua", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "NVD", "nombre" => "Navidad", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "OAL", "nombre" => "Olivar", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "PLA", "nombre" => "Palmilla", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "PDS", "nombre" => "Paredones", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "PSF", "nombre" => "Peralillo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "PEO", "nombre" => "Peumo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "PDG", "nombre" => "Pichidegua", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "PMU", "nombre" => "Pichilemu", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "PSO", "nombre" => "Placilla", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "PNQ", "nombre" => "Pumanque", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "QCC", "nombre" => "Quinta de Tilcoco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "QRC", "nombre" => "Rancagua", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "RGO", "nombre" => "Rengo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "REQ", "nombre" => "Requínoa", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "SF7", "nombre" => "San Fernando", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "SVT", "nombre" => "San Vicente", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LI", "idComuna" => "ZSC", "nombre" => "Santa Cruz", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));

        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "CQE", "nombre" => "Cauquenes", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "CHA", "nombre" => "Chanco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "CLB", "nombre" => "Colbún", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "CTT", "nombre" => "Constitución", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "CEP", "nombre" => "Curepto", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "ZCQ", "nombre" => "Curicó", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "EPD", "nombre" => "Empedrado", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "HLE", "nombre" => "Hualañé", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "LNN", "nombre" => "Licantén", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "ZLR", "nombre" => "Linares", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "LGV", "nombre" => "Longaví", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "ZMA", "nombre" => "Maule", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "ZMO", "nombre" => "Molina", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "PRR", "nombre" => "Parral", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "PLO", "nombre" => "Pelarco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "PLE", "nombre" => "Pelluhue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "PNH", "nombre" => "Pencahue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "RAU", "nombre" => "Rauco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "RTO", "nombre" => "Retiro", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "RRO", "nombre" => "Río Claro", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "RML", "nombre" => "Romeral", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "SAF", "nombre" => "Sagrada Familia", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "SCQ", "nombre" => "San Clemente", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "SJA", "nombre" => "San Javier", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "GIP", "nombre" => "San Rafael", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "TLX", "nombre" => "Talca", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "TEN", "nombre" => "Teno", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "VCH", "nombre" => "Vichuquén", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "VGE", "nombre" => "Villa Alegre", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-ML", "idComuna" => "YBB", "nombre" => "Yerbas Buenas", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "BLN", "nombre" => "Bulnes", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "YAI", "nombre" => "Chillán", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "CVO", "nombre" => "Chillán Viejo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "CBR", "nombre" => "Cobquecura", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "CEU", "nombre" => "Coelemu", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "CUH", "nombre" => "Coihueco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "GJR", "nombre" => "El Carmen", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "NNH", "nombre" => "Ninhue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "NQN", "nombre" => "Ñiquén", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "PMO", "nombre" => "Pemuco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "PNO", "nombre" => "Pinto", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "PZO", "nombre" => "Portezuelo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "QLL", "nombre" => "Quillón", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "QRH", "nombre" => "Quirihue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "RQL", "nombre" => "Ránquil", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "SCS", "nombre" => "San Carlos", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "SFA", "nombre" => "San Fabián", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "GIY", "nombre" => "San Ignacio", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "SNL", "nombre" => "San Nicolás", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "THC", "nombre" => "Treguaco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-NB", "idComuna" => "YGY", "nombre" => "Yungay", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "LAS", "nombre" => "Alto Biobío", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "AUO", "nombre" => "Antuco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "ARA", "nombre" => "Arauco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "CRO", "nombre" => "Cabrero", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "FWN", "nombre" => "Cañete", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "CYE", "nombre" => "Chiguayante", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "CCP", "nombre" => "Concepción", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "CTM", "nombre" => "Contulmo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "KQQ", "nombre" => "Coronel", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "CNE", "nombre" => "Curanilahue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "FRD", "nombre" => "Florida", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "HSP", "nombre" => "Hualpén", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "KQL", "nombre" => "Hualqui", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "LLJ", "nombre" => "Laja", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "ZLB", "nombre" => "Lebu", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "ZAO", "nombre" => "Los Álamos", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "LSQ", "nombre" => "Los Ángeles", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "LOT", "nombre" => "Lota", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "MUL", "nombre" => "Mulchén", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "NAC", "nombre" => "Nacimiento", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "NRE", "nombre" => "Negrete", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "PCO", "nombre" => "Penco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "QCO", "nombre" => "Quilaco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "QEO", "nombre" => "Quilleco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "SPZ", "nombre" => "San Pedro de la Paz", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "SRO", "nombre" => "San Rosendo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "SBB", "nombre" => "Santa Bárbara", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "SAJ", "nombre" => "Santa Juana", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "ZTO", "nombre" => "Talcahuano", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "TRU", "nombre" => "Tirúa", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "TMC", "nombre" => "Tomé", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "TAL", "nombre" => "Tucapel", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-BI", "idComuna" => "JFF", "nombre" => "Yumbel", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));

        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "ZOL", "nombre" => "Angol", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "CRH", "nombre" => "Carahue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "ZHL", "nombre" => "Cholchol", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "CPI", "nombre" => "Collipulli", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "CUC", "nombre" => "Cunco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "CCC", "nombre" => "Curacautin", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "CRE", "nombre" => "Curarrehue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "ECA", "nombre" => "Ercilla", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "FIE", "nombre" => "Freire", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "GAO", "nombre" => "Galvarino", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "GEA", "nombre" => "Gorbea", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "LTR", "nombre" => "Lautaro", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "LOC", "nombre" => "Loncoche", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "LQY", "nombre" => "Lonquimay", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "SUS", "nombre" => "Los Sauces", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "LMO", "nombre" => "Lumaco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "MPO", "nombre" => "Melipeuco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "NIP", "nombre" => "Nueva Imperial", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "PLC", "nombre" => "Padre Las Casas", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "PQO", "nombre" => "Perquenco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "PQN", "nombre" => "Pitrufquén", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "ZPU", "nombre" => "Pucón", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "PUR", "nombre" => "Purén", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "RNA", "nombre" => "Renaico", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "PSA", "nombre" => "Saavedra", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "ZCO", "nombre" => "Temuco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "TSC", "nombre" => "Teodoro Schmidt", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "NTN", "nombre" => "Toltén", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "ZEN", "nombre" => "Traiguén", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "VIC", "nombre" => "Victoria", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "VLN", "nombre" => "Vilcun", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AR", "idComuna" => "VRR", "nombre" => "Villarrica", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "CRC", "nombre" => "Corral", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "FTO", "nombre" => "Futrono", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "ZLU", "nombre" => "La Unión", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "LRC", "nombre" => "Lago Ranco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "LNC", "nombre" => "Lanco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "LAG", "nombre" => "Los Lagos", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "MFL", "nombre" => "Máfil", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "LGM", "nombre" => "Mariquina", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "PAI", "nombre" => "Paillaco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "PGP", "nombre" => "Panguipulli", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "RBN", "nombre" => "Río Bueno", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LR", "idComuna" => "ZAL", "nombre" => "Valdivia", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "ACD", "nombre" => "Ancud", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "CBU", "nombre" => "Calbuco", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "CTR", "nombre" => "Castro", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "CIT", "nombre" => "Chaitén", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "CHO", "nombre" => "Chonchi", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "CHM", "nombre" => "Cochamo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "CDV", "nombre" => "Curaco de Vélez", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "DLE", "nombre" => "Dalcahue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "FSA", "nombre" => "Fresia", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "FRT", "nombre" => "Frutillar", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "FTF", "nombre" => "Futaleufú", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "HLA", "nombre" => "Hualaihué", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "LLQ", "nombre" => "Llanquihue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "LMM", "nombre" => "Los Muermos", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "MAU", "nombre" => "Maullín", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "ZOS", "nombre" => "Osorno", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "FLP", "nombre" => "Palena", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "PMC", "nombre" => "Puerto Montt", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "PCY", "nombre" => "Puerto Octay", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "ZPV", "nombre" => "Puerto Varas", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "PQU", "nombre" => "Puqueldón", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "PRE", "nombre" => "Purranque", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "LOO", "nombre" => "Puyehue", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "QIL", "nombre" => "Queilen", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "QLO", "nombre" => "Quellón", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "QMC", "nombre" => "Quemchi", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "QHO", "nombre" => "Quinchao", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "RNC", "nombre" => "Río Negro", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "SJC", "nombre" => "San Juan de la Costa", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-LL", "idComuna" => "SPL", "nombre" => "San Pablo", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        
        $wpdb->insert($table, array("idRegion" => "CL-AI", "idComuna" => "WPA", "nombre" => "Aysén", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AI", "idComuna" => "CLH", "nombre" => "Chile Chico", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AI", "idComuna" => "GRL", "nombre" => "Cisnes", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AI", "idComuna" => "GKL", "nombre" => "Cochrane", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AI", "idComuna" => "GXQ", "nombre" => "Coyhaique", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AI", "idComuna" => "GTS", "nombre" => "Guaitecas", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AI", "idComuna" => "LVE", "nombre" => "Lago Verde", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AI", "idComuna" => "VOS", "nombre" => "OHiggins", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AI", "idComuna" => "RIZ", "nombre" => "Río Ibáñez", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-AI", "idComuna" => "CTL", "nombre" => "Tortel", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        
        $wpdb->insert($table, array("idRegion" => "CL-MA", "idComuna" => "LTH", "nombre" => "Antártica", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-MA", "idComuna" => "LTJ", "nombre" => "Cabo de Hornos", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-MA", "idComuna" => "LGB", "nombre" => "Laguna Blanca", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-MA", "idComuna" => "PNT", "nombre" => "Natales", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-MA", "idComuna" => "ZPR", "nombre" => "Porvenir", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-MA", "idComuna" => "PVA", "nombre" => "Primavera", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-MA", "idComuna" => "PUQ", "nombre" => "Punta Arenas", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-MA", "idComuna" => "RVE", "nombre" => "Río Verde", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-MA", "idComuna" => "IUT", "nombre" => "San Gregorio", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-MA", "idComuna" => "TMK", "nombre" => "Timaukel", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
        $wpdb->insert($table, array("idRegion" => "CL-MA", "idComuna" => "TDP", "nombre" => "Torres del Paine", "estaDisponible" => "S", "esGratis" => "N", "esGratisDesde" => "0", "marginar" => "N", "marginarValor" => "0", "precioFijo" => "N", "precioFijoValor" => "0"));
    }
    public static function ObtenerJsonComunas() {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        $table2 = $wpdb->prefix . 'correoschile_regiones';
        $query = "SELECT c.idRegion "
                     . ",c.idComuna "
                     . ",c.nombre "
                     . " FROM $table c JOIN $table2 r on r.idRegion = c.idRegion";
        $query .= " ORDER BY r.orden ASC, c.nombre ASC ";
        $results = $wpdb->get_results($query);
        $comunas = array();
        foreach($results as $result) {
            array_push($comunas, array("idRegion" => $result->idRegion,
                                       "idComuna" => $result->idComuna,
                                       "nombre" => $result->nombre));
        }
        return json_encode($comunas);
    }
    public static function ObtenerComunas($idRegion) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        $table2 = $wpdb->prefix . 'correoschile_regiones';
        $query = "SELECT c.idRegion "
                     . ",r.nombre as region "
                     . ",c.idComuna "
                     . ",c.nombre "
                     . ",c.estaDisponible "
                     . ",c.esGratis "
                     . ",c.esGratisDesde "
                     . ",c.marginar "
                     . ",c.marginarValor "
                     . ",IFNULL(c.precioFijo, 'N') AS precioFijo "
                     . ",IFNULL(c.precioFijoValor, '0') AS precioFijoValor "                     
                     . " FROM $table c JOIN $table2 r on r.idRegion = c.idRegion";
                     if (empty($idRegion) === false) {
                        $query .= " WHERE r.idRegion = '$idRegion' ";
                     }
                     $query .= " ORDER BY r.orden ASC, c.nombre ASC ";
        $results = $wpdb->get_results($query);
        return $results;
    }
    public static function ObtenerComunaPorNombre($nombreComuna = '') {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        $query = "SELECT idRegion "
                     . ",idComuna "
                     . ",nombre "
                     . ",estaDisponible "
                     . ",esGratis "
                     . ",esGratisDesde "
                     . ",marginar "
                     . ",marginarValor "
                     . ",IFNULL(precioFijo, 'N') AS precioFijo "
                     . ",IFNULL(precioFijoValor, '0') AS precioFijoValor "
              . " FROM $table " 
              . " WHERE nombre = '" . srv_comuna::EliminarAcentos($nombreComuna) . "' "; //utf8mb4 - utf8mb4_0900_ai_ci
        $results = $wpdb->get_results($query);
        $comunaObtenida = null;
        foreach ($results as $result) {
            $comunaObtenida = array("idRegion" => $result->idRegion,
                                    "idComuna" => $result->idComuna,
                                    "nombre" => $result->nombre,
                                    "estaDisponible" => $result->estaDisponible, 
                                    "esGratis" => $result->esGratis,
                                    "esGratisDesde" => $result->esGratisDesde,
                                    "marginar" => $result->marginar,
                                    "marginarValor" => $result->marginarValor,
                                    "precioFijo" => $result->precioFijo,
                                    "precioFijoValor" => $result->precioFijoValor);
            break;
        }
        return $comunaObtenida;
    }
    public static function ObtenerComuna($idComuna = '') {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        $query = "SELECT idRegion "
                     . ",idComuna "
                     . ",nombre "
                     . ",estaDisponible "
                     . ",esGratis "
                     . ",esGratisDesde "
                     . ",marginar "
                     . ",marginarValor "
                     . ",IFNULL(precioFijo, 'N') AS precioFijo "
                     . ",IFNULL(precioFijoValor, '0') AS precioFijoValor "
              . " FROM $table " 
              . " WHERE idComuna = '" . $idComuna . "' ";
        $results = $wpdb->get_results($query);
        $comunaObtenida = null;
        foreach ($results as $result) {
            $comunaObtenida = array("idRegion" => $result->idRegion,
                                    "idComuna" => $result->idComuna,
                                    "nombre" => $result->nombre,
                                    "estaDisponible" => $result->estaDisponible, 
                                    "esGratis" => $result->esGratis,
                                    "esGratisDesde" => $result->esGratisDesde,
                                    "marginar" => $result->marginar,
                                    "marginarValor" => $result->marginarValor,
                                    "precioFijo" => $result->precioFijo,
                                    "precioFijoValor" => $result->precioFijoValor);
            break;
        }
        return $comunaObtenida;
    }
    public static function ActualizarTarifaComuna(
        $idComuna, $estaDisponible, $esGratis, 
        $esGratisDesde, $marginar, $marginarValor,
        $precioFijo, $precioFijoValor) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        $wpdb->update($table, array(
            'estaDisponible' => $estaDisponible,
            'esGratis' => $esGratis,
            'esGratisDesde' => $esGratisDesde,
            'marginar' => $marginar,
            'marginarValor' => $marginarValor,
            'precioFijo' => $precioFijo, 
            'precioFijoValor' => $precioFijoValor
        ), array('idComuna' => $idComuna));
    }
    public static function ActualizarTarifaComuna_estaDisponible($idComuna, $estaDisponible) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        $wpdb->update($table, array(
            'estaDisponible' => $estaDisponible
        ), array('idComuna' => $idComuna));
    }
    public static function ActualizarTarifaComuna_esGratis($idComuna, $esGratis, $esGratisDesde) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        $wpdb->update($table, array(
            'esGratis' => $esGratis,
            'esGratisDesde' => $esGratisDesde
        ), array('idComuna' => $idComuna));
    }
    public static function ActualizarTarifaComuna_marginar($idComuna, $marginar, $marginarValor) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        $wpdb->update($table, array(
            'marginar' => $marginar,
            'marginarValor' => $marginarValor
        ), array('idComuna' => $idComuna));
    }
    public static function ActualizarTarifaComuna_precioFijo($idComuna, $precioFijo) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        $wpdb->update($table, array('precioFijo' => $precioFijo), array('idComuna' => $idComuna));
    }
    public static function ActualizarTarifaComuna_precioFijoValor($idComuna, $precioFijoValor) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_comunas';
        $wpdb->update($table, array('precioFijoValor' => $precioFijoValor), array('idComuna' => $idComuna));
    }
    public static function EliminarAcentos($cadena) {
        $cadena = str_replace(array('Á', 'À', 'Â', 'Ä', 'á', 'à', 'ä', 'â', 'ª'), array('A', 'A', 'A', 'A', 'a', 'a', 'a', 'a', 'a'), $cadena);
        $cadena = str_replace(array('É', 'È', 'Ê', 'Ë', 'é', 'è', 'ë', 'ê'), array('E', 'E', 'E', 'E', 'e', 'e', 'e', 'e'), $cadena);
        $cadena = str_replace(array('Í', 'Ì', 'Ï', 'Î', 'í', 'ì', 'ï', 'î'), array('I', 'I', 'I', 'I', 'i', 'i', 'i', 'i'), $cadena);
        $cadena = str_replace(array('Ó', 'Ò', 'Ö', 'Ô', 'ó', 'ò', 'ö', 'ô'), array('O', 'O', 'O', 'O', 'o', 'o', 'o', 'o'), $cadena);
        $cadena = str_replace(array('Ú', 'Ù', 'Û', 'Ü', 'ú', 'ù', 'ü', 'û'), array('U', 'U', 'U', 'U', 'u', 'u', 'u', 'u'), $cadena);
        $cadena = str_replace(array('Ç', 'ç'), array('C', 'c'), $cadena);
        return trim($cadena);
    }
    public static function AjaxObtenerTarifaComuna() {
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            try {
                $idComuna = filter_input(INPUT_POST, 'idComuna');
                if(!isset($idComuna)) {
                    throw new Exception('No se proporciono la variable "idComuna"');
                }
                $comuna = filter_input(INPUT_POST, 'comuna');
                if(!isset($comuna)) {
                    throw new Exception('No se proporciono la variable "comuna"');
                }
                $comunaObtenida = srv_comuna::ObtenerComuna($idComuna);
                header('http/1.1 200 OK');
                header('Content-Type: application/json; charset=UTF8');
                echo json_encode($comunaObtenida);
                exit();
            }
            catch (Exception $e) {
                header('http/1.1 500 Internal Server Error');
                header('Content-Type: application/json; charset=UTF8');
                die(json_encode(array('message' => $e->getMessage(), 
                                      'trace' => $e->getTraceAsString())));
            }
        } else {
            header('http/1.1 500 Internal Server Error');
            header('Content-Type: application/json; charset=UTF8');
            die(json_encode(array('message' => 'Este método solo puede ser invocado con POST')));
        }
    }
    public static function AjaxGuardarTarifaComuna() {
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            try {
                $idComuna = filter_input(INPUT_POST, 'idComuna');
                $estaDisponible = filter_input(INPUT_POST, 'estaDisponible');
                $esGratis = filter_input(INPUT_POST, 'esGratis');
                $esGratisDesde = filter_input(INPUT_POST, 'esGratisDesde');
                $marginar = filter_input(INPUT_POST, 'marginar');
                $marginarValor = filter_input(INPUT_POST, 'marginarValor');
                $precioFijo = filter_input(INPUT_POST, 'precioFijo');
                $precioFijoValor = filter_input(INPUT_POST, 'precioFijoValor');

                srv_comuna::ValidarActualizarTarifaComuna(
                $idComuna, $estaDisponible, $esGratis,
                $esGratisDesde, $marginar, $marginarValor,
                $precioFijo, $precioFijoValor);

                if($esGratis === 'V') {
                    $esGratis = 'S';
                }
            
                $comunaObtenida = srv_comuna::ActualizarTarifaComuna(
                    $idComuna, $estaDisponible, $esGratis,
                    $esGratisDesde, $marginar, $marginarValor,
                    $precioFijo, $precioFijoValor);

                header('http/1.1 200 OK');
                header('Content-Type: application/json; charset=UTF8');
                echo json_encode(array('message' => 'Tarifa actualizada.'));
                exit();
            }
            catch (Exception $e) {
                header('http/1.1 500 Internal Server Error');
                header('Content-Type: application/json; charset=UTF8');
                die(json_encode(array('message' => $e->getMessage(), 
                                      'trace' => $e->getTraceAsString())));
            }
        } else {
            header('http/1.1 500 Internal Server Error');
            header('Content-Type: application/json; charset=UTF8');
            die(json_encode(array('message' => 'Este método solo puede ser invocado con POST')));
        }
    }
    public static function AjaxGuardarTarifaComunas() {
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            try {
                $idComunas = filter_input(INPUT_POST, 'idComunas');
                $aplicarEstanDisponibles = filter_input(INPUT_POST, 'aplicarEstanDisponibles');
                $estanDisponibles = filter_input(INPUT_POST, 'estanDisponibles');
                $aplicarSonGratis = filter_input(INPUT_POST, 'aplicarSonGratis');
                $sonGratis = filter_input(INPUT_POST, 'sonGratis');
                $aplicarSonGratisDesde = filter_input(INPUT_POST, 'aplicarSonGratisDesde');
                $sonGratisDesde = filter_input(INPUT_POST, 'sonGratisDesde');
                $aplicarMarginarlas = filter_input(INPUT_POST, 'aplicarMarginarlas');
                $marginarlas = filter_input(INPUT_POST, 'marginarlas');
                $aplicarMarginarlasValor = filter_input(INPUT_POST, 'aplicarMarginarlasValor');
                $marginarlasValor = filter_input(INPUT_POST, 'marginarlasValor');
                $aplicarPreciosFijo = filter_input(INPUT_POST, 'aplicarPreciosFijo');
                $preciosFijo = filter_input(INPUT_POST, 'preciosFijo');
                $preciosFijoValor = filter_input(INPUT_POST, 'preciosFijoValor');

                if($sonGratis === 'V') {
                    $sonGratis = 'S';
                }

                $idComunas = explode(',', $idComunas);
                foreach ($idComunas as $idComuna) {
                    if($aplicarEstanDisponibles === 'S'){
                        srv_comuna::ActualizarTarifaComuna_estaDisponible($idComuna, $estanDisponibles);
                    }
                    if($aplicarSonGratis === 'S'){
                        srv_comuna::ActualizarTarifaComuna_esGratis($idComuna, $sonGratis, $sonGratisDesde);
                    }
                    if($aplicarMarginarlas === 'S'){
                        srv_comuna::ActualizarTarifaComuna_marginar($idComuna, $marginarlas, $marginarlasValor);
                    }
                    if($aplicarPreciosFijo === 'S'){
                        srv_comuna::ActualizarTarifaComuna_precioFijo($idComuna, $preciosFijo);
                        srv_comuna::ActualizarTarifaComuna_precioFijoValor($idComuna, $preciosFijoValor);
                    }
                }

                header('http/1.1 200 OK');
                header('Content-Type: application/json; charset=UTF8');
                echo json_encode(array('message' => 'Tarifas actualizadas.'));
                exit();
            }
            catch (Exception $e) {
                header('http/1.1 500 Internal Server Error');
                header('Content-Type: application/json; charset=UTF8');
                die(json_encode(array('message' => $e->getMessage(), 
                                      'trace' => $e->getTraceAsString())));
            }
        } else {
            header('http/1.1 500 Internal Server Error');
            header('Content-Type: application/json; charset=UTF8');
            die(json_encode(array('message' => 'Este método solo puede ser invocado con POST')));
        }
    }
    public static function ValidarActualizarTarifaComuna($idComuna, $estaDisponible, $esGratis, $esGratisDesde,
                                                         $marginar, $marginarValor, $precioFijo, $precioFijoValor) {
        /*
        header('http/1.1 400 OK');
        header('Content-Type: application/json; charset=UTF8');
        echo json_encode(array('message' => 'Debe corregir los siguientes errores.'));
        exit();
        */
    }
}