<?php

class srv_configuracion
{
    function InstalarOpciones()
    {
        srv_configuracion::CrearOpcion('correoschile_nombre_tienda','');
        srv_configuracion::CrearOpcion('correoschile_rut','');
        srv_configuracion::CrearOpcion('correoschile_direccion','');
        srv_configuracion::CrearOpcion('correoschile_comuna','');
        srv_configuracion::CrearOpcion('correoschile_codigoPostal','');
        srv_configuracion::CrearOpcion('correoschile_nombre','');
        srv_configuracion::CrearOpcion('correoschile_telefono','');
        srv_configuracion::CrearOpcion('correoschile_codigoSAP','');

        srv_configuracion::CrearOpcion('correoschile_usuario_api','');
        srv_configuracion::CrearOpcion('correoschile_contrasena_api','');

        srv_configuracion::CrearOpcion('correoschile_ws_region','http://b2b.correos.cl/ServicioRegionYComunasExterno/cch/ws/distribucionGeografica/externo/implementacion/ServicioExternoRegionYComunas.asmx');
        srv_configuracion::CrearOpcion('correoschile_ws_comuna','http://b2b.correos.cl/ServicioRegionYComunasExterno/cch/ws/distribucionGeografica/externo/implementacion/ServicioExternoRegionYComunas.asmx');
        srv_configuracion::CrearOpcion('correoschile_ws_sucursal','http://b2b.correos.cl/ServicioListadoSucursalesExterno/cch/ws/distribucionGeografica/implementacion/ServicioExternoListarSucursales.asmx');
        srv_configuracion::CrearOpcion('correoschile_ws_normalizacion','http://b2b.correos.cl/ServicioNormalizacionExterno/cch/ws/distribucionGeografica/externo/implementacion/ServicioExternoNormalizacion.asmx');
        srv_configuracion::CrearOpcion('correoschile_ws_tarificacion','http://b2b.correos.cl/ServicioTarificacionCEPEmpresasExterno/cch/ws/tarificacionCEP/externo/implementacion/ExternoTarificacion.asmx');
        srv_configuracion::CrearOpcion('correoschile_ws_etiquetas','https://restservices.correos.cl/api/ServicioAdmisionCEP/postEtiqueta');
        srv_configuracion::CrearOpcion('correoschile_ws_retiro','http://b2b.correos.cl/ServicioRetiroEnvioExterno/cch/ws/retirosCEP/externo/implementacion/ServicioExternoRetiro.asmx');
        srv_configuracion::CrearOpcion('correoschile_ws_anulacion','http://b2b.correos.cl/ServicioAnulacionExterno/cch/ws/enviosCEP/externo/implementacion/ServicioExternoAnulacionEnvio.asmx');

        srv_configuracion::CrearOpcion('correoschile_normalizador','N');
        srv_configuracion::CrearOpcion('correoschile_formato_etiqueta','PDFS'); //PDF | PDFS | ZPL
        srv_configuracion::CrearOpcion('correoschile_calcularPorTienda','N');
        srv_configuracion::CrearOpcion('correoschile_comprobar_estado','');

        srv_configuracion::CrearOpcion('correoschile_cargarRegiones','S');
        srv_configuracion::CrearOpcion('correoschile_obtenerComunaDesde','city');
        srv_configuracion::CrearOpcion('correoschile_ordenarCamposCheckout','N');

        srv_configuracion::CrearOpcion('correoschile_prefijo','');
        srv_configuracion::CrearOpcion('correoschile_usarVolumenPorDefecto', 'N');
        srv_configuracion::CrearOpcion('correoschile_volumenPorDefecto', '0');
        srv_configuracion::CrearOpcion('correoschile_usarPesoPorDefecto', 'N');
        srv_configuracion::CrearOpcion('correoschile_pesoPorDefecto', '0');
        srv_configuracion::CrearOpcion('correoschile_usarPesoMaximo', 'N');
        srv_configuracion::CrearOpcion('correoschile_pesoMaximo', '0');
        srv_configuracion::CrearOpcion('correoschile_mostrarMensajes', 'N');
    }

    public static function EliminarOpciones() {
        delete_option('correoschile_nombre_tienda');
        delete_option('correoschile_rut');
        delete_option('correoschile_direccion');
        delete_option('correoschile_comuna');
        delete_option('correoschile_codigoPostal');
        delete_option('correoschile_nombre');
        delete_option('correoschile_telefono');
        delete_option('correoschile_codigoSAP');
        delete_option('correoschile_usuario_api');
        delete_option('correoschile_contrasena_api');

        delete_option('correoschile_ws_region');
        delete_option('correoschile_ws_comuna');
        delete_option('correoschile_ws_sucursal');
        delete_option('correoschile_ws_normalizacion');
        delete_option('correoschile_ws_tarificacion');
        delete_option('correoschile_ws_etiquetas');
        delete_option('correoschile_ws_retiro');
        delete_option('correoschile_ws_anulacion');

        delete_option('correoschile_normalizador');
        delete_option('correoschile_formato_etiqueta');
        delete_option('correoschile_calcularPorTienda');
        delete_option('correoschile_comprobar_estado');        

        delete_option('correoschile_cargarRegiones');
        delete_option('correoschile_obtenerComunaDesde');
        delete_option('correoschile_ordenarCamposCheckout');

        delete_option('correoschile_prefijo');
        delete_option('correoschile_usarVolumenPorDefecto');
        delete_option('correoschile_volumenPorDefecto');
        delete_option('correoschile_usarPesoPorDefecto');
        delete_option('correoschile_pesoPorDefecto');
        delete_option('correoschile_usarPesoMaximo');
        delete_option('correoschile_pesoMaximo');
        delete_option('correoschile_mostrarMensajes');
    }

    public static function CrearOpcion($nombre_opcion, $valorPorDefecto){
        if(get_option($nombre_opcion) === false) { 
            add_option($nombre_opcion, '','','yes'); 
        }
    }

    public static function ActualizarOpcion($nombre_opcion) {
        $valor = filter_input(INPUT_POST, $nombre_opcion);
        if(get_option($nombre_opcion) === false) { 
            add_option($nombre_opcion, '','','yes'); 
        }
        update_option($nombre_opcion, $valor,'yes');
    }

    public static function Actualizar() {
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {   
            srv_configuracion::ActualizarOpcion('correoschile_nombre_tienda');
            srv_configuracion::ActualizarOpcion('correoschile_rut');
            srv_configuracion::ActualizarOpcion('correoschile_direccion');
            srv_configuracion::ActualizarOpcion('correoschile_comuna');
            srv_configuracion::ActualizarOpcion('correoschile_codigoPostal');
            srv_configuracion::ActualizarOpcion('correoschile_nombre');
            srv_configuracion::ActualizarOpcion('correoschile_telefono');
            srv_configuracion::ActualizarOpcion('correoschile_codigoSAP');
            srv_configuracion::ActualizarOpcion('correoschile_usuario_api');
            srv_configuracion::ActualizarOpcion('correoschile_contrasena_api');

            srv_configuracion::ActualizarOpcion('correoschile_ws_region');
            srv_configuracion::ActualizarOpcion('correoschile_ws_comuna');
            srv_configuracion::ActualizarOpcion('correoschile_ws_sucursal');
            srv_configuracion::ActualizarOpcion('correoschile_ws_normalizacion');
            srv_configuracion::ActualizarOpcion('correoschile_ws_tarificacion');
            srv_configuracion::ActualizarOpcion('correoschile_ws_etiquetas');
            srv_configuracion::ActualizarOpcion('correoschile_ws_retiro');
            srv_configuracion::ActualizarOpcion('correoschile_ws_anulacion');

            srv_configuracion::ActualizarOpcion('correoschile_normalizador');
            srv_configuracion::ActualizarOpcion('correoschile_formato_etiqueta');
            srv_configuracion::ActualizarOpcion('correoschile_calcularPorTienda');
            srv_configuracion::ActualizarOpcion('correoschile_comprobar_estado');

            srv_configuracion::ActualizarOpcion('correoschile_cargarRegiones');
            srv_configuracion::ActualizarOpcion('correoschile_obtenerComunaDesde','city');
            srv_configuracion::ActualizarOpcion('correoschile_ordenarCamposCheckout');

            srv_configuracion::ActualizarOpcion('correoschile_prefijo');
            srv_configuracion::ActualizarOpcion('correoschile_usarVolumenPorDefecto');
            srv_configuracion::ActualizarOpcion('correoschile_volumenPorDefecto');
            srv_configuracion::ActualizarOpcion('correoschile_usarPesoPorDefecto');
            srv_configuracion::ActualizarOpcion('correoschile_pesoPorDefecto');
            srv_configuracion::ActualizarOpcion('correoschile_usarPesoMaximo');
            srv_configuracion::ActualizarOpcion('correoschile_pesoMaximo');
            srv_configuracion::ActualizarOpcion('correoschile_mostrarMensajes');

            $url = admin_url() . 'admin.php?page=correos_chile%2Fadmin%2FConfiguracion.php&s=1';
            wp_redirect($url);
            exit();
        }
    }
}