<?php

require_once dirname(__FILE__) . '/' . '../includes/utilidades.php';
require_once dirname(__FILE__) . '/' . '../includes/srv_servicio.php';
require_once dirname(__FILE__) . '/' . '../includes/srv_tarifa.php';
require_once dirname(__FILE__) . '/' . '../includes/srv_comuna.php';
require_once dirname(__FILE__) . '/' . '../includes/srv_normalizacion.php';

class srv_envio {
    public static function CrearTabla() {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        if ($wpdb->get_var("show tables like '$table'") != $table) {
            $charset_collate = $wpdb->get_charset_collate();
            $sql = "CREATE TABLE {$table} (order_id BIGINT(20) NOT NULL,
                                           fechaCreacion DATETIME NOT NULL,
                                           codigoServicio VARCHAR(2) NOT NULL,
                                           numeroTotalPiezas INT NOT NULL,
                                           kilos VARCHAR(7) NOT NULL,
                                           volumen VARCHAR(7) NOT NULL,
                                           observaciones2 VARCHAR(255) NULL,
                                           sucursalDestino VARCHAR(255) NULL,
                                           normalizada VARCHAR(1) NULL,
                                           codigoAdmision VARCHAR(60) NULL,
                                           numeroReferencia VARCHAR(24) NULL,
                                           formatoEtiqueta VARCHAR(4) NULL,
                                           numeroEnvio VARCHAR(60) NULL,
                                           codigoRetiro INT NULL,
                                           fechaRetiro VARCHAR(10) NULL,
                                           horaRetiroDesde VARCHAR(5) NULL,
                                           horaRetiroHasta VARCHAR(5) NULL,               
                                           pagoSeguro VARCHAR(1) NULL,
                                           error VARCHAR(255) NULL,
                                           tipoMercancia VARCHAR(255) NULL,
                    PRIMARY KEY (order_id)) $charset_collate;";
            require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
            dbDelta( $sql );
        } 
        else {
            $row_sucursalDestino = $wpdb->get_results( "SELECT COLUMN_NAME FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = '{$wpdb->prefix}correoschile_envios' AND column_name = 'sucursalDestino'");
            if(empty($row_sucursalDestino)) {
                $wpdb->query("ALTER TABLE $table ADD sucursalDestino VARCHAR(255) NULL");
            }
            $row_observaciones2 = $wpdb->get_results( "SELECT COLUMN_NAME FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = '{$wpdb->prefix}correoschile_envios' AND column_name = 'observaciones2'");
            if(empty($row_observaciones2)) {
                $wpdb->query("ALTER TABLE $table ADD observaciones2 VARCHAR(255) NULL");
            }
            $row_normalizada = $wpdb->get_results( "SELECT COLUMN_NAME FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = '{$wpdb->prefix}correoschile_envios' AND column_name = 'normalizada'");
            if(empty($row_obs)) {
                $wpdb->query("ALTER TABLE $table ADD normalizada VARCHAR(1) NULL");
            }
            $row_pagoSeguro = $wpdb->get_results( "SELECT COLUMN_NAME FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = '{$wpdb->prefix}correoschile_envios' AND column_name = 'pagoSeguro'");
            if(empty($row_pagoSeguro)) {
                $wpdb->query("ALTER TABLE $table ADD pagoSeguro VARCHAR(1) NULL");
            }
            $row_tipoMercancia = $wpdb->get_results( "SELECT COLUMN_NAME FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = '{$wpdb->prefix}correoschile_envios' AND column_name = 'tipoMercancia'");
            if(empty($row_tipoMercancia)) {
                $wpdb->query("ALTER TABLE $table ADD tipoMercancia VARCHAR(255) NULL");
            }
        }
    }
    public static function EliminarTabla() {
        global $wpdb;
        $table_name = $wpdb-> prefix . 'correoschile_envios';
        $wpdb->query("DROP TABLE IF EXISTS $table_name");
    }
    public static function AgregarEnvioManualmente($order_id, $fecha, $codigoServicio, $kilos, $volumen) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->insert($table, array(
            'order_id' => $order_id,
            'fechaCreacion' => $fecha,
            'codigoServicio' => $codigoServicio,
            'numeroTotalPiezas' => 1,
            'kilos' => $kilos,
            'volumen' => $volumen,
            'normalizada' => 'N'
        ));
    }
    public static function AgregarEnvio($order_id,
                                        $codigoServicio, 
                                        $kilos, 
                                        $volumen, 
                                        $sucursalDestino, 
                                        $normalizada,
                                        $tipoMercancia) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $time = current_time( 'mysql' );
        $wpdb->insert($table, array(
            'order_id' => $order_id,
            'codigoServicio' => $codigoServicio,
            'kilos' => $kilos,
            'volumen' => $volumen,
            'numeroTotalPiezas' => 1,
            'fechaCreacion' => $time,
            'sucursalDestino' => $sucursalDestino,
            'normalizada' => $normalizada,
            'pagoSeguro' => 'N',
            'tipoMercancia' => $tipoMercancia
        ));
    }
    public static function AgregarOrden($order_id, 
                                        $fecha, 
                                        $codigoServicio, 
                                        $kilos, 
                                        $volumen, 
                                        $normalizada,
                                        $tipoMercancia) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->insert($table, array(
            'order_id' => $order_id,
            'fechaCreacion' => $fecha,
            'codigoServicio' => $codigoServicio,
            'numeroTotalPiezas' => 1,
            'kilos' => $kilos,
            'volumen' => $volumen,
            'normalizada' => $normalizada,
            'pagoSeguro' => 'N',
            'tipoMercancia' => $tipoMercancia
        ));
    }
    public static function ActualizarEnvio_InfoAdmision($order_id, $codigoAdmision, $numeroReferencia, $numeroEnvio, $formatoEtiqueta) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->update($table, array(
            'codigoAdmision' => $codigoAdmision,
            'numeroReferencia' => $numeroReferencia,
            'numeroEnvio' => $numeroEnvio,
            'formatoEtiqueta' => $formatoEtiqueta,
            'error' => ''
        ), array('order_id' => $order_id));
    }
    public static function ActualizarEnvio_InfoRetiro($order_id, $codigoRetiro, $fechaRetiro, $horaRetiroDesde, $horaRetiroHasta) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->update($table, array(
            'codigoRetiro' => $codigoRetiro,
            'fechaRetiro' => $fechaRetiro,
            'horaRetiroDesde' => $horaRetiroDesde,
            'horaRetiroHasta' => $horaRetiroHasta,
            'error' => ''
        ), array('order_id' => $order_id));
    }
    public static function ActualizarEnvio_InfoError($order_id, $error) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->update($table, array(
            'error' => $error
        ), array('order_id' => $order_id));
    }
    public static function ActualizarEnvio_InfoNormalizada($order_id, $normalizada) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->update($table, array(
            'normalizada' => $normalizada,
        ), array('order_id' => $order_id));
    }
    public static function ActualizarEnvio_InfoObservaciones($order_id, $observaciones) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->update($table, array(
            'observaciones2' => $observaciones,
        ), array('order_id' => $order_id));
    }
    public static function ActualizarEnvio_InfoServicio($order_id, $servicio){
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->update($table, array(
            'codigoServicio' => $servicio,
        ), array('order_id' => $order_id));
    }
    public static function ActualizarEnvio_InfoPagoSeguro($order_id, $pagoSeguro){
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->update($table, array(
            'pagoSeguro' => $pagoSeguro,
        ), array('order_id' => $order_id));
    }
    public static function ActualizarEnvio_InfoSucursal($order_id, $sucursal){
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->update($table, array(
            'sucursalDestino' => $sucursal,
        ), array('order_id' => $order_id));
    }
    public static function ActualizarEnvio_InfoTipoMercancia($order_id, $tipoMercancia){
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->update($table, array(
            'tipoMercancia' => $tipoMercancia,
        ), array('order_id' => $order_id));
    }
    public static function EliminarEnvio($order_id) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->delete($table, array('order_id' => $order_id));
    }
    public static function ActualizarEnvio_Anular($order_id) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_envios';
        $wpdb->update($table, array(
            'codigoAdmision' => null,
            'numeroReferencia' => null,
            'formatoEtiqueta' => null,
            'numeroEnvio' => null,
            'codigoRetiro' => null,
            'fechaRetiro' => null,
            'horaRetiroDesde' => null,
            'horaRetiroHasta' => null,
            'error' => null,
            'observaciones2' => null
        ), array('order_id' => $order_id));
    }
    public static function ObtenerEnvio($order_id) {
        $envios = srv_envio::BuscarEnvios('','',$order_id,'','');
        if(count($envios) === 1)
            return $envios[0];
        return null;
    }
    public static function BuscarEnvios($fechaDesde = '', $fechaHasta = '', $order_id = '', $conEtiqueta = '', $conRetiro = '') {
        global $wpdb;
        $fechaDesde  = is_string($fechaDesde)  && preg_match("/^(0[1-9]|[1-2][0-9]|3[0-1])-(0[1-9]|1[0-2])-[0-9]{4}$/", $fechaDesde) ? $fechaDesde : '';
        $fechaHasta  = is_string($fechaHasta)  && preg_match("/^(0[1-9]|[1-2][0-9]|3[0-1])-(0[1-9]|1[0-2])-[0-9]{4}$/", $fechaHasta) ? $fechaHasta : '';
        $conEtiqueta = is_string($conEtiqueta) && ($conEtiqueta === 'S' || $conEtiqueta === 'N') ? $conEtiqueta : '';
        $conRetiro   = is_string($conRetiro)  && ($conRetiro === 'S' || $conRetiro === 'N') ? $conRetiro : '';
        
        $table = $wpdb->prefix . 'correoschile_envios';
        $table2 = $wpdb->prefix . 'correoschile_servicios';
        $sql = "SELECT e.order_id "
                   . ",e.fechaCreacion"
                   . ",e.codigoServicio"
                   . ",e.numeroTotalPiezas"
                   . ",e.kilos"
                   . ",e.volumen"
                   . ",IFNULL(e.sucursalDestino, '') as sucursalDestino"
                   . ",IFNULL(e.normalizada, 'N') as normalizada"
                   . ",IFNULL(e.codigoAdmision, '') as codigoAdmision"
                   . ",IFNULL(e.numeroReferencia, '') as numeroReferencia"
                   . ",IFNULL(e.formatoEtiqueta, '') as formatoEtiqueta"
                   . ",IFNULL(e.numeroEnvio, '') as numeroEnvio"
                   . ",IFNULL(e.codigoRetiro, '') as codigoRetiro"
                   . ",IFNULL(e.fechaRetiro, '') as fechaRetiro"
                   . ",IFNULL(e.horaRetiroDesde, '') as horaRetiroDesde"
                   . ",IFNULL(e.horaRetiroHasta, '') as horaRetiroHasta"
                   . ",IFNULL(e.error, '') as error"
                   . ",IFNULL(e.pagoSeguro, '') as pagoSeguro"
                   . ",IFNULL(e.observaciones2, '') as observaciones2"
                   . ",IFNULL(s.abreviacion, '') as abreviacion"
                   . ",IFNULL(s.descripcion, '') as servicio"
                   . ",IFNULL(e.tipoMercancia, '') as tipoMercancia"
                   . ",IFNULL(e.observaciones2, '') as observaciones2"
            . " FROM $table e "
            . " JOIN $table2 s on s.codigoServicio = e.codigoServicio" ;
            
        $where = '';
        if($order_id !== '') $where .= ($where === '' ? ' WHERE ' : ' AND ') . " order_id = " . $order_id . " ";
        if($fechaDesde !== '') { $where .= ($where === '' ? ' WHERE ' : ' AND ') . " fechaCreacion >= '" . utilidades::FormatearFecha($fechaDesde) . " 00:00:00'"; }
        if($fechaHasta !== '') { $where .= ($where === '' ? ' WHERE ' : ' AND ') . " fechaCreacion <= '" . utilidades::FormatearFecha($fechaHasta) . " 23:59:59'"; }
        if($conEtiqueta === 'S') { $where .= ($where === '' ? ' WHERE ' : ' AND ') . " codigoAdmision IS NOT NULL "; }
        if($conEtiqueta === 'N') { $where .= ($where === '' ? ' WHERE ' : ' AND ') . " codigoAdmision IS NULL "; }
        if($conRetiro === 'S') { $where .= ($where === '' ? ' WHERE ' : ' AND ') . " codigoRetiro IS NOT NULL "; }
        if($conRetiro === 'N') { $where .= ($where === '' ? ' WHERE ' : ' AND ') . " codigoRetiro IS NULL "; }
             
        $envios = $wpdb->get_results($sql . $where);
        return $envios;
    }

    public static function AjaxObtenerEnvio() {
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            try {
                $order_id = filter_input(INPUT_POST, 'order_id');
                if (!isset($order_id)) {
                    throw new Exception('No se proporciono la variable "order_id"');
                }
                $order = wc_get_order(intval($order_id));
                if (is_bool($order)) {
                    throw new Exception('No se encontró la información del pedido ' . $order_id);
                }
                $envio = srv_envio::ObtenerEnvio($order_id);
                if (is_null($envio)) {
                    throw new Exception('No se encontró la información del envío ' . $order_id);
                }
                $data = array(
                    'orderid' => $order_id,
                    'servicio' => $envio->codigoServicio,
                    'sucursal' => $envio->sucursalDestino,
                    'nombre' => $order->get_shipping_first_name(),
                    'apellidos' => $order->get_shipping_last_name(),
                    'telefono' => $order->get_billing_phone(),
                    'email' => $order->get_billing_email(),
                    'region' => $order->get_shipping_state(),
                    'comuna' => $order->get_shipping_city(),
                    'direccion1' => $order->get_shipping_address_1(),
                    'direccion2' => $order->get_shipping_address_2(),
                    'codigopostal' => $order->get_shipping_postcode(),
                    'notas' => $order->get_customer_note(),
                    'observaciones2' => $envio->observaciones2,
                    'pagoSeguro' => $envio->pagoSeguro,
                    'tipoMercancia' => $envio->tipoMercancia,
                );
            
                header('http/1.1 200 OK');
                header('Content-Type: application/json; charset=UTF8');
                echo json_encode($data);
                exit();
            }
            catch (Exception $e) {
                header('http/1.1 500 Internal Server Error');
                header('Content-Type: application/json; charset=UTF8');
                die(json_encode(array('message' => $e->getMessage())));
            }
        } else {
            header('http/1.1 500 Internal Server Error');
            header('Content-Type: application/json; charset=UTF8');
            die(json_encode(array('message' => 'Este método solo puede ser invocado con POST')));
        }
    }
    public static function AjaxActualizarEnvio() {
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            try {
                $order_id = filter_input(INPUT_POST, 'orderid');
                if(!isset($order_id)) {
                    throw new Exception('No se proporciono la variable "order_id"');
                }
                $order = wc_get_order(intval($order_id));
                if(is_bool($order)) {
                    throw new Exception('No se encontró la información del pedido ' . $order_id);
                }
                $envio = srv_envio::ObtenerEnvio($order_id);
                if(is_null($envio)) {
                    throw new Exception('No se encontró la información del envío ' . $order_id);
                }
                $nombre = filter_input(INPUT_POST, 'nombre');
                $apellidos = filter_input(INPUT_POST, 'apellidos');
                $telefono = filter_input(INPUT_POST, 'telefono');
                $codigoServicio = filter_input(INPUT_POST, 'servicio');
                $sucursal = filter_input(INPUT_POST, 'sucursal');
                $email = filter_input(INPUT_POST, 'email');
                $region = filter_input(INPUT_POST, 'region');
                $comuna = filter_input(INPUT_POST, 'comuna');
                $direccion1 = filter_input(INPUT_POST, 'direccion1');
                $direccion2 = filter_input(INPUT_POST, 'direccion2');
                $codigopostal = filter_input(INPUT_POST, 'codigopostal');
                $notas = filter_input(INPUT_POST, 'notas');
                $observaciones2 = filter_input(INPUT_POST, 'observaciones2');
                $pagoSeguro = filter_input(INPUT_POST, 'pagoSeguro');
                $tipoMercancia = filter_input(INPUT_POST, 'tipoMercancia');
                if (empty($comuna)) {
                    throw new Exception('Seleccione una comuna válida');
                }
                $servicio = srv_servicio::ObtenerServicio($codigoServicio);
                if ($servicio !== null && $servicio["esSucursal"] === "S") {
                    if (empty($sucursal)) {
                        throw new Exception('Ingrese una sucursal válida');
                    }
                }
                $order->set_shipping_first_name($nombre);
                $order->set_shipping_last_name($apellidos);
                $order->set_billing_phone($telefono);
                $order->set_billing_email($email);
                $order->set_shipping_state($region);
                $order->set_shipping_city($comuna);
                $order->set_shipping_address_1($direccion1);
                $order->set_shipping_address_2($direccion2);
                $order->set_shipping_postcode($codigopostal);
                $order->set_customer_note($notas);
                $order->save();

                $obtenerComunaDesde = get_option("correoschile_obtenerComunaDesde", "city");
                switch ($obtenerComunaDesde) {
                    case 'city': $normalizada = srv_normalizacion::IntentarNormalizarDireccion($direccion1, $comuna); break;
                    case 'state': $normalizada = srv_normalizacion::IntentarNormalizarDireccion($direccion1, $region); break;                        
                }                
                $normalizada = ($normalizada === true ? 'S': 'N');

                srv_envio::ActualizarEnvio_InfoNormalizada($order_id, $normalizada);
                srv_envio::ActualizarEnvio_InfoSucursal($order_id, $sucursal);
                srv_envio::ActualizarEnvio_InfoServicio($order_id, $codigoServicio);
                srv_envio::ActualizarEnvio_InfoObservaciones($order_id, $observaciones2);
                srv_envio::ActualizarEnvio_InfoPagoSeguro($order_id, $pagoSeguro);
                srv_envio::ActualizarEnvio_InfoTipoMercancia($order_id, $tipoMercancia);

                header('http/1.1 200 OK');
                header('Content-Type: application/json; charset=UTF8');
                echo json_encode(array('message' => 'Actualización exitosa'));
                exit();
            }
            catch (Exception $e) 
            {
                header('http/1.1 500 Internal Server Error');
                header('Content-Type: application/json; charset=UTF8');
                die(json_encode(array('message' => $e->getMessage())));
            }
        } 
        else 
        {
            header('http/1.1 500 Internal Server Error');
            header('Content-Type: application/json; charset=UTF8');
            die(json_encode(array('message' => 'Este método solo puede ser invocado con POST')));
        }
    }
    public static function AjaxAgregarPedido(){
        session_start();
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            try {                 
                $order_id = filter_input(INPUT_POST, 'order_id');
                $cambiaMetodo = filter_input(INPUT_POST, 'metodo');
                if(isset($order_id)) {
                    $order = wc_get_order(intval($order_id));
                    if(is_bool($order)) {
                        throw new Exception('No se encontró la información del pedido ' . $order_id);
                    }
                    $items = $order->get_items();
                    $pf = new WC_Product_Factory();
                    $tipoMercancia = '';
                    foreach ($items as $item) {
                        $producto = $pf->get_product($item['product_id']);
                        $sku = $producto->get_sku();
                        if(utilidades::IsNullOrEmptyString($sku) === false){
                            if ($tipoMercancia !== '') {
                                $tipoMercancia .= ', ';
                            }
                            $tipoMercancia .= $sku .' x ' . strval($item['quantity']);
                        }
                        $peso = is_numeric($producto->get_weight()) ? wc_get_weight($producto->get_weight(), 'kg') : 0;
                        $width = is_numeric($producto->get_width()) ? $producto->get_width() : 0;
                        $length = is_numeric($producto->get_length()) ? $producto->get_length() : 0;
                        $height = is_numeric($producto->get_height()) ? $producto->get_height() : 0;
                        $kilos = $kilos + $peso * $item['quantity'];
                        $volumen = $volumen + (wc_get_dimension($width * $length * $height, 'cm')/1000000) * $item['quantity'];
                    }
                    $order_id = $order_id;
                    $servicioPredeterminado = srv_servicio::ObtenerServicioPredeterminado();
                    $codigoServicio = $servicioPredeterminado["codigoServicio"];
                    $volumen = round($volumen, 3);
                    $kilos  = round($kilos, 3);
                    $order_data = $order->get_data();
                    $fecha = $order->get_date_created()->format('Y-m-d H:m:s');
   
                    $comunaDestinatario = null;
                    $city = $order_data['shipping']['city'];
                    $state = $order_data['shipping']['state'];
                    $obtenerComunaDesde = get_option("correoschile_obtenerComunaDesde", "city");
                    switch ($obtenerComunaDesde) { 
                        case "city":
                            $comunaDestinatario = srv_comuna::ObtenerComunaPorNombre($city);
                        break;
                        case "state": 
                            $states = WC()->countries->get_states("CL");
                            if (is_array($states)) {
                                $state = $states[$state];
                            }
                            $comunaDestinatario = srv_comuna::ObtenerComunaPorNombre($state);
                        break;
                    }

                    $nombreComuna = "";
                    if ($comunaDestinatario !== null) {
                        $nombreComuna = $comunaDestinatario["nombre"];
                        $normalizada = srv_normalizacion::IntentarNormalizarDireccion($order_data["shipping"]["address_1"], $nombreComuna);
                        $normalizada = $normalizada === true ? "S" : "N";
                    }

                    srv_envio::AgregarOrden($order_id, $fecha, $codigoServicio, $kilos, $volumen, $normalizada, $tipoMercancia);
                    srv_envio::CambiarMetodoDeEnvio($order, $codigoServicio, $comunaRemitente, $comunaDestinatario, $kilos, $volumen, $cambiaMetodo);

                    header('http/1.1 200 OK');
                    header('Content-Type: application/json; charset=UTF8');
                    echo json_encode(array('message' => 'Actualización exitosa'));
                    exit();
                }
            } catch (Exception $e) {
                header('http/1.1 500 Internal Server Error');
                header('Content-Type: application/json; charset=UTF8');
                die(json_encode(array('message' => $e->getMessage())));
            }
        }   
    } 
    public static function CambiarMetodoDeEnvio($order, $codigoServicio, $comunaRemitente, $comunaDestinatario, $kilos, $volumen, $cambiaMetodo){
        if($cambiaMetodo == 'true') {
            $changed = false;
            foreach($order->get_items('shipping') as $item_id => $item) {
                $shipping_methods = WC()->shipping->get_shipping_methods();
                foreach ($shipping_methods as $instance_id => $shipping_method) {
                    if($shipping_method->is_enabled() && $shipping_method->id === 'correoschile_shipping_method') {
                        try {
                            $cobertura = srv_tarifa::ObtenerTarifa($codigoServicio, $comunaRemitente, $comunaDestinatario, $kilos, $volumen);
                            $tarifa = $cobertura->TotalTasacion->Total;
                        } catch(Exception $e) {
                            srv_envio::ActualizarEnvio_InfoError($order_id, 'Error al tarificar '.$e->getMessage());
                            $tarifa = 0;
                        }
                        $item->set_method_title($shipping_method->get_title());
                        $item->set_method_id($shipping_method->get_rate_id());
                        $item->set_total($tarifa);
                        $item->save();
                        $changed = true;
                        break;
                    }
                }
            }
            if($changed) {
                $order->calculate_totals();//the save() method is included
            }
        }
    }
}