<?php

require_once('utilidades.php');

class srv_normalizacion {
    public static function IntentarNormalizarDireccion($direccion, $nombreComuna) {
        try {
            srv_normalizacion::NormalizarDireccion($direccion, $nombreComuna);
            return true;
        } catch (Exception $exception) {
            return false;
        }
    }

    public static function NormalizarDireccion($direccion, $nombreComuna)
    {
        $wsdl = trim(get_option('correoschile_ws_normalizacion', ''));
        if($wsdl !== '' && substr_compare(strtolower($wsdl), '?wsdl', -strlen('?wsdl')) < 0){
            $wsdl .= '?wsdl';
        }
        try
        {
            $client = new SoapClient($wsdl, array('trace' => 1, 'exception' => 0));
            $result = $client->__soapCall('normalizarDireccion', array(
                'normalizarDireccion' => array(
                    'usuario' => trim(get_option('correoschile_usuario_api')),
                    'contrasena' => trim(get_option('correoschile_contrasena_api')),
                    'id' => '0',
                    'direccion' => utilidades::LimpiarCaracteres($direccion),
                    'comuna' => utilidades::QuitarAcentos($nombreComuna),
                )), null, null);
            return $result->normalizarDireccionResult;
        }
        catch (SoapFault $e) {
            throw new Exception($e->getMessage(), 0, $e);
        }
        catch (Exception $e) {
            throw new Exception('Ocurrio un error intentando obtener la dirección normalizada.', 0, $e);
        }
    }

    public static function AjaxNormalizarDireccion(){
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            try {
                $direccion1 = filter_input(INPUT_POST, 'direccion1');
                $direccion2 = filter_input(INPUT_POST, 'direccion2');
                $comuna = filter_input(INPUT_POST, 'comuna');
                $direccion = srv_normalizacion::NormalizarDireccion($direccion1, $comuna);
                header('http/1.1 200 OK');
                header('Content-Type: application/json; charset=UTF8');
                echo json_encode($direccion);
                exit();
            } 
            catch(Exception $e) {
                header('http/1.1 500 Internal Server Error');
                header('Content-Type: application/json; charset=UTF8');
                die(json_encode(array('message' => $e->getMessage())));
            }
        } 
        else {
            header('http/1.1 500 Internal Server Error');
            header('Content-Type: application/json; charset=UTF8');
            die(json_encode(array('message' => 'Este método solo puede ser invocado con POST')));
        }      
    }
}
