<?php

class srv_region {
    public static function CrearTabla() {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_regiones';
        if ($wpdb->get_var("show tables like '$table'") != $table) {
            $charset_collate = $wpdb->get_charset_collate();
            $sql = "CREATE TABLE {$table} (
                    idRegion VARCHAR(5) NOT NULL,
                    nombre VARCHAR(255) NOT NULL,
                    orden INT NOT NULL
            ) $charset_collate;";
            require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
            dbDelta($sql);
        }
    }

    public static function EliminarTabla() {
        global $wpdb;
        $table_name = $wpdb-> prefix . 'correoschile_regiones';
        $wpdb->query("DROP TABLE IF EXISTS $table_name");
    }

    public static function CrearRegistros() {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_regiones';
        $wpdb->query("DELETE FROM {$table} WHERE 1 = 1;");
        $regiones = srv_region::ObtenerRegiones();
        foreach($regiones as $region){
            $wpdb->insert($table, array("idRegion" => $region["idRegion"],
                                        "nombre" => $region["region"],
                                        "orden" => $region["orden"]));
        }
    }

    public static function ObtenerRegiones() {
        $arrayRegiones = array(
            array('idRegion' => 'CL-AP', 'region' => 'Región de Arica y Parinacota', "orden" => 1),
            array('idRegion' => 'CL-TA', 'region' => 'Región de Tarapacá', "orden" => 2),
            array('idRegion' => 'CL-AN', 'region' => 'Región de Antofagasta', "orden" => 3),
            array('idRegion' => 'CL-AT', 'region' => 'Región de Atacama', "orden" => 4),
            array('idRegion' => 'CL-CO', 'region' => 'Región de Coquimbo', "orden" => 5),
            array('idRegion' => 'CL-VS', 'region' => 'Región de Valparaíso', "orden" => 6),
            array('idRegion' => 'CL-RM', 'region' => 'Región Metropolitana de Santiago', "orden" => 7),
            array('idRegion' => 'CL-LI', 'region' => 'Región del Libertador General Bernardo O’Higgins', "orden" => 8),
            array('idRegion' => 'CL-ML', 'region' => 'Región del Maule', "orden" => 9),
            array('idRegion' => 'CL-NB', 'region' => 'Región del Ñuble', "orden" => 10),
            array('idRegion' => 'CL-BI', 'region' => 'Región del Biobío', "orden" => 11),
            array('idRegion' => 'CL-AR', 'region' => 'Región de La Araucanía', "orden" => 12),
            array('idRegion' => 'CL-LR', 'region' => 'Región de Los Ríos', "orden" => 13),
            array('idRegion' => 'CL-LL', 'region' => 'Región de Los Lagos', "orden" => 14),
            array('idRegion' => 'CL-AI', 'region' => 'Región de Aysén del General Carlos Ibáñez del Campo', "orden" => 15),
            array('idRegion' => 'CL-MA', 'region' => 'Región de Magallanes y la Antártica Chilena', "orden" => 16),
        );
        return $arrayRegiones;
    }

    public static function ObtenerNombrePorId($idRegion) {
        $regiones = srv_region::ObtenerRegiones();
        $nombre = '';
        foreach($regiones as $region) {
            if($region["idRegion"] === $idRegion){
                continue;
            }
            $nombre = $region["region"];
            break;
        }
        return $nombre;
    }
}