<?php

class srv_servicio {
    public static function CrearTabla() {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_servicios';
        if ($wpdb->get_var("show tables like '$table'") != $table) {
            $charset_collate = $wpdb->get_charset_collate();
            $sql = "CREATE TABLE {$table} (
                    codigoServicio VARCHAR(2) NOT NULL,
                    abreviacion VARCHAR(4) NOT NULL,
                    descripcion VARCHAR(255) NOT NULL,
                    alcance VARCHAR(255) NOT NULL,
                    esSucursal VARCHAR(1) NOT NULL,
                    esPredeterminado VARCHAR(1) NOT NULL,
                    estaDisponible VARCHAR(1) NOT NULL,
                    esTarificable VARCHAR(1) NOT NULL,
                    tiempoPredeterminado VARCHAR(255) NULL,
                    orden INT(11) NULL,
                    PRIMARY KEY (codigoServicio)
            ) $charset_collate;";
            require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
            dbDelta($sql);
        }
    }

    public static function EliminarTabla() {
        global $wpdb;
        $table_name = $wpdb-> prefix . 'correoschile_servicios';
        $wpdb->query("DROP TABLE IF EXISTS $table_name");
    }

    public static function CrearRegistros() {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_servicios';
        $wpdb->query("DELETE FROM {$table} WHERE 1 = 1;");
        
        $wpdb->insert($table, array("codigoServicio" => '24',
                                    "abreviacion" => "PED",
                                    "descripcion" => "Paquete Express Domicilio",
                                    "alcance" => "Todo Chile",
                                    "esSucursal" => "N",                                    
                                    "esPredeterminado" => "S",
                                    "estaDisponible" => "S",
                                    "esTarificable" => "S",
                                    "tiempoPredeterminado" => "1 dia",
                                    "orden" => 1));

        $wpdb->insert($table, array("codigoServicio" => '07',
                                    "abreviacion" => "PES",
                                    "descripcion" => "Paquete Express Sucursal",
                                    "alcance" => "Todo Chile",
                                    "esSucursal" => "S",
                                    "esPredeterminado" => "N",
                                    "estaDisponible" => "S",
                                    "esTarificable" => "S",
                                    "tiempoPredeterminado" => "1 dia",
                                    "orden" => 2));

        $wpdb->insert($table, array("codigoServicio" => '36',
                                    "abreviacion" => "PPD2",
                                    "descripcion" => "Paquete Prioritario Domicilio",
                                    "alcance" => "Regiones extremas",
                                    "esSucursal" => "N",
                                    "esPredeterminado" => "N",
                                    "estaDisponible" => "N",
                                    "esTarificable" => "S",
                                    "tiempoPredeterminado" => "3 dias",
                                    "orden" => 3));

        $wpdb->insert($table, array("codigoServicio" => '38',
                                    "abreviacion" => "PPS2",        
                                    "descripcion" => "Paquete Prioritario Sucursal",
                                    "alcance" => "Regiones extremas",
                                    "esSucursal" => "S",
                                    "esPredeterminado" => "N",
                                    "estaDisponible" => "N",
                                    "esTarificable" => "S",                                    
                                    "tiempoPredeterminado" => "3 dias",
                                    "orden" => 4));                                    

        $wpdb->insert($table, array("codigoServicio" => '37',
                                    "abreviacion" => "PND",
                                    "descripcion" => "Paquete Normal Domicilio",
                                    "alcance" => "Regiones extremas",
                                    "esSucursal" => "N",
                                    "esPredeterminado" => "N",
                                    "estaDisponible" => "N",
                                    "esTarificable" => "S",
                                    "tiempoPredeterminado" => "4 a 5 dias",
                                    "orden" => 5));

        $wpdb->insert($table, array("codigoServicio" => '39',
                                    "abreviacion" => "PNS",
                                    "descripcion" => "Paquete Normal Sucursal",
                                    "alcance" => "Regiones extremas",
                                    "esPredeterminado" => "N",
                                    "esSucursal" => "S",
                                    "estaDisponible" => "N",
                                    "esTarificable" => "S",
                                    "tiempoPredeterminado" => "4 a 5 dias",
                                    "orden" => 6));
    }

    public static function ObtenerServiciosDisponibles() {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_servicios';
        $sql = "SELECT codigoServicio "
                . ",abreviacion"
                . ",descripcion"
                . ",alcance"
                . ",esPredeterminado"
                . ",esSucursal"
                . ",estaDisponible"
                . ",esTarificable"
                . ",tiempoPredeterminado"
                . ",orden"
            . " FROM $table "
            . " WHERE estaDisponible = 'S' AND esTarificable = 'S'"
            . " ORDER BY orden ASC ";
        $results = $wpdb->get_results($sql . $where);
        $servicios = array();
        foreach ($results as $result) {
            array_push($servicios, array("codigoServicio" => $result->codigoServicio,
                                         "abreviacion" => $result->abreviacion,
                                         "descripcion" => $result->descripcion,
                                         "alcance" => $result->alcance,
                                         "esPredeterminado" => $result->esPredeterminado,
                                         "esSucursal" => $result->esSucursal,
                                         "estaDisponible" => $result->estaDisponible,
                                         "esTarificable" => $result->esTarificable,
                                         "tiempoPredeterminado" => $result->tiempoPredeterminado,
                                         "orden" => $result->orden));
        }
        return $servicios;        
    }

    public static function ObtenerServicioPredeterminado() {
        $servicioEncontrado = null;
        $servicios = srv_servicio::ObtenerServicios();
        foreach($servicios as $servicio){
            if($servicio["esPredeterminado"] !== 'S'){
                continue;
            }
            $servicioEncontrado = $servicio;
            break;
        }
        return $servicioEncontrado;
    }

    public static function ObtenerServicio($codigoServicio) {
        $servicioEncontrado = null;
        $servicios = srv_servicio::ObtenerServicios();
        foreach($servicios as $servicio){
            if($servicio["codigoServicio"] !== $codigoServicio){
                continue;
            }
            $servicioEncontrado = $servicio;
            break;
        }
        return $servicioEncontrado;
    }

    public static function ActualizarServicio_estado($codigoServicio, $estaDisponible) {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_servicios';
        $wpdb->update($table, array(
            'estaDisponible' => $estaDisponible
        ), array('codigoServicio' => $codigoServicio));
    }

    public static function ObtenerServicios() {
        global $wpdb;
        $table = $wpdb->prefix . 'correoschile_servicios';
        $sql = "SELECT codigoServicio "
                . ",abreviacion"
                . ",descripcion"
                . ",alcance"
                . ",esPredeterminado"
                . ",esSucursal"
                . ",estaDisponible"
                . ",esTarificable"
                . ",tiempoPredeterminado"
                . ",orden"
            . " FROM $table "
            . " ORDER BY orden ASC ";
        $results = $wpdb->get_results($sql);
        $servicios = array();
        foreach ($results as $result) {
            array_push($servicios, array("codigoServicio" => $result->codigoServicio,
                                         "abreviacion" => $result->abreviacion,
                                         "descripcion" => $result->descripcion,
                                         "alcance" => $result->alcance,
                                         "esPredeterminado" => $result->esPredeterminado,
                                         "esSucursal" => $result->esSucursal,
                                         "estaDisponible" => $result->estaDisponible,
                                         "esTarificable" => $result->esTarificable,
                                         "tiempoPredeterminado" => $result->tiempoPredeterminado,
                                         "orden" => $result->orden));
        }
        return $servicios;
    }

    public static function AjaxGuardarServicios() {
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            try {
                $servicios = filter_input(INPUT_POST, 'servicios');
                $servicios = explode(',', $servicios);
                foreach ($servicios as $servicio) {
                    $data = explode('|', $servicio);
                    srv_servicio::ActualizarServicio_estado($data[0], $data[1]);
                }
                header('http/1.1 200 OK');
                header('Content-Type: application/json; charset=UTF8');
                echo json_encode(array('message' => 'Servicios actualizados.'));
                exit();
            }
            catch (Exception $e) {
                header('http/1.1 500 Internal Server Error');
                header('Content-Type: application/json; charset=UTF8');
                die(json_encode(array('message' => $e->getMessage(), 
                                      'trace' => $e->getTraceAsString())));
            }
        } else {
            header('http/1.1 500 Internal Server Error');
            header('Content-Type: application/json; charset=UTF8');
            die(json_encode(array('message' => 'Este método solo puede ser invocado con POST')));
        }
    }
}