<?php

class srv_sucursal 
{
    public static function ObtenerSucursalesPorComuna($codigoComuna)
    {
        $wsdl = trim(get_option('correoschile_ws_sucursal', ''));
        if($wsdl !== '' && substr_compare(strtolower($wsdl), '?wsdl', -strlen('?wsdl')) < 0)
        {
            $wsdl .= '?wsdl';
        }
        try
        {
            $soapClient = new SoapClient($wsdl, array('trace' => 1, 'exception' => 0));
            $result = $soapClient->__soapCall('listarSucursalesSegunComuna', array(
                'listarSucursalesSegunComuna' => array(
                    'usuario' => trim(get_option('correoschile_usuario_api')),
                    'contrasena' => trim(get_option('correoschile_contrasena_api')),
                    'codigoComuna' => $codigoComuna
                )), null, null);
            return $result->listarSucursalesSegunComunaResult->SucursalTO;
        }
        catch (Exception $exception) 
        {
            throw new Exception('Ocurio un errror intentando obtener las sucursales.', 0, $exception);
        }
    }

    public static function ObtenerJsonSucursales() {
        try {
            $sucursales = srv_sucursal::ObtenerSucursales();
            $sucusalesSimplificadas = array();
            foreach($sucursales as $sucursal) {
                array_push($sucusalesSimplificadas, array("IataComuna" => $sucursal->IataComuna, 
                                                          "IataOficina" => $sucursal->IataOficina,
                                                          "DescripcionOficina" => $sucursal->DescripcionOficina));
            }
            return json_encode($sucusalesSimplificadas);            
        } 
        catch (Exception $exception) {
            return 'undefined';
        }
    }

    public static function ObtenerSucursales() {
        $wsdl = trim(get_option('correoschile_ws_sucursal', ''));
        if($wsdl !== '' && substr_compare(strtolower($wsdl), '?wsdl', -strlen('?wsdl')) < 0) {
            $wsdl .= '?wsdl'; 
        }
        try {
            $client = new SoapClient($wsdl, array('trace' => 1, 'exception' => 0));
            $result = $client->__soapCall("listarTodasLasSucursales", array(
                'listarTodasLasSucursales' => array(
                    'usuario' => trim(get_option('correoschile_usuario_api')),
                    'contrasena' => trim(get_option('correoschile_contrasena_api'))
            )), null, null);
            return $result->listarTodasLasSucursalesResult->SucursalTO;
        }
        catch (Exception $e) {
            throw new Exception('Ocurio un errror intentando obtener las sucursales.', 0, $e);
        }
    }

    public static function ObtenerSucursal($codigoSucursal) {
        try {
            $sucursalObtenida = null;
            $sucursales = srv_sucursal::ObtenerSucursales();
            if(is_array($sucursales)){
                foreach($sucursales as $sucursal){
                    $iataOficina = $sucursal->IataOficina;
                    $descripcionOficina = trim($sucursal->DescripcionOficina);
                    if($iataOficina !== $codigoSucursal && $descripcionOficina !== $codigoSucursal) {
                        continue;
                    }
                    $sucursalObtenida = $sucursal;
                    break;
                }
            } else{
                $iataOficina = $sucursales->IataOficina;
                $descripcionOficina = trim($sucursales->DescripcionOficina);
                if($iataOficina === $codigoSucursal || $descripcionOficina === $codigoSucursal) {
                    $sucursalObtenida = $sucursales;
                }
            }
            return $sucursalObtenida;
        }
        catch(Exception $e) {
            return null;
        }
    }
}