<?php

require_once('utilidades.php');

class srv_tarifa {
    public static function ObtenerTarifa($codigoServicio,
                                         $comunaRemitente,
                                         $comunaDestinatario,
                                         $kilos,
                                         $volumen) {

        $comunaRemitente = str_replace(['"',"'"], "", $comunaRemitente);
        $comunaDestinatario = str_replace(['"',"'"], "", $comunaDestinatario);

        $wsdl = trim(get_option('correoschile_ws_tarificacion', ''));
        if($wsdl !== '' && substr_compare(strtolower($wsdl), '?wsdl', -strlen('?wsdl')) < 0) {
            $wsdl .= '?wsdl';
        }
        try {
            $client = new SoapClient($wsdl, array('trace' => 1, 'exception' => 0));
            $result = $client->__soapCall('consultaCoberturaPorProducto', array(
                'consultaCoberturaPorProducto' => array(
                    'usuario' => trim(get_option('correoschile_usuario_api')), 
                    'contrasena' => trim(get_option('correoschile_contrasena_api')),
                    'consultaCobertura' => array(
                        'CodigoServicio' => $codigoServicio, 
                        'ComunaRemitente' => utilidades::QuitarAcentos($comunaRemitente), 
                        'ComunaDestino' => utilidades::QuitarAcentos($comunaDestinatario), 
                        'Kilos' => $kilos, 
                        'Volumen' => $volumen,
                        'NumeroTotalPieza' => '1', 
                        'PaisDestinatario' => '056', 
                        'PaisRemitente' => '056', 
                        'TipoPortes' => 'P'
                    )
                )
            ), null, null);
            return $result->consultaCoberturaPorProductoResult;
        }
        catch (SoapFault $e) {
            throw new Exception($e->getMessage(), 0, $e);
        }
        catch (Exception $e) {
            throw new Exception('Ocurio un error intentando obtener la tarifa.', 0, $e);
        }
    }

    public static function ObtenerTarifas($comunaRemitente,
                                          $comunaDestinatario,
                                          $kilos,
                                          $volumen) {
        $wsdl = trim(get_option('correoschile_ws_tarificacion', ''));
        if($wsdl !== '' && substr_compare(strtolower($wsdl), '?wsdl', -strlen('?wsdl')) < 0) {
            $wsdl .= '?wsdl';
        }
        try {
            $client = new SoapClient($wsdl, array('trace' => 1, 'exception' => 0));
            $result = $client->__soapCall('consultaCobertura', array(
                'consultaCobertura' => array(
                    'usuario' => trim(get_option('correoschile_usuario_api')), 
                    'contrasena' => trim(get_option('correoschile_contrasena_api')),
                    'consultaCobertura' => array(
                        'CodigoServicio' => $codigoServicio, 
                        'ComunaRemitente' => utilidades::QuitarAcentos($comunaRemitente), 
                        'ComunaDestino' => utilidades::QuitarAcentos($comunaDestinatario), 
                        'Kilos' => $kilos, 
                        'Volumen' => $volumen,
                        'NumeroTotalPieza' => '1', 
                        'PaisDestinatario' => '056', 
                        'PaisRemitente' => '056', 
                        'TipoPortes' => 'P'
                    )
                )
            ), null, null);
            return $result->consultaCoberturaResult->ServicioTO;
        }
        catch (SoapFault $e) {
            throw new Exception($e->getMessage(), 0, $e);
        }
        catch (Exception $e) {
            throw new Exception('Ocurio un error intentando obtener las tarifas.', 0, $e);
        }
    }
}