var correoschile_checkout = function() {
    var _ths = this;
    this.init =  function() {
        jQuery(document).on('init_checkout', function() {
            _ths.realizarTransformaciones();
            jQuery(document).on('update_checkout', function() {
                jQuery('#customer_details').block({ message: null, overlayCSS: { backgroundColor: '#fff', opacity: 0.6, cursor: 'wait' } });
            });
            jQuery(document).on('updated_checkout', function() {
                _ths.establecerVisualizacionDeControles('billing');
                if (jQuery('.shipping_address').length > 0) {
                    _ths.establecerVisualizacionDeControles('shipping');
                }
                jQuery('#customer_details').unblock();
            });
        });
    };
    this.realizarTransformaciones = function() {
        if(jQuery('#billing_comuna_container').length === 0) {
            jQuery('#billing_city_field').append('<div style="display:none;" id="billing_comuna_container"><select id="billing_comuna" name="billing_comuna" style="width: 100%"></select></div>');
            jQuery('#billing_comuna').select2({ width: 'resolve', placeholder: 'Comuna' });
            if (_ths.isNullOrEmpty(jQuery('#billing_country').val()) === false &&
                jQuery('#billing_country').val() === 'CL') {
                jQuery('#billing_city').hide();
                jQuery('#billing_comuna_container').show();
                if (_ths.isNullOrEmpty(jQuery('#billing_state').val()) === false) {
                    _ths.cargarComunas('billing', jQuery('#billing_state').val());
                    if(_ths.isNullOrEmpty(jQuery('#billing_city').val()) === false){
                        jQuery('#billing_comuna').val(jQuery('#billing_city').val());
                    }
                }
            }
            _ths.establecerComunasAlCambiarPais('billing');
            _ths.establecerComunasAlCambiarRegion('billing');
            _ths.establecerCiudadAlCambiarComuna('billing');            
        }
        if (jQuery('.shipping_address').length > 0) {
            if(jQuery('#shipping_comuna_container').length === 0) {
                jQuery('#shipping_city_field').append('<div style="display:none;" id="shipping_comuna_container"><select id="shipping_comuna" name="shipping_comuna" style="width: 100%"></select></div>');
                jQuery('#shipping_comuna').select2({ width: 'resolve', placeholder: 'Comuna' });
                if (_ths.isNullOrEmpty(jQuery('#shipping_country').val()) === false &&
                    jQuery('#shipping_country').val() === 'CL') {
                    jQuery('#shipping_city').hide();
                    jQuery('#shipping_comuna_container').show();
                    var idRegion = jQuery('#shipping_state').val();
                    if (_ths.isNullOrEmpty(idRegion) === false) {
                        _ths.cargarComunas('shipping', idRegion);
                        if(_ths.isNullOrEmpty(jQuery('#shipping_city').val()) === false){
                            jQuery('#shipping_comuna').val(jQuery('#shipping_city').val());
                        }
                    }
                }
                _ths.establecerComunasAlCambiarPais('shipping');
                _ths.establecerComunasAlCambiarRegion('shipping');
                _ths.establecerCiudadAlCambiarComuna('shipping');
            }
        }
    };
    this.cargarComunas = function(prefijo, idRegion) {
        if (!idRegion || idRegion === '') {
            return;
        }
        jQuery('#' + prefijo + '_comuna').empty();
        jQuery('#' + prefijo + '_comuna').append('<option value=""></option>');
        jQuery(correoschile_comunas).each(function(i, c) {
            if (c.idRegion === idRegion) {
                jQuery('#' + prefijo + '_comuna').append('<option value="' + String(c.nombre).trim() + '">' + String(c.nombre).trim() + '</option>');
            }
        });
    };     
    this.establecerVisualizacionDeControles = function(prefijo) {
        if (!prefijo || prefijo === '') {
            return;
        }
        if (_ths.isNullOrEmpty(jQuery('#' + prefijo + '_country').val()) === false &&
            jQuery('#' + prefijo + '_country').val() === 'CL') {
            jQuery('#' + prefijo + '_city').hide();
            jQuery('#' + prefijo + '_comuna_container').show();
        } else {
            jQuery('#' + prefijo + '_city').show();
            jQuery('#' + prefijo + '_comuna_container').hide();
        }
        if (jQuery('#' + prefijo + '_state').is('select') === true) {
            var state = document.getElementById(prefijo + '_state');
            var stateEvents = jQuery._data(state, 'events');
            if (stateEvents.change.length < 2) {
                _ths.establecerComunasAlCambiarRegion(prefijo);
            }
        }
    };

    this.establecerComunasAlCambiarPais = function(prefijo) {
        var country = jQuery('#' + prefijo + '_country');
        if (country.length > 0 && country.is('select') === true) {
            jQuery('#' + prefijo + '_country').on('select2:selecting', function() {
            
            });
        }
    };
    this.establecerComunasAlCambiarRegion = function(prefijo) {
        jQuery('#' + prefijo + '_state').on('select2:selecting', function(e) {
            jQuery('#' + prefijo + '_city').val('');
            _ths.cargarComunas(prefijo, e.params.args.data.id);
        }).on('change.select2', function() {
            jQuery('body').trigger('update_checkout');
        });
    };
    this.establecerCiudadAlCambiarComuna = function(prefijo){
        jQuery('#' + prefijo + '_comuna').on('select2:selecting', function (e) {
            jQuery('#' + prefijo + '_city').val(e.params.args.data.id);
        }).on('change.select2', function() {
            jQuery('body').trigger('update_checkout');
        });
    };    
    this.isNullOrEmpty = function (str) {
        var type = typeof (str);
        if (type === 'undefined')
            return true;
        if (type === 'object' && str === null)
            return true;
        if (type === 'string' && String(str).valueOf() === '')
            return true;
        return false;
    };
    _ths.init();
};